libmaus2 (2.0.811-1) unstable; urgency=medium

  * Fix some warnings about std::iterator being deprecated

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 07 Sep 2022 12:44:58 +0200

libmaus2 (2.0.810-1) unstable; urgency=medium

  *  Apply some improvements in BWT construction

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 16 Feb 2022 14:51:33 +0100

libmaus2 (2.0.809-1) unstable; urgency=medium

  * Improve cleanup in BwtMergeSortTemplate
  * Catch exception about failure to remove non empty directories in TempFileNameGeneratorState (currently required due to impl)
  * Fix order of tmp file/directory creation in BwtMergeSortTemplate.hpp
  * Make testThreadPoolBamAccumulate output sorted blocks of alignment records
  * Add parallel block sorting in ThreadPoolBamParseAccumulateHandler

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 Jan 2022 09:53:58 +0100

libmaus2 (2.0.808-1) unstable; urgency=medium

  * Replace assert statement by verbose exception in libmaus2::gtf::RangeSets
  * Replace assert statements in TwoSidedNPL by exceptions
  * Add framework for parallel sorting in ThreadPoolBamParseAccumulateHandler.hpp
  * Refactor bwtb3m classes
  * Add value_type typedef in GapArrayByteDecoderBuffer::iterator
  * Use AtomicArray instead of AutoArray< std::atomic<uint8_t> > in GapArrayByte
  * Add value_type typedef in SparseGammaGapConcatDecoder::iterator
  * Add GammaGapEncoderUnwrap template for decoding values from several input type (plain pointer, std::atomic pointer, etc.)
  * Fix implementation of clear method in SimpleCountingHash after move to std::atomic
  * Implement multi threaded init in AtomicArray
  * Prepare for temp files for base block sorting via DirectoryStructure in BwtMergeSortTemplate
  * Start implementing computational state in BwtMergeSortTemplate
  * Reformat src/libmaus2/util/TempFileNameGenerator.hpp
  * Use OutputStreamFactoryContainer::rmdir instead of ::rmdir in DirectoryStructure and TempFileRemovalContainer
  * Add rmdir function in OutputStreamFactory/OutputStreamFactoryContainer and instantiation
  * Add AtomicArray class
  * Add shared_ptr_type in ArrayFile
  * Add comments in MergeStrategyMergeBlock

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 07 Jan 2022 11:22:55 +0100

libmaus2 (2.0.807-1) unstable; urgency=medium

  * Remove unrequired include statements in testdnasuffixtrav.cpp
  * Fix type conversion issues with wchar_t in testutf8split.cpp
  * Fix unused parameter warnings in DynamicLoading on systems which do not support dynamic code loading
  * Fix uninitialized field warnings in GapMergePacket
  * Fix unused parameter warning in StackTraceBufferContainer on systems which do not support the necessary functionality
  * Fix unused parameter warnings in PosixFunctions on systems which do not support certain functions
  * Fix warning in PosixExecute on systems not supporting fork
  * Initialize buffer in StreamWrapperBuffer to silence warning
  * Fix unitialized fields warnings concerning Interval class
  * Fix unitialized variable warning in KmerCount
  * Silence warning in DatabaseFile on systems which do not support symlinks
  * Silence unitialized variable warning in BamAlignment
  * Silence warning in SynchronousGenericInput
  * Initialize buffer in ArrayInputStreamBuffer to avoid warning
  * Fix warning about unused parameters in AlignmentOneAgainstManyAVX2
  * Initialize IsaTriple attributes in parameterless constructor

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 22 Nov 2021 11:02:24 +0100

libmaus2 (2.0.806-1) unstable; urgency=medium

  * Add missing include directive required for gcc 11

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Sat, 16 Oct 2021 17:30:12 +0200

libmaus2 (2.0.805-1) unstable; urgency=medium

  * Fix compilation on w64

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 15 Sep 2021 11:04:58 +0200

libmaus2 (2.0.804-1) unstable; urgency=medium

  * Fix some warnings when compiling without io_lib
  * Remove -std=c++17 from cflags reported by libsecrecy as flag is not accepted by clang when compiling .c files
  * Fix warning when compiling without openmp support
  * Change external template statements in OctectString and Utf8String from class to struct
  * Fix check for calling toupper in src/test/testThreadPoolCramEncode.cpp
  * Fix include guard in CramEnqueuePackageDataHandler.hpp
  * Change bool const & to bool in return type of AtomicPtrStack::top
  * Fix infinite loop in SecrecyOutputStreamFactory::constructShared()
  * Remove nonsense identity variable assignments in configure.ac

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 13 Sep 2021 14:27:49 +0200

libmaus2 (2.0.803-1) unstable; urgency=medium

  * Reduce size of test in testsort as it does not compile on x86

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 06 Sep 2021 10:16:41 +0200

libmaus2 (2.0.802-1) unstable; urgency=medium

  * Fix compilation without libdeflate

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 30 Aug 2021 10:29:07 +0200

libmaus2 (2.0.801-1) unstable; urgency=medium

  * Do not try to instantiate non existant context class in AlignmentOneAgainstManyAVX2 if LIBMAUS2_HAVE_ALIGNMENT_ONE_TO_MANY_AVX2 is not set
  * Add thread pool based sorting interface in testsort
  * Add ensureDispatcherRegistered method in ThreadPool
  * Add delayed search merging in testsort
  * Add more sorting/testing code in testsort.cpp
  * Add planing code for parallel swapping ob non adjacent blocks in testsort
  * Make error message more useful in VCFParser
  * Add timing test for new sorting code
  * Add some new sorting code in testsort
  * Add computation of compressBound in BgzfCompressContext
  * Add BgzfCompressContext class
  * Reformat BgzfDecompressContext
  * Replace numerical value by symbol one in BgzfDeflateHeaderFunctions
  * Construct missing REF_CACHE elements if required and possible in testThreadPoolCramEncode
  * Use context interface for crc32 in BgzfBlockInfoEnqueDecompressHandler
  * Add BgzfDecompressContext.cpp in Makefile.am
  * Add support for libdeflate in BgzfDecompressContext
  * Add sequencesMissing method in BamHeaderSeqData

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 27 Aug 2021 11:03:24 +0200

libmaus2 (2.0.800-1) unstable; urgency=medium

  * Rename GetObject to GetCObject to avoid name clash on w32/w64
  * Refactoring
  * Code simplifications
  * Remove unused field in threadpool bgzf handling

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 02 Aug 2021 17:11:43 +0200

libmaus2 (2.0.799-1) unstable; urgency=medium

  * Fix crash in thread pool based cram encoding and add some options
  * Add new threadpool based cram encoding test via io_lib interface
  * Fix wrong use of io_lib detection in ScramCramEncoding.hpp
  * Implement BAM parsing based on new thread pool
  * Remove use of ThreadPoolPriorityQueue (replace by AtomicPtrHeap)
  * Add AtomicPtrHeap class
  * Add heap related functions in AtomicPtrStack
  * Add AtomicAVLKeyPtrSet class
  * Add AtomicAVLPtrValueMap class
  * Use placement new in AVL* instead of copying to uninitialized objects
  * Remove unneeded template parameters in AtomicAVLMap
  * Add AtomicAVLMap plus test
  * Add AtomicPtrQueue and AtomicPtrStack
  * Add AtomicAVLSet class
  * Fix null pointer representation bug in AVLSet class
  * Make AVLSet not depend on std container and not waste an element for representing a null pointer
  * check for availability of std::atomic< std::shared_ptr<> > > or boost::atomic_shared_ptr<>
  * add atomic_shared_ptr aliases
  * add AtomicStack and AtomicQueue classes plus tests

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 30 Jul 2021 17:40:12 +0200

libmaus2 (2.0.798-1) unstable; urgency=medium

  * Conditionally compile code in ScramDecoder and ScramEncoder depending on presence of io_lib
  * Fix BgzfDeflateZStreamBase crash happening when compiling with libdeflate

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 20 Jul 2021 22:47:24 +0200

libmaus2 (2.0.797-1) unstable; urgency=medium

  * Remove dynamic loading io_lib and replace by directly linking libstaden-read to libmaus2
  * Fix memory overflow in overflow method of BgzfOutputStreamBuffer

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 20 Jul 2021 17:38:56 +0200

libmaus2 (2.0.796-1) unstable; urgency=medium

  * Remove dynamic loading for zlib interface
  * Replace use of Destructable object by std::shared_ptr

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 19 Jul 2021 12:49:59 +0200

libmaus2 (2.0.795-1) unstable; urgency=medium

  *  Add RangeSets constructor without BAM information

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 14 Jul 2021 14:01:35 +0200

libmaus2 (2.0.794-1) unstable; urgency=medium

  * Add getTranscriptLength method in GTFData
  * Add BamRawPeeker class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 06 Jul 2021 22:28:19 +0200

libmaus2 (2.0.793-1) unstable; urgency=medium

  * Add getReferenceIntervals function in BamAlignment/BamAlignmentDecoderBase
  * Add configure check for GCC 8, which needs -lstdc++fs (pull request by John Marshall)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 06 Jul 2021 10:47:31 +0200

libmaus2 (2.0.792-1) unstable; urgency=medium

  * Fix compilation on 32 bit x86 and fix some warnings

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 30 Jun 2021 12:47:45 +0200

libmaus2 (2.0.791-1) unstable; urgency=medium

  * Add advanceMaxB method in AlignmentTraceContainer
  * Add cbegin and cend methods in AutoArray
  * Add missing reference modifier n GTFData::getCDS

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Sat, 26 Jun 2021 20:58:46 +0200

libmaus2 (2.0.790-1) unstable; urgency=medium

  *  Fix double const keyword in ProteinAlignment

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 17 Jun 2021 11:43:45 +0200

libmaus2 (2.0.789-1) unstable; urgency=medium

  * Add getSampleValueVectorForKey variant in VCFParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 17 Jun 2021 10:54:09 +0200

libmaus2 (2.0.788-1) unstable; urgency=medium

  * Fix bounded alignment in ProteinAlignment

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 07 Jun 2021 16:25:30 +0200

libmaus2 (2.0.787-1) unstable; urgency=medium

  * Add maxextend parameter in ProteinAlignment

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 07 Jun 2021 14:22:25 +0200

libmaus2 (2.0.786-1) unstable; urgency=medium

  *  Make ProteinAlignment class carry AlignmentTraceContainer

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 31 May 2021 13:09:34 +0200

libmaus2 (2.0.785-1) unstable; urgency=medium

  * Add enumerateMatches method in ProteinAlignment::Result

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 20 May 2021 16:10:24 +0200

libmaus2 (2.0.784-1) unstable; urgency=medium

  * Rename ProteinAlign class to ProteinAlignment
  * Add operator< for ProteinAlignment::Result
  * Adjust test program accordinly

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 20 May 2021 13:07:16 +0200

libmaus2 (2.0.783-1) unstable; urgency=medium

  * Add minimal BED input interface

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 20 May 2021 09:49:29 +0200

libmaus2 (2.0.782-1) unstable; urgency=medium

  * Fix compilation without parasail library

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 May 2021 15:09:17 +0200

libmaus2 (2.0.781-1) unstable; urgency=medium

  * Add alignment via parasail library
  * Merge branch 'experimental_npl_self' into experimental
  * Add check for parasail library
  * Explicitely call string method on path instead of implicit cast to string

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 May 2021 13:03:56 +0200

libmaus2 (2.0.780-1) unstable; urgency=medium

  * Add getTrace function in protein::Align

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 30 Apr 2021 15:36:37 +0200

libmaus2 (2.0.779-1) unstable; urgency=medium

  * Add AlignGlobal for global protein alignment with affine gap scoring

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 29 Apr 2021 10:26:23 +0200

libmaus2 (2.0.778-1) unstable; urgency=medium

  * Add possibility of resetting range in CRAM decoding
  * simplify io_lib interface by making all parts of interface mandatory

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 22 Apr 2021 13:34:26 +0200

libmaus2 (2.0.777-1) unstable; urgency=medium

  * Remove pagesize alignment for memory allocation in BAM/BGZF related classes
  * Add constructor via filename in PlainOrGzipStream

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 20 Apr 2021 11:51:05 +0200

libmaus2 (2.0.776-1) unstable; urgency=medium

  * Add option to obtain genomic position vector in GTFData::getCDS

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 12 Apr 2021 10:55:44 +0200

libmaus2 (2.0.775-1) unstable; urgency=medium

  * Add alignment print function including quality values in AlignmentPrint
  * Make error messages more specific in utf8
  * Make error message more verbose in NPLSelf
  * Rewrite NPLSelf code to use a diagonal band and add test program testnplself
  * Add (incomplete) self aware version of NPL
  * Add comments in ThreadPoolInput
  * fix typos identified by lintian (pull request)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Sun, 11 Apr 2021 20:00:27 +0200

libmaus2 (2.0.774-1) unstable; urgency=medium

  * Do not call mkdir for already existing directories in mkdirp (and thus do not try to set permissions on already existing directories)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 15 Mar 2021 22:28:07 +0100

libmaus2 (2.0.773-1) unstable; urgency=medium

  * remove check for posix_memalign when checking for io_lib

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 15 Mar 2021 17:46:29 +0100

libmaus2 (2.0.772-1) unstable; urgency=medium

  * Add codon mapping for vertebrate MT

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 01 Mar 2021 13:34:15 +0100

libmaus2 (2.0.771-1) unstable; urgency=medium

  * Add TabixIndex for VCF decoding
  * Add binToRegion function in BamAlignmentReg2Bin
  * Check in block offset during init in BgzfInflate
  * Restructure Makefile
  * Fix erroneous fall through in switch statement

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 15 Feb 2021 23:29:20 +0100

libmaus2 (2.0.770-1) unstable; urgency=medium

  * No change version bump after fixing scripts

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Sat, 23 Jan 2021 16:35:17 +0100

libmaus2 (2.0.767-1) unstable; urgency=medium

  * Add getStringArgOrDefault in ArgParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 23 Nov 2020 13:01:14 +0100

libmaus2 (2.0.766-1) unstable; urgency=medium

  * Enable compilation without libsecrecy

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 16 Nov 2020 23:30:53 +0100

libmaus2 (2.0.765-1) unstable; urgency=medium

  * Allow 64 bit arrays in bwtb3m suffix sorting part
  * Improve performance of sorting in AlignmentFileSymmetryCheck

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 13 Nov 2020 23:47:00 +0100

libmaus2 (2.0.764-1) unstable; urgency=medium

  * Add missing parameter for ExternalMemoryIndexGenerator in SortingOverlapOutputBuffer

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 12 Nov 2020 11:57:25 +0100

libmaus2 (2.0.763-1) unstable; urgency=medium

  * Add caching for libsecrecy keys
  * Make size of tested stream smaller in testexternalmemoryindex
  * Replace some assert statements by exceptions in ExternalMemoryIndexGenerator and do not explicitely flush output stream on object flush
  * Comment out merge function in ReadEndsBlockDecoderBaseCollection
  * Remove use of InputOutputStream in SortingOverlapOutputBuffer function mergeToFile
  * Remove use of InputOutputStream in LasSort2
  * Remove unneeded include statements for fstream
  * Replace std::ifstream by InputStreamInstance where possible
  * Remove commented out code using std::fstream in SynchronousGenericOutput
  * Removed commented out code in ExternalMemoryIndexGenerator
  * Remove concatParallel function in Concat class
  * Adapt ReadEndsContainer, AlignmentWriter and OverlapIndexer to new interface of ExternalMemoryIndexGenerator
  * Remove InputOutputStream based interface in ExternalMemoryIndexGenerator
  * Adapt testgamma to changes in SparseGamma* API and reorder tests
  * Adapt testRunLengthBitVector to new API of RunLengthBitVectorGenerator
  * Adapt testRank to new API for RunLengthBitVectorGenerator
  * Avoid using InputOutputStream in RunLengthBitVectorGenerator classes
  * Avoid using InputOutputStream in SparseGamma classes
  * Throw exception on comparison failure instead of terminating in ExternalMemoryIndexDecoder
  * Use ExternalMemoryIndexGenerator interface not requiring iostream in testexternalmemoryindex
  * Allow generating ExternalMemoryIndex without using InputOutput stream
  * Do not require InputOutput stream in BamNumericalIndexGenerator
  * Whitespace cleanup
  * Remove CommandContainer and Command classes
  * Avoid starting or ending alignment on an insertion or deletion if possible in TwoSidedNPL
  * Remove duplicated code from testlassort and class respective class code

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 12 Nov 2020 09:13:22 +0100

libmaus2 (2.0.762-1) unstable; urgency=medium

  * Update README.md
  * remove direct calls of InputOutputFactoryContainer::construct* apart from InputOutputStreamInstance
  * change url scheme for accessing libsecrecy to libsecrecy[keyname]:path to allow common scheme for encrypting and decrypting
  * add testCopy program for easier access to testing of aio facilities
  * Simplify libsecrecy interface
  * Add interface for libsecrecy

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 10 Nov 2020 13:56:11 +0100

libmaus2 (2.0.761-1) unstable; urgency=medium

  * Remove obsolete/dysfunctional irods interface
  * Put TwoSidedNPL into libmaus2::lcs namespace
  * Fix check for LIBMAUS2_HAVE_NETTLE in configure.ac
  * Factor out RemoveFileAndIndex class in SortingOverlapOutputBuffer
  * Add TwoSidedNPL class
  * Add getUnsignedNumericArgOrDefault method in ArgParser
  * Throw exception for invalid arguments in NPL
  * Minor reformatting

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 04 Nov 2020 16:59:56 +0100

libmaus2 (2.0.760-1) unstable; urgency=medium

  * Reorder tests in testgamma
  * Fix typo in Makefile.am
  * Refactor GammaGeneric* classes
  * Add timing test for GenericGamma in testgamma
  * Add test function for GammaEncoderGeneric and GammaDecoderGeneric
  * Add GammaEncoderGeneric and GammaDecoderGeneric
  * Add NumBits16 class in numbits.hpp
  * Add expect_true note in lowbits
  * Add some comments in GammaDecoder
  * Add tags and support_level for gtf transcripts
  * Do not abort if there is no exon_id tag in CDS lines in GTFData

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 23 Oct 2020 10:28:07 +0200

libmaus2 (2.0.759-1) unstable; urgency=medium

  * Add tags and support_level for gtf transcripts
  * Do not abort if there is no exon_id tag in CDS lines in GTFData

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 16 Oct 2020 09:36:28 +0200

libmaus2 (2.0.758-1) unstable; urgency=medium

  * Add iterator based map function in CodonMapper
  * Add pointer types in BwtMergeSortResult
  * Initialize fields in Align constructor

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 12 Oct 2020 12:57:41 +0200

libmaus2 (2.0.757-1) unstable; urgency=medium

  * (Re)add sbasename and sdirname in PathTools
  * Fix scope spin lock instantiation in ChainNodeInfoSet
  * Add missing const for comparators of ChainAlignment

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 05 Oct 2020 12:39:25 +0200

libmaus2 (2.0.756-1) unstable; urgency=medium

  * Obtain ssize_t by using std::make_signed on size_t in libmaus2/types/types.hpp (instead of hard coding it to int64_t, which may be wrong on 32 bit systems)
  * Use size_t instead of uint64_t to avoid narrowing conversion warning in AutoArray

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 01 Oct 2020 15:00:46 +0200

libmaus2 (2.0.755-1) unstable; urgency=medium

  * Also check for libz.so.1 when dynamically opening libz (issue #31 opened by John Marshall)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 01 Oct 2020 13:13:19 +0200

libmaus2 (2.0.754-1) unstable; urgency=medium

  * Add writeStringVector/readStringVector/getStringVector in SerialiseHelper
  * Parallelise initialisation of GapArrayByte

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 30 Sep 2020 11:00:46 +0200

libmaus2 (2.0.753-1) unstable; urgency=medium

  * Remove some posix calls by std::filesystem namespace calls
  * Code cleanup
  * Add loadFromFastAName in FastAIndex
  * Make line data modifiable in FastALineParserLineInfo

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 23 Sep 2020 14:47:57 +0200

libmaus2 (2.0.752-1) unstable; urgency=medium

  * Make line data modifiable in FastALineParserLineInfo

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 17 Sep 2020 15:18:20 +0200

libmaus2 (2.0.751-1) unstable; urgency=medium

  * Fix signed/unsigned comparison issue in ParallelExternalRadixSort by requiring a value_type definition in the projector class
  * Fix comparison of signed/unsigned warning in RLEncoder::encodeRun
  * Replace memset by std::fill in BidirectionalDnaIndexTemplate
  * Fix wrong setting of parentheses in SimpleLocalAligner

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 15 Sep 2020 10:58:57 +0200

libmaus2 (2.0.750-1) unstable; urgency=medium

  * Call multi threaded matrix multiplication in testmatrix
  * Add multi threaded matrix multiplication in Matrix.hpp
  * Add getMD5FileName(libmaus2::util::ArgParser) function in BamBlockWriterBaseFactory

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 03 Sep 2020 11:46:33 +0200

libmaus2 (2.0.749-1) unstable; urgency=medium

  * install Matrix class
  * add power function for Matrix class
  * explicitely init AVLSetNode to avoid warnings

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 27 Aug 2020 09:31:50 +0200

libmaus2 (2.0.748-1) unstable; urgency=medium

  * Make number of 1 bits written so far a parameter in RunLengthBitVectorGenerator
  * Add flushNoHeader function in RunLengthBitVector
  * Add find method in AVLSet
  * Add clear method in AVLSet

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 20 Aug 2020 10:48:46 +0200

libmaus2 (2.0.747-1) unstable; urgency=medium

  * Remove unneeded/wrong initializer brackets in new in SimdX86GlobalAlignmentTemplate
  * Change access to BitVector in CartesianTree
  * Fix lock type in StdSynchronousHeap
  * Fix lock types in SimpleCountingHash/SimpleHashMap/SimpleHashSet
  * Add explicit operator= for iterator classes
  * Replace ATOMIC_FLAG_INIT by call to clear method of atomic_flag in StdSpinLock
  * Replace ATOMIC_FLAG_INIT by call to clear method of atomic_flag in StdBasicSpinLock
  * Remove const from empty() method in LockedGrowingFreeList
  * Fix eraseBitSync call in BitVector
  * Add non const get method in BitVector
  * Fix reference type in BlockSortControl

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 Aug 2020 11:57:19 +0200

libmaus2 (2.0.746-1) unstable; urgency=medium

  * Add iterator types in SimpleHashSet

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 17 Aug 2020 12:52:03 +0200

libmaus2 (2.0.745-1) unstable; urgency=medium

  * Checked number of elements written during in memory SA/ISA computation in BwtMergeSortTemplate
  * Add debug messages in PairFileSorting
  * Use Checked versions of serialization in SampledSA
  * Use Checked versions of serialization in AutoArray
  * Add checked versions of serialize function in Serialize class
  * Limit number of simultaneously decompressed blocks in thread pool based bgzf decoding

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 14 Aug 2020 14:19:08 +0200

libmaus2 (2.0.744-1) unstable; urgency=medium

  * Take padding bit for rankm into account in RunLengthBitVector::getBlockBitLength
  * Consider setcode flag in HuffmanTree::printRec
  * Add testRunLengthBitVector program
  * Add load function in RunLengthBitVector

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 12 Aug 2020 12:24:10 +0200

libmaus2 (2.0.743-1) unstable; urgency=medium

  * Fix serialisation for SynchrnonousCompactArray

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 10 Aug 2020 17:26:15 +0200

libmaus2 (2.0.742-1) unstable; urgency=medium

  * Fix erase method in BitVector

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 10 Aug 2020 10:13:29 +0200

libmaus2 (2.0.741-1) unstable; urgency=medium

  * Detected exceptions in parallel loop of KmerCount
  * Remove sync ops (replace by std::atomic)
  * Replace sync ops with std::atomic in CompactArray
  * cleanup/refactor CompactArray class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 10 Aug 2020 09:12:32 +0200

libmaus2 (2.0.740-1) unstable; urgency=medium

  * Detect errors in parallel loops of sparseGapFile computation and base block sorting of bwtb3m

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 05 Aug 2020 14:17:39 +0200

libmaus2 (2.0.739-1) unstable; urgency=medium

  * Add iterator types in SimpleCountingHash

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 05 Aug 2020 13:28:18 +0200

libmaus2 (2.0.738-1) unstable; urgency=medium

  * Replace sync ops with std::atomic operations
  * catch exceptions in parallel loop for sparse gap array computation in BwtMergeSortTemplate
  * Replace volatile keyword by usage of std::atomic
  * replace NULL by nullptr
  * Add empty stub for thread pool based bam parsing
  * Make filenames consistent
  * Refactor AutoArray alloc tracing
  * Remove getOffsetPointer method in AutoArray
  * Replace AutoArray::getN() by AutoArray::size()
  * Update copyright notice in I386Features
  * remove rnvGeneric, rank and select from AutoArray

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 05 Aug 2020 11:02:34 +0200

libmaus2 (2.0.737-1) unstable; urgency=medium

  * Reinstate wrongly commented out code

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 31 Jul 2020 18:14:35 +0200

libmaus2 (2.0.736-1) unstable; urgency=medium

  * Remove LIBMAUS2_USE_ASSEMBLY
  * Remove some dependencies on asm statements
  * Remove usage of __sync ops in WaveletLCP
  * Remove unused code
  * Remove usage of __sync operations in BwtMergeSortTemplate
  * Make fill attribute std::atomic in SimpleHashMap
  * Replace compiler specific sync op in StackTraceBufferContainer by std::atomic

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 31 Jul 2020 16:01:41 +0200

libmaus2 (2.0.735-1) unstable; urgency=medium

  * Add missing include directive in LockedGrowingFreeList.hpp
  * Fix lock type in DebugLineOutputStream
  * Whitespace cleanup

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 30 Jul 2020 12:42:59 +0200

libmaus2 (2.0.734-1) unstable; urgency=medium

  * Remove custom aligned allocation code and replace by c++17 new[] operator calls
  * Add missing include directive
  * Remove testhugepages.cpp
  * remove UCharBufferC typedef

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 29 Jul 2020 16:55:03 +0200

libmaus2 (2.0.733-1) unstable; urgency=medium

  * Refactor threading pool code
  * Allow different input callback per input stream
  * define M_PI where necessary
  * Add test program for bgzf decompression using new thread pool
  * Add thread pool based bgzf reading code for new thread pool
  * Add testThreadPoolRead program
  * Add ThreadPoolQueue class
  * Replace lock in libmaus2::aio::StreamLock with mutex
  * add new implementation ThreadPool using implicit dispatcher ids

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 29 Jul 2020 13:35:29 +0200

libmaus2 (2.0.732-1) unstable; urgency=medium

  * Replace UNIQUE_PTR_MOVE by std::move
  * Add missing include statement in TrueOverlapStats
  * Add missing include statement in GenericPeeker
  * Remove libmaus2/util/(unique|shared)_ptr.hpp

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 21 Jul 2020 17:26:10 +0200

libmaus2 (2.0.731-1) unstable; urgency=medium

  * Initialise all std::atomic instances in BlockSortControl
  * explicitely initialise lock in ControlInputInfo
  * Add parenthesis around increments and adapt to new interface of ParallelStableSort in FragmentAlignmentBufferSortContext
  * do not copy MergeLevel objects when constructing MergeLevels in ParallelStableSort
  * add missing include statement in DEBUG mode for StackTrace.cpp
  * Updates after changes in geometry namespace
  * Fix lock type in DNARankSMEMComputation

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 20 Jul 2020 13:17:20 +0200

libmaus2 (2.0.730-1) unstable; urgency=medium

  * Add missing linker options for w64

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 17 Jul 2020 10:39:33 +0200

libmaus2 (2.0.729-1) unstable; urgency=medium

  * Avoid using lock in GenericAlignedAllocation
  * Fix lock usage in StdSynchronousHeap
  * Refactor parallel namespace to its own library

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 17 Jul 2020 09:27:44 +0200

libmaus2 (2.0.728-1) unstable; urgency=medium

  * Fixes for compilation on w64
  * Move autoarray compiled code to its own sub library
  * Move I386CacheLineSize to arch sub library
  * Move demangle code to its own namespace
  * Add _posix and _stacktrace libraries in linking calls
  * Add missing include directive in OptNameReader
  * Add missing include directive
  * fix typedef in DupSetCallbackVector
  * Add test for Quicksort in testsort
  * Remove usage of libmaus2::util::(unique|shared)_ptr
  * Directly use std::unique_ptr and std::shared_ptr instead of hiding them behind libmaus2 typedefs
  * Cleanup AutoArray and remove redundant code
  * Split of _posix and _stacktrace libraries in Makefile.am
  * Remove PosixExecute data from StaticInitialization
  * Remove PosixExecute from util namespace
  * Avoid using non standard locking in AutoArray
  * Remove exception throwing option in PosixExecute
  * Remove exception throwing in PosixFunctions
  * Adapt StackTrace to new PosixExecute interface
  * adapt to updated PosixExecute interface
  * Refactor StackTrace
  * remove unnecessary include of ArgInfo in PosixExecute
  * Refactor AutoArray an replace sync ops by std::atomic
  * Enable exceptions for bad state in UrlInputStream
  * Add some kind of memory usage statistics for w64
  * Set stdin,stdout and stderr to binary mode in w64
  * Define LIBMAUS2_AIO_POSIXFDOUTPUTSTREAM_SUPPORTED in PosixFdOutputStream.hpp if necessary library support is present
  * Update copyright notice in AutoArray
  * Use _alignedFree for memory allocated via _alignedAlloc in AutoArray
  * Use LIBMAUS2_AIO_POSIXFDINPUTSTREAM_SUPPORTED/LIBMAUS2_AIO_POSIXFDOUTPUTSTREAM_SUPPORTED to determine which factory to use for protocol file in InputStreamFactoryContainer/OutputStreamFactoryContainer resp.
  * Avoid calling fsync in PosixFdInputOutputStreamBuffer if library function is not available
  * Define LIBMAUS2_AIO_POSIXFDINPUTSTREAMBUFFER_SUPPORTED/LIBMAUS2_AIO_POSIXFDINPUTSTREAM_SUPPORTED if sufficient support for library functions is present
  * Use O_BINARY if available in PosixFdOutputStreamBuffer
  * Do not call fsync if call not available in PosixFdOutputStreamBuffer
  * Add std::ios::binary flag for open mode in OFStreamOutputStreamFactory
  * do not call fsync in PosixFdInput if not supported
  * define LIBMAUS2_AIO_POSIXFDINPUT_SUPPORTED if required library calls are available
  * Add O_BINARY to default flags in PosixFdInput if available
  * initialise w64 socket system in StaticInitialization if compiling for w64
  * Add w64 related checks in configure (O_BINARY, gethostname, various posix based functions
  * Add w64 version of gethostname in GetHostName class
  * Add O_BINARY flag in PosixFunctions
  * use binary flag for fstream in Command class
  * make check more verbose in testAIO
  * use binary flag for iostream in testsuffixtreeenum
  * Conditional compilation in StrackTraceBufferContainer
  * Check for dup2, execv and mkstemp in configure
  * Replace assert statements by exceptions in AVLSet
  * fix testavlset (do not assume random vector has only distinct elements)
  * Replace use of sighandler_t in StaticInitialization.cpp
  * fix compilation of AutoArray on w64
  * Replace sighandler_t by custom typedef
  * fix compilation without libcurl
  * Replace Http*/Ftp* classes in network namespace by curl wrappers
  * Remove unused code in network
  * Remove unused hugepages code
  * Add code for libcurl interface
  * Add putback method in StdTerminatableSynchronousQueue

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 16 Jul 2020 22:12:31 +0200

libmaus2 (2.0.727-1) unstable; urgency=medium

  * remove MemInBuffer and MemOutBuffer
  * fix check for io_lib version

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 13 Jul 2020 10:47:44 +0200

libmaus2 (2.0.726-1) unstable; urgency=medium

  * fix locking issues in StdTerminatableSynchronousQueue

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 09 Jul 2020 12:42:12 +0200

libmaus2 (2.0.725-1) unstable; urgency=medium

  * bump io_lib version to 1.14.13

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 07 Jul 2020 16:28:44 +0200

libmaus2 (2.0.724-1) unstable; urgency=medium

  * add comments in BufferedOutput
  * fix warning about unused parameters in Scram.c
  * fix comparison in Path

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 02 Jul 2020 19:20:15 +0200

libmaus2 (2.0.723-1) unstable; urgency=medium

  * Make end clipping optional in NNPCor
  * Add verbose mode in NNPTraceContainer::endWindowError/clipEndWindowError

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 01 Jul 2020 11:50:39 +0200

libmaus2 (2.0.722-1) unstable; urgency=medium

  * make size bumping more flexible in AutoArray
  * avoid running asserts by checking parameters and throwing exception in NPLNoTrace

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 10 Jun 2020 14:59:41 +0200

libmaus2 (2.0.721-1) unstable; urgency=medium

  * add getMatchOffsets variants in AlignmentTraceContainer
  * fix broken parsing of non value arguments in ArgParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 08 Jun 2020 17:08:42 +0200

libmaus2 (2.0.720-1) unstable; urgency=medium

  * add SerialiseHelper class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 02 Jun 2020 17:13:24 +0200

libmaus2 (2.0.719-1) unstable; urgency=medium

  * Make separator in VCFParser::getSampleValueVectorForKey a template argument
  * Add comments in InPlaceParallelSort
  * Add comment describing binomRowUpper in Binom class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 14 May 2020 10:36:05 +0200

libmaus2 (2.0.718-1) unstable; urgency=medium

  * Add runFilterFilterFlags in VCFParser
  * Avoid using operator!= on value_type in AVLSet

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 07 May 2020 13:23:27 +0200

libmaus2 (2.0.717-1) unstable; urgency=medium

  * move loop end computation before loop in ParallelStableSort

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 17 Apr 2020 20:27:39 +0200

libmaus2 (2.0.716-1) unstable; urgency=medium

  * Add getUnquoted* methods in TabEntry

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 17 Apr 2020 14:01:23 +0200

libmaus2 (2.0.715-1) unstable; urgency=medium

  * refactor

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 02 Apr 2020 10:09:56 +0200

libmaus2 (2.0.714-1) unstable; urgency=medium

  * Make segfault handler controllable by environment variables LIBMAUS2_TRACE_SEGFAULT/LIBMAUS2_TRACE_SEGFAULT_TRANSLATE
  * Add StackTraceBufferContainer for obtaining stack traces from segmentation faults

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 27 Mar 2020 14:22:47 +0100

libmaus2 (2.0.713-1) unstable; urgency=medium

  * Add new interface for setting CRAM compression profile in parallel CRAM encoding
  * Clean up RangeSet interface

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 25 Mar 2020 17:38:36 +0100

libmaus2 (2.0.712-1) unstable; urgency=medium

  * Add experimental archive mode for cram writing

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 16 Mar 2020 12:05:19 +0100

libmaus2 (2.0.711-1) unstable; urgency=medium

  * Add GCContent class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 13 Mar 2020 11:11:07 +0100

libmaus2 (2.0.710-1) unstable; urgency=medium

  * Switch from breadth first to depth first traversal in RangeSet::search
  * Add ArgParser based constructHeader method in BamMultiAlignmentDecoderFactory
  * Add more runtime checks in SimpleQueue class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 12 Mar 2020 16:42:35 +0100

libmaus2 (2.0.709-1) unstable; urgency=medium

  * Fix print functions of Gene/Transcript/Exon in gtf namespace

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 09 Mar 2020 08:38:21 +0100

libmaus2 (2.0.708-1) unstable; urgency=medium

  * rewrite AVLSet::erase so it does not invalidate an iterator passed in before an element is removed from the tree
  * add operator-> in iterators for AVLSet
  * fix signed comparison warning in VCFParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 06 Mar 2020 09:00:12 +0100

libmaus2 (2.0.707-1) unstable; urgency=medium

  * Add const reverse iterator in AVLSet

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 05 Mar 2020 13:23:51 +0100

libmaus2 (2.0.706-1) unstable; urgency=medium

  * Add AVLSet class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 05 Mar 2020 13:01:46 +0100

libmaus2 (2.0.705-1) unstable; urgency=medium

  * Add checkReadACGT function/method in BamAlignmentDecoderBase/BamAlignment
  * Add getSampleValues functions in VCFParser
  * Refactor VCFSorter to make getMerger function accessible on its own
  * add parse method in VCFSortEntry

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 03 Mar 2020 19:13:32 +0100

libmaus2 (2.0.704-1) unstable; urgency=medium

  * Add support for recording distance between duplicates in DupMarkBase

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 28 Feb 2020 17:16:26 +0100

libmaus2 (2.0.703-1) unstable; urgency=medium

  * Add ArgParser based interface in BamBlockWriterBaseFactory
  * fix getParsedArgOrDefault in ArgParser and add mergeFormats

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 21 Feb 2020 15:39:23 +0100

libmaus2 (2.0.702-1) unstable; urgency=medium

  * add getTrace and getTraceCore in BamAlignment

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 21 Feb 2020 12:33:23 +0100

libmaus2 (2.0.701-1) unstable; urgency=medium

  * add getTrace/normalizeCigar in BamAlignmentDecoderBase/BamAlignment and ensureNormalizedCigar in BamAlignment

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 21 Feb 2020 11:44:49 +0100

libmaus2 (2.0.700-1) unstable; urgency=medium

  * Add getReferenceStretch function/method in BamAlignment/BamAlignmentDecoderBase (get reference stretch based on MD tag)
  * Add ArgParser based functions in BamMultiAlignmentDecoderFactory
  * Add ArgParser based construction in BamAlignmentDecoderInfo
  * Fix bug in CigarRunLengthDecoder (forgot to move pointer through array)
  * Use BamHeaderReadGroupInterface in ChecksumsFactory
  * extract read group interface from BamHeader/BamHeaderLowMem
  * Add getParsedArgOrDefault in ArgParser
  * Only normalise argument name to longName in format parsing of ArgParser if not empty
  * Fix pointer type names in VCFParser
  * Add option of constructing with predefined format in ArgParser
  * Add constructor without BAM info in TranscriptRangeSets

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 20 Feb 2020 17:19:54 +0100

libmaus2 (2.0.699-1) unstable; urgency=medium

  * add runFilterSamples in VCFParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 Feb 2020 11:23:22 +0100

libmaus2 (2.0.698-1) unstable; urgency=medium

  * add decodeSequencePortion in FastaBPDecoder

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 03 Feb 2020 09:45:04 +0100

libmaus2 (2.0.697-1) unstable; urgency=medium

  * fix getContigLine function in VCFParser
  * Avoid directly calling trylock and use scope lock type class instead

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 30 Jan 2020 16:04:04 +0100

libmaus2 (2.0.696-1) unstable; urgency=medium

  * fix panic mode cleanup 

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 24 Jan 2020 15:19:55 +0100

libmaus2 (2.0.695-1) unstable; urgency=medium

  * fix print method in GTFData and perform serialisation check
  * change serialised format for ExonInterval
  * add getTotal method in ExonInfo and change covered fraction to zero if total bases is zero
  * add missing include statements
  * change serialised format for CDS/Exon/Transcript/Gene in gtf namespace
  * add concat method in OutputStreamInstanceArray
  * improve panic mode handling in SimpleThreadPool and add test
  * be more verbose about broken input in GTFData class
  * reorder SimpleThreadPool code
  * add StdBasicSpinLock

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 24 Jan 2020 11:37:53 +0100

libmaus2 (2.0.694-1) unstable; urgency=medium

  * add missing include statements

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 22 Jan 2020 09:26:35 +0100

libmaus2 (2.0.693-1) unstable; urgency=medium

  * add CodonMapper class
  * add missing include directive in acgtnMap.hpp
  * make printTrace method in protein::Align output positions
  * add missing include directive in StdTerminatableSynchronousHeap
  * remove direct calls of lock method for StdMutex and StdSpinLock where possible (use scope locks instead)
  * remove OMPLock class
  * improve error handling in StdThread/SimpleThreadPoolThread
  * avoid unlimited lock in StdMutex
  * do not use unlimited wait in StdSemaphore
  * store source header lines in different array of VCFParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 21 Jan 2020 16:06:50 +0100

libmaus2 (2.0.692-1) unstable; urgency=medium

  * be more verbose in contig name parse failure of VCFSorter

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 08 Jan 2020 14:50:19 +0100

libmaus2 (2.0.691-1) unstable; urgency=medium

  * allow line wrapped FastA/FastQ output of BAM records in BamAlignmentDecoderBase

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 07 Jan 2020 16:14:12 +0100

libmaus2 (2.0.690-1) unstable; urgency=medium

  * add kmerCallbackPosFR function in KmerBase
  * rename timeout based trywait to trylock in StdMutex
  * refactor StdMutex
  * allow faster comparison in SerialisingBuffer
  * add getProcessedFraction method in VCFParser
  * put additional checks in GrowingFreeList
  * Add contig list replacement machinery in VCFParser
  * clean up include directives in Chromosome/ChromosomeVectorMerge
  * Add constructHeader functions in BamMultiAlignmentDecoderFactory

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 07 Jan 2020 08:33:57 +0100

libmaus2 (2.0.689-1) unstable; urgency=medium

  * add isCoding,getStrand and getCDS in GTFData

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 20 Nov 2019 14:13:18 +0100

libmaus2 (2.0.688-1) unstable; urgency=medium

  * add get*Info in VCFParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 19 Nov 2019 13:53:41 +0100

libmaus2 (2.0.687-1) unstable; urgency=medium

  * update default sort block sizes in classes using serialised sorting
  * add StreamGetObject in Makefile
  * change default sort block size in SerialisingSortingBufferedOutputFile
  * add test for SerialisingSortingBufferedOutputFile in testAIO
  * reimplement SerialisingSortingBufferedOutput to use fixed size buffer
  * add verbose mode for SerialisingMergingReadBack
  * add verbose mode for SerialisingSortingBufferedOutputFile
  * add lengthUTF8 in UTF8 class
  * add CharArrayInputStream/CharArrayOutputStream/CountOutputStream/StreamGetObject plus tests
  * add maxdepth field in ExonSubInfo
  * add getStrings method in TabEntry

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 12 Nov 2019 17:19:33 +0100

libmaus2 (2.0.686-1) unstable; urgency=medium

  * add include statement for stdexcept in PosixFunctions.cpp

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 07 Nov 2019 11:04:53 +0100

libmaus2 (2.0.685-1) unstable; urgency=medium

  * add print method in GTFData/Gene/Transcript/Exon

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 07 Nov 2019 10:16:57 +0100

libmaus2 (2.0.684-1) unstable; urgency=medium

  * add reset method in IndexBase
  * add cast in RangeSet

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 04 Nov 2019 10:53:24 +0100

libmaus2 (2.0.683-1) unstable; urgency=medium

  * fix LineSplitting output stream buffer for case only one file gets created (do not erroneously remove file on the wrong assumption it is empty)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 30 Oct 2019 10:28:03 +0100

libmaus2 (2.0.682-1) unstable; urgency=medium

  * guard against flush exceptions in BamToFastqOutputFileSet destructor
  * add separate flush function in BamToFastqOutputFileSet

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 30 Oct 2019 09:14:28 +0100

libmaus2 (2.0.681-1) unstable; urgency=medium

  * replace assert statements by exceptions in TabEntry

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 25 Oct 2019 10:00:14 +0200

libmaus2 (2.0.680-1) unstable; urgency=medium

  * add filename based constructor in VEPParser
  * add getParsed method in TabEntry

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 23 Oct 2019 15:24:01 +0200

libmaus2 (2.0.679-1) unstable; urgency=medium

  * add reverse method in Distribution
  * add HistogramBuckets class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 22 Oct 2019 14:09:22 +0200

libmaus2 (2.0.678-1) unstable; urgency=medium

  * add Distribution class
  * add NormalDistribution and LogNormalDistribution classes
  * use ::std::erf instead of custom implementation

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 21 Oct 2019 15:15:06 +0200

libmaus2 (2.0.677-1) unstable; urgency=medium

  * add getContigNamesAndTrie in BamHeader
  * add getPileQualityVector function/method in BamAlignmentDecoderBase/BamAlignment
  * fix namespace scope of output operator for ArgInfo

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 21 Oct 2019 08:04:46 +0200

libmaus2 (2.0.676-1) unstable; urgency=medium

  * support end of range queries in PosMapping class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 11 Oct 2019 10:13:48 +0200

libmaus2 (2.0.675-1) unstable; urgency=medium

  * add VEPParser class
  * fix bug in VCFParser dropping the first data line after the VCF header
  * add VEPCoordinate class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 10 Oct 2019 15:03:01 +0200

libmaus2 (2.0.674-1) unstable; urgency=medium

  * add commonPrefix function in stringFunctions class
  * add VCFParser constructor taking file name argument

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 09 Oct 2019 13:35:19 +0200

libmaus2 (2.0.673-1) unstable; urgency=medium

  * simplify configure script
  * code cleanup (remove fftw and daligner code dependencies)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 09 Oct 2019 10:21:25 +0200

libmaus2 (2.0.672-1) unstable; urgency=medium

  * add peek/read methods in VCFParser
  * add getCoordinate function in VCFParser
  * add VCFSorter class
  * add getContigNamesAndTrie function/method in VCFParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 08 Oct 2019 10:35:25 +0200

libmaus2 (2.0.671-1) unstable; urgency=medium

  * fix errors after removal of assembly based digest functions

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 03 Oct 2019 20:11:42 +0200

libmaus2 (2.0.670-1) unstable; urgency=medium

  * remove assembly code for digests/hashs

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 27 Sep 2019 11:09:46 +0200

libmaus2 (2.0.669-1) unstable; urgency=medium

  * add seed position based alignment in Align
  * remove erroneous assert statements in Align class
  * add extendedLF in LFBase class
  * add phi function for BiInterval in FM class
  * add loading of WaveletTree based LF in BwtMergeSortResult
  * add FM::BiInterval class inside FM and helper functions (epsilon,extendLeft,extendRight)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 24 Sep 2019 12:56:20 +0200

libmaus2 (2.0.668-1) unstable; urgency=medium

  * add simple protein alignment class
  * add blosum62

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 19 Sep 2019 21:43:44 +0200

libmaus2 (2.0.667-1) unstable; urgency=medium

  * add constructor by file name in LineBuffer class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 18 Sep 2019 09:37:03 +0200

libmaus2 (2.0.666-1) unstable; urgency=medium

  * allow initialisation by pseudo BED data in GTFData object
  * allow construction via vector instead of GTFData in BAMGTFMap
  * add GeneRangeSets and TranscriptRangeSets classes
  * fill id field for Gene in GTFData
  * add getFrom(), getTo() and getInterval() methods in Gene
  * add getFrom(), getTo() and getInterval() methods in Transcript
  * store length value in RangeSet and replace several assert statements by exceptions
  * add filter method in GTFData
  * add c_start, c_end and id attributes in Transcript
  * add strand attribute in CDS
  * remove debug message in GTFData

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 05 Sep 2019 15:12:09 +0200

libmaus2 (2.0.665-1) unstable; urgency=medium

  * add RangeSets class in gtf
  * add BAMGTFMap class
  * add sanity checking code in GTFData

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 29 Aug 2019 17:12:56 +0200

libmaus2 (2.0.664-1) unstable; urgency=medium

  * add code for analysing/handling GTF files

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 29 Aug 2019 11:20:29 +0200

libmaus2 (2.0.663-1) unstable; urgency=medium

  * allow registering files as temp files in SerialisingSortingBufferedOutputFileArray

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 27 Aug 2019 14:29:45 +0200

libmaus2 (2.0.662-1) unstable; urgency=medium

  * add ArrayErase specialisation for std::atomic

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 27 Aug 2019 09:31:33 +0200

libmaus2 (2.0.661-1) unstable; urgency=medium

  * fix broken handling of deletions in MD/NM calculation after adjusting interpretation of position field of BAM records
  * fix recalculateCigar function in BamAlignmentDecoderBase
  * fix doWrite function in PosixFdOutputStreamBuffer
  * change interpretation of BAM position such that it concerns the first reference base concerned (i.e. include deletions, do not skip to the first match/mismatch)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 22 Aug 2019 08:24:12 +0200

libmaus2 (2.0.660-1) unstable; urgency=medium

  * implement storing of long names in FastAIndexGenerator

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 21 Aug 2019 09:17:02 +0200

libmaus2 (2.0.659-1) unstable; urgency=medium

  * fix number width in AlignmentPrint for large positions

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 20 Aug 2019 15:29:21 +0200

libmaus2 (2.0.658-1) unstable; urgency=medium

  * fix comparison with max value in KmerBase

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 20 Aug 2019 09:41:26 +0200

libmaus2 (2.0.657-1) unstable; urgency=medium

  * allow limiting parallelism in fragment merging of BlockSortControl (implicitely reduces number of open files)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 19 Aug 2019 14:29:09 +0200

libmaus2 (2.0.656-1) unstable; urgency=medium

  * refactoring socket classes
  * refactor and guard against interupted system calls in Socket.hpp

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 16 Aug 2019 10:54:29 +0200

libmaus2 (2.0.655-1) unstable; urgency=medium

  * refactor AutoArray and avoid mismatching alloc/dealloc pairs (do not deallocate memory allocated through new [] using free)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 15 Aug 2019 21:20:31 +0200

libmaus2 (2.0.654-1) unstable; urgency=medium

  * remove extraneous include directive in SkewSuffixSort
  * add missing include directive in TempFileArray

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 13 Aug 2019 15:58:13 +0200

libmaus2 (2.0.653-1) unstable; urgency=medium

  * add getNextReferenceLength/getNextFrontDel/getNextReferenceInterval in BamAlignmentDecoderBase/BamAlignment

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 07 Aug 2019 09:01:59 +0200

libmaus2 (2.0.652-1) unstable; urgency=medium

  * fixing reading pos and nextpos from files via io_lib

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 31 Jul 2019 10:33:55 +0200

libmaus2 (2.0.651-1) unstable; urgency=medium

  * extend levelToString to libdeflate settings in BamBlockWriterBaseFactory
  * add DeflateDefaults class for factoring out default deflate compression level
  * add getDefaultLevel in BamBlockWriterBaseFactory

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 30 Jul 2019 17:23:57 +0200

libmaus2 (2.0.650-1) unstable; urgency=medium

  * make writeBlock return number of bytes written in BgzfInflateBase
  * make writeHeader method return number of bytes written in BgzfInflateHeaderBase
  * add concat and getReader methods in TempFileArray

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 26 Jul 2019 16:49:45 +0200

libmaus2 (2.0.649-1) unstable; urgency=medium

  * add shiftValues function in BamNumericalIndexGenerator
  * add replaceValue method in BamNumericalIndexGenerator
  * make throwing exception on eof optional in BamRawDecoder

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 25 Jul 2019 15:08:29 +0200

libmaus2 (2.0.648-1) unstable; urgency=medium

  * remove deprecated CollatingBamDecoder class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 25 Jul 2019 10:52:40 +0200

libmaus2 (2.0.647-1) unstable; urgency=medium

  * re-add erroneously removed writeBamIndex function in BlockMergeControl

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 24 Jul 2019 14:18:44 +0200

libmaus2 (2.0.646-1) unstable; urgency=medium

  * add numerical indexing in parallel bam sorting
  * automatically disable deepbind if asan is requested in configure
  * store file name provided at construction time in BamNumericalIndexGenerator

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 24 Jul 2019 13:53:05 +0200

libmaus2 (2.0.645-1) unstable; urgency=medium

  * add getContigNames method in VCFParser
  * avoid flush in Histogram printing

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 24 Jul 2019 10:48:06 +0200

libmaus2 (2.0.644-1) unstable; urgency=medium

  * add getType function/method in BamAlignmentDecoderBase/BamAlignment
  * mark getSortOrder as const in BamHeader

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 23 Jul 2019 17:17:02 +0200

libmaus2 (2.0.643-1) unstable; urgency=medium

  * fix tlen field in SCRAM input

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 19 Jul 2019 14:40:19 +0200

libmaus2 (2.0.642-1) unstable; urgency=medium

  * add writeBlock method in BgzfInflateBase
  * add writeHeader method in BgzfInflateHeaderBase
  * use fixed sequence EOF block in BgzfInflateDeflateParallel and BgzfRecode instead of producing one using zlib
  * add toString method in BgzfInflateInfo
  * be more verbose about unexpected EOF in BgzfInflateBase
  * use fixed sequence EOF block in BgzfDeflate instead of producing one via zlib
  * add getEOFBlock function in BgzfDeflateBase
  * add getHeader method in BamRawDecoder
  * add flush call in BamNumExtractor

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 19 Jul 2019 11:08:10 +0200

libmaus2 (2.0.641-1) unstable; urgency=medium

  * remove RAZF as it is no longer supported by samtools
  * update compression level checking in BamBlockWriterBaseFactory
  * implement libdeflate support for compression

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 18 Jul 2019 10:35:06 +0200

libmaus2 (2.0.640-1) unstable; urgency=medium

  * add unparsedCopy copy method in VCFParser
  * add BgzfDeflateOutputCallbackBamNumericalIndex

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 17 Jul 2019 16:04:24 +0200

libmaus2 (2.0.639-1) unstable; urgency=medium

  * replace stdc++ by stdcxx in aio factory containers
  * improve exception handling in StdThread
  * fix return value in BgzfInflateBlock for case of empty blocks inside file

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 16 Jul 2019 13:42:33 +0200

libmaus2 (2.0.638-1) unstable; urgency=medium

  * add readFileAsStream/readStream in GetFileSize
  * add tryoq flag in BAM Checksums

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 16 Jul 2019 10:53:42 +0200

libmaus2 (2.0.637-1) unstable; urgency=medium

  * add extract variant for BamNumExtractor

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 12 Jul 2019 15:08:06 +0200

libmaus2 (2.0.636-1) unstable; urgency=medium

  * add BamNumExtractor
  * add getRawDecoderAt method in BamNumericalIndexDecoder
  * add BamRawDecoder test
  * add BamRawDecoder class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Mon, 08 Jul 2019 12:26:20 +0200

libmaus2 (2.0.635-1) unstable; urgency=medium

  * add posix_WIFEXTED and posix_WEXITSTATUS in PosixFunctions
  * rename function lseek in PosixFunctions to posix_lseek to avoid clashing with a macro definition of lseek
  * add EXEEXT ending for optionally built programs in configure

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 05 Jul 2019 09:01:35 +0200

libmaus2 (2.0.634-1) unstable; urgency=medium
 
  * remove HDF5 wrapper
  * remove libarchive test program
  * remove dead/unused code
  * refactor LibMausException (move code to .cpp file)
  * add some locking typedefs
  * remove posix regex interface
  * replace PosixThread class by StdThread and remove PosixThread/PosixMutex/PosixSpinLock
  * replace PosixMutex by StdMutex
  * replace PosixSpinLock by StdSpinLock
  * cleanup/move to Std instead of Posix
  * remove outdated ThreadPool framework
  * replace Posix by Std
  * rewrite some data structures to use std:: instead of Posix functionality
  * remove TerminatableSynchronousHeap and replace by StdTerminatableSynchronousHeap
  * replace TerminatableSynchronousHeap by StdTerminatableSynchronousHeap in SimpleThreadPool
  * add StdTerminatableSynchronousHeap
  * add unlock/lock in ScopeStdMutex
  * add StdSemaphore
  * add StdMutex and StdSpinLock
  * fix warnings in bitbtree
  * add StdThread class
  * split PosixFdInput into hpp/cpp
  * return not supported error code instead of throwing exception in PosixFunctions::getFIOsizeViaFStatFS
  * namespace cleanup (move most posix calls in aio to PosixFunctions class)

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 03 Jul 2019 20:26:18 +0200

libmaus2 (2.0.633-1) unstable; urgency=medium

  * start to move posix calls into a separate interface
  * add automatic decompression of gzipped input in VCFParser
  * add runPatchContigPrepend function in VCFParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 28 Jun 2019 13:39:02 +0200

libmaus2 (2.0.632-1) unstable; urgency=medium

  * add TabEntry and VCFParser classes
  * add detection of libdeflate in configure.ac

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 27 Jun 2019 20:25:09 +0200

libmaus2 (2.0.631-1) unstable; urgency=medium

  * do not leave behind unused temp files in BlockSortControl

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 19 Jun 2019 10:45:40 +0200

libmaus2 (2.0.630-1) unstable; urgency=medium

  * add copyFrom method in FiniteSizeHeap

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 Jun 2019 17:48:45 +0200

libmaus2 (2.0.629-1) unstable; urgency=medium

  * add missing const marker for top method in FiniteSizeHeap

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 Jun 2019 16:51:44 +0200

libmaus2 (2.0.628-1) unstable; urgency=medium

  * fix compilation error due to missing OFStreamOutputStreamFactory::copy
  * rename/introduce stdc++ stream in aio factories

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 Jun 2019 15:51:25 +0200

libmaus2 (2.0.627-1) unstable; urgency=medium

  * add pointer type in ScopePosixMutex
  * add bundle script
  * extend mapBA in PosMapping
  * add PosMapping class
  * remove SocketPair class

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 18 Jun 2019 13:49:20 +0200

libmaus2 (2.0.626-1) unstable; urgency=medium

  * code cleanup

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 14 Jun 2019 15:08:32 +0200

libmaus2 (2.0.625-1) unstable; urgency=medium

  * code cleanup
  * remove reference to GenericInput class in testHuffman
  * replace direct posix calls in LineSplittingPosixFdOutputStreamBuffer by OutputStreamInstance
  * remove references to Posix from FastWriteBitWriter.hpp and MarkerFastWriteBitWriter.hpp
  * remove direct calls to (Input|Output)StreamFactory*::construct* where possible

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 14 Jun 2019 10:46:32 +0200

libmaus2 (2.0.624-1) unstable; urgency=medium

  * add replaceCigar function in BamAlignmentEncoderBase

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 13 Jun 2019 12:55:57 +0200

libmaus2 (2.0.623-1) unstable; urgency=medium

  * add replaceSequence in BamAlignmentEncoderBase
  * add getNumPreQualBytes/getNumQualBytes/getNumPostQualBytes/getNumPostSeqBytes in BamAlignmentDecoderBase

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 13 Jun 2019 10:07:02 +0200

libmaus2 (2.0.622-1) unstable; urgency=medium

  * allow setting of error stream in BamAlignmentDecoderBase::calmd
  * add pointer types in MdStringComputationContext

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 12 Jun 2019 16:35:44 +0200

libmaus2 (2.0.621-1) unstable; urgency=medium

  * add replaceName function in BamAlignmentDecoderBase

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 12 Jun 2019 10:32:49 +0200

libmaus2 (2.0.620-1) unstable; urgency=medium

  * add shared pointer type in BamAuxFilterVector

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 12 Jun 2019 08:33:12 +0200

libmaus2 (2.0.619-1) unstable; urgency=medium

  * fix order in SimpleThreadWorkPackageComparator
  * print package name in SimpleThreadWorkPackage output operator
  * add printPending method in SimpleThreadPool

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Tue, 11 Jun 2019 14:47:05 +0200

libmaus2 (2.0.618-1) unstable; urgency=medium

  * remove custom popcount c++ code and replace by calling std::bitset<>::count
  * remove unused files
  * general cleanup
  * remove SAIS part from AUTHORS list after removing SAIS code

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Fri, 07 Jun 2019 12:50:59 +0200

libmaus2 (2.0.617-1) unstable; urgency=medium

  * remove OS and SAIS code
  * remove code imported from Linux kernel in CRC32_Core.cpp/CRC32C_Core.cpp by putting preprocessor statements modifying x86_64 code as needed for general case
  * remove Fischer systematic succinct RMQ code
  * remove nearest neighbour dictionary code
  * remove balanced parantheses code
  * remove oracle LCP code reference in AUTHORS
  * remove OracleLCP code

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 06 Jun 2019 14:08:24 +0200

libmaus2 (2.0.616-1) unstable; urgency=medium

  * be more verbose in GzipHeaderParser error messages
  * add reset method in GzipHeaderParser

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Thu, 06 Jun 2019 12:24:30 +0200

libmaus2 (2.0.615-1) unstable; urgency=medium

  * no change version bump to check version bumping script

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 05 Jun 2019 17:19:57 +0200

libmaus2 (2.0.612-1) unstable; urgency=medium

  * update information in bumpversion script
  * remove non source files from branch
  * install CheckSelf.hpp
  * install LibMausWindows.hpp
  * add putFastQCasava18 in BamAlignmentDecoderBase
  * fix warnings about limited range of data type in SamInfo
  * add BamAlignmentNameLexicographicComparator
  * allow error bound in NPLLinMem
  * use CheckSelf in NP to allow for different iterator type for a and b string in npTemplate
  * add valid flag for return value of NPLNoTrace to allow for limited error number calls
  * directly call template function in NPLinMem to avoid instantiation of eq comparison for different iterator types
  * allow different iterator type for a and b string in NPNoTrace
  * add CheckSelf template class in lcs
  * fail in DatabaseFile::writeDatabase if symlink syscall is not available
  * do not directly include windows.h in AutoArray
  * check for presence of fsync in SynchronousGenericOutputPosix (otherwise do not flush...)
  * conditional compilation of mkdir based on number of parameters used in PosixFdOutputStreamFactory
  * check for presence of fsync in PosixFdOutputStreamBuffer (otherwise do not flush...)
  * check for fsync presence in PosixFdInputOutputStreamBuffer (otherwise do not flush...)
  * check for presence of O_LARGEFILE in PosixFdInput
  * add string/filename based constructor in FastALineParser
  * add byteSize method in NPL class
  * use different pagesize function
  * fix missing parameter in ImpHuffmanWaveletLF constructor
  * add various compilation options in Socket based on presence/absence of headers/system calls
  * fail in sendReceiveFd if system calls are not available
  * fail in Command if fork system call is not available
  * fail in LogPipe if fork or pipe system call are not available
  * add missing include directives in LogPipe.hpp
  * fail in LogPipeMultiplex if fork or pipe system call not available
  * add missing include directives in LogPipeMultiplex
  * fail in LogPipeMultiplexGeneric if fork or pipe system call not available
  * add missing include directives in LogPipeMultiplexGeneric
  * fail in PosixExecute if fork or pipe system call are not available
  * check for presence of SIG_HUP and SIG_PIPE in TempFileRemovalContainer
  * check for presence of ioctl in Terminal
  * add more checks in configure

 -- German Tischler-Höhle <germant@miltenyibiotec.de>  Wed, 29 May 2019 14:00:08 +0200

libmaus2 (2.0.611-1) unstable; urgency=medium

  * add verbose mode in copyToPrefix for DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 08 Apr 2019 11:14:56 +0200

libmaus2 (2.0.610-1) unstable; urgency=medium

  * add loaddata argument in readTrack of DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 28 Mar 2019 15:41:22 +0100

libmaus2 (2.0.609-1) unstable; urgency=medium

  * add AutoArray based getKMatchOffsets variant in AlignmentTraceContainer
  * fix memory estimation in ReadIntervals

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 27 Mar 2019 13:58:42 +0100

libmaus2 (2.0.608-1) unstable; urgency=medium

  * add Bernoulli class
  * rename variables in testsuffixtreeenum
  * add LGammaCache

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 26 Mar 2019 10:42:54 +0100

libmaus2 (2.0.607-1) unstable; urgency=medium

  * check result of getNext call in LFSymRankPosDecoder
  * avoid unused variable warnings

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 21 Mar 2019 15:58:22 +0100

libmaus2 (2.0.606-1) unstable; urgency=medium

  * fix getDirectoryPath for local paths in OutputStreamFactoryContainer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Mar 2019 12:22:59 +0100

libmaus2 (2.0.605-1) unstable; urgency=medium

  * add recursive directory creation in OutputStreamFactoryContainer
  * explicitely initialize fields in BamIndexBin

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Mar 2019 11:43:25 +0100

libmaus2 (2.0.604-1) unstable; urgency=medium

  * remove usage of boost based alternatives for classes previously not in C++ standard
  * add verbose message in debug mode of BamNumericalIndexGenerator
  * fix copying of wrong variable to save variable in configure.ac
  * add optional debug messages in bitbtree::insertBit
  * avoid bit shifts by full word size in uint
  * adapt to new interface in OutputBufferIterator
  * avoid warning about pointer to empty array in testgamma
  * restructure compilation flags in configure.ac/Makefile.am to pass C++ for compiling C code
  * disable ABI warning in configure.ac
  * add explicit operator=/copy constructor in SuccinctFactorList
  * refactor OutputBufferIterator/Proxy
  * avoid copying ReadEndsBlockDecoderBaseCollectionInfo objects in ReadEndsBlockDecoderBaseCollection
  * add explicit operator= in ReadEndsBlockDecoderBaseCollectionInfo
  * add explicit operator= in ReadEndsBlockDecoderBaseCollectionInfoBase
  * add explicit copy constructor/operator= in SimpleThreadWorkPackage
  * add explicit operator= in work packages classes of bambam/parallel namespace
  * refactor AutoArray to avoid realloc warnings in cases where realloc is never called
  * add copy constructor for ReadGroup class
  * add operator= and copy constructor in BitBTreeInnerNodeData
  * remove unneeded UNIQUE_PTR_MOVE in LibMausException and mark destructor as throw()
  * explicitely initialize fields in FlaggedInterval's argumentless constructor
  * add explicit operator= in OverlapOrientation/CheckOverlapResult
  * add explicit copy constructor in Rational class
  * add UnsignedInteger(UnsignedInteger<k> const & O) constructor in UnsignedInteger to avoid warning about implicit copy constructor
  * make operator= and copy constructor private in PosixMutex/PosixSpinLock
  * add pointer types in Poisson class
  * remove alloc_type_c in PairPushBuffer of RLIndex to avoid malloc/free on std::pair
  * add explicit operator= in BaseSortRequest/MergeRequest of ParallelStableSort.hpp
  * add cast to avoid signed/unsigned comparison warning in testAOI.cpp
  * add explicit operator= in PutOutputIterator
  * comment out unused code in testavx
  * remove unneeded UNIQUE_PTR_MOVE in testbamindex.cpp
  * avoid unused variable warning in testlognormal
  * avoid copying mutex/lock objects in testsimplethreadpoolbamdecode.cpp
  * remove UNIQUE_PTR_MOVE from return statements of local variables

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 19 Mar 2019 11:44:04 +0100

libmaus2 (2.0.603-1) unstable; urgency=medium

  * rewrite TerminatableSynchronousQueue

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 12 Mar 2019 15:19:29 +0100

libmaus2 (2.0.602-1) unstable; urgency=medium

  * fix close method in OutputStreamInstanceArray (actually close files instead of just flushing their output buffers)

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 11 Mar 2019 11:58:57 +0100

libmaus2 (2.0.601-1) unstable; urgency=medium

  * add filterUniqueNoRename function

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 08 Mar 2019 14:57:56 +0100

libmaus2 (2.0.600-1) unstable; urgency=medium

  * add BitSet class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 06 Mar 2019 16:24:33 +0100

libmaus2 (2.0.599-1) unstable; urgency=medium

  * fix output in OverlapDataInterface
  * use static function for inverse flag instead of hard coding in LASToBamConverterBase

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 04 Mar 2019 12:28:30 +0100

libmaus2 (2.0.598-1) unstable; urgency=medium

  * add OverlapInfoSimple class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Feb 2019 00:29:36 +0100

libmaus2 (2.0.597-1) unstable; urgency=medium

  * add shared_ptr_type for DecompressorObject

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 16 Feb 2019 12:58:39 +0100

libmaus2 (2.0.596-1) unstable; urgency=medium

  * add getAlignedOutputBlock method in FragmentAlignmentBufferFragment
  * use final flag in SimpleOverlapParser
  * add final flag for parseBlock in OverlapParser
  * add SkipConcatInputStream class
  * add getPointers/swap in FragmentAlignmentBufferFragment

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 15 Feb 2019 09:14:12 +0100

libmaus2 (2.0.595-1) unstable; urgency=medium

  * allow passing quality in LASToBamConverterBase

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 12 Feb 2019 10:20:21 +0100

libmaus2 (2.0.594-1) unstable; urgency=medium

  * add ConstIteratorDiff class allowing specification of difference_type
  * add operator++/operator-- in GmpInteger

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Feb 2019 15:35:21 +0100

libmaus2 (2.0.593-1) unstable; urgency=medium

  * switch GetTransitiveStrict to NPLinMem

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 01 Feb 2019 14:18:17 +0100

libmaus2 (2.0.592-1) unstable; urgency=medium

  * explicitely call lasindex in LasSort2Cascade if indexing is requested

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 30 Jan 2019 11:59:30 +0100

libmaus2 (2.0.591-1) unstable; urgency=medium

  * update error message in BamMergeTemplate
  * update error message in BamIndexGenerator

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 30 Jan 2019 11:20:41 +0100

libmaus2 (2.0.590-1) unstable; urgency=medium

  * add setKeepAlive in SocketBase

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 28 Jan 2019 11:39:09 +0100

libmaus2 (2.0.589-1) unstable; urgency=medium

  * fix LASToBamConverterBase

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 25 Jan 2019 19:14:32 +0100

libmaus2 (2.0.588-1) unstable; urgency=medium

  * link README to README.md

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 25 Jan 2019 11:16:57 +0100

libmaus2 (2.0.587-1) unstable; urgency=medium

  * add minimum io_lib version required in README.md
  * check io_lib version in configure

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 22 Jan 2019 10:43:45 +0100

libmaus2 (2.0.586-1) unstable; urgency=medium

  * make bam alignment validity more verbose for invalid read names

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 21 Jan 2019 16:12:51 +0100

libmaus2 (2.0.585-1) unstable; urgency=medium

  * add test for getBlockForIdTrimmed and getTrimmedBlockInterval in DatabaseFile
  * fix getBlockForIdTrimmed in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 20 Jan 2019 21:57:58 +0100

libmaus2 (2.0.584-1) unstable; urgency=medium

  * add getNumBlocks, getBlockForIdTrimmed and getTrimmedBlockInterval variants in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 16 Jan 2019 12:01:47 +0100

libmaus2 (2.0.583-1) unstable; urgency=medium

  * add ascii flag in DirectoryStructure

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 15 Jan 2019 10:09:18 +0100

libmaus2 (2.0.582-1) unstable; urgency=medium

  * enable stream exception in LasSort2
  * add print method in LibMausException
  * enable exceptions for bad and fail bits in AlignmentWriter
  * add print error comments in PosixFdOutputStreamBuffer

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 04 Jan 2019 09:57:14 +0100

libmaus2 (2.0.581-1) unstable; urgency=medium

  * remove extraneous argument in testnpl
  * add new test for NPLinMem in testnpl
  * change half point checking in NPNoTrace

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 03 Jan 2019 13:37:07 +0100

libmaus2 (2.0.580-1) unstable; urgency=medium

  * add charIdMap function in AlignmentPrint

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 18 Dec 2018 14:13:55 +0100

libmaus2 (2.0.579-1) unstable; urgency=medium

  * produce index as request in LasMerge2 if only a single input file is given
  * fix multiple use of same file in parallel merging of AlignmentWriterArray
  * fix missing locking in MemoryFileContainer::rename

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 18 Dec 2018 12:13:02 +0100

libmaus2 (2.0.578-1) unstable; urgency=medium

  * add MemoryBackedOutputStream + test

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 18 Dec 2018 09:45:24 +0100

libmaus2 (2.0.577-1) unstable; urgency=medium

  * add merge2Parallel method in AlignmentWriterArray
  * add LasMerge2 class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 14 Dec 2018 14:39:17 +0100

libmaus2 (2.0.576-1) unstable; urgency=medium

  * do not print all pointer in GraphEncoder
  * do not print all pointers in GraphCheck

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 11 Dec 2018 10:44:42 +0100

libmaus2 (2.0.575-1) unstable; urgency=medium

  * add comments and checks in GraphEncoder
  * add toString method in LasFileRange
  * add checkEncodedGraphFull method in GraphCheck class
  * avoid explicitely using this pointer in LasIntervals
  * fix LAS indexing (wrong start offset)

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 11 Dec 2018 09:37:46 +0100

libmaus2 (2.0.574-1) unstable; urgency=medium

  * modify constructIndex in OverlapIndexer to use SimpleOverlapParser
  * be more verbose in GraphDecoder::getCoverOverlap error message
  * add OverlapMeta constructor for OverlapDataInterface objects

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 10 Dec 2018 14:48:10 +0100

libmaus2 (2.0.573-1) unstable; urgency=medium

  * fix off by one error in LasIntervals

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 08 Dec 2018 15:36:12 +0100

libmaus2 (2.0.572-1) unstable; urgency=medium

  * version bump after gitlab maintenance

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 08 Dec 2018 15:08:18 +0100

libmaus2 (2.0.571-1) unstable; urgency=medium

  * fix typo in LasIntervals getEntry

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 08 Dec 2018 14:46:30 +0100

libmaus2 (2.0.570-1) unstable; urgency=medium

  * add toString method in LasIntervals

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 08 Dec 2018 13:41:49 +0100

libmaus2 (2.0.569-1) unstable; urgency=medium

  * introduce environment variable LIBMAUS2_DAZZLER_ALIGN_ALIGNMENTFILECONSTANTS_TRACE_XOVR

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 08 Dec 2018 12:54:41 +0100

libmaus2 (2.0.568-1) unstable; urgency=medium

  * fix wrong rounding in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 07 Dec 2018 16:47:44 +0100

libmaus2 (2.0.567-1) unstable; urgency=medium

  * try to make computeTrimVector in DatabaseFile more efficient

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 07 Dec 2018 15:51:21 +0100

libmaus2 (2.0.566-1) unstable; urgency=medium

  * fix warnings in LasIntervals

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 07 Dec 2018 12:40:28 +0100

libmaus2 (2.0.565-1) unstable; urgency=medium

  * restructure LasIntervals class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 07 Dec 2018 12:15:00 +0100

libmaus2 (2.0.564-1) unstable; urgency=medium

  * make tmp file in LasSort2Cascade user settable parameter

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 03 Dec 2018 20:31:52 +0100

libmaus2 (2.0.563-1) unstable; urgency=medium

  * add LasSort2Cascade class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 03 Dec 2018 14:03:37 +0100

libmaus2 (2.0.562-1) unstable; urgency=medium

  * add id fields in AlignmentPrint

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 29 Nov 2018 23:47:52 +0100

libmaus2 (2.0.561-1) unstable; urgency=medium

  * add write method in TrackExtra class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 29 Nov 2018 16:40:47 +0100

libmaus2 (2.0.560-1) unstable; urgency=medium

  * a single read constructor in ReadIntervals::ReadData
  * add getSingle function DatabaseFile::ReadDataRange
  * supporting multiple alignments in same array in OverlapData::putOverlap

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 29 Nov 2018 11:53:26 +0100

libmaus2 (2.0.559-1) unstable; urgency=medium

  * add error rate per line printing in AlignmentPrint
  * add error rate printing for OverlapDataInterface

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 28 Nov 2018 10:33:26 +0100

libmaus2 (2.0.558-1) unstable; urgency=medium

  * add explicit copy constructor in LibMausException
  * add eraseIf in SimpleHashSetInsDel
  * fix missing quotes in configure.ac

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 26 Nov 2018 09:22:44 +0100

libmaus2 (2.0.557-1) unstable; urgency=medium

  * add subIntervalB method in Path class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 19 Nov 2018 21:40:15 +0100

libmaus2 (2.0.556-1) unstable; urgency=medium

  * remove erroneous double appearance of TRACE_XOVR in codebase

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 19 Nov 2018 14:09:15 +0100

libmaus2 (2.0.555-1) unstable; urgency=medium

  * add getTracePairs, subIntervalA and subIntervalB in OverlapData
  * use partial alignments in getTransitiveStrictLowAlloc

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 16 Nov 2018 15:13:42 +0100

libmaus2 (2.0.554-1) unstable; urgency=medium

 * add getTransitiveStrictLowAlloc function in GetTransitiveStrict
 * add putOverlap function in OverlapData

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 16 Nov 2018 09:18:07 +0100

libmaus2 (2.0.553-1) unstable; urgency=medium

  * update Scram interface for io_lib 1.14.11

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 15 Nov 2018 21:26:34 +0100

libmaus2 (2.0.552-1) unstable; urgency=medium

  * add missing trace point alignment in subOverlap
  * replace assert by exception in computeTrace of Overlap

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 14 Nov 2018 21:27:27 +0100

libmaus2 (2.0.551-1) unstable; urgency=medium

  * add pointer types in OutputStreamInstanceArray

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 14 Nov 2018 12:30:34 +0100

libmaus2 (2.0.550-1) unstable; urgency=medium

  * add putABPos, putAEPos, putBBPos and putBEPos functions in OverlapData

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 13 Nov 2018 23:51:13 +0100

libmaus2 (2.0.549-1) unstable; urgency=medium

  * add getu method in ReadIntervals/ReadIntervalsVector

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 13 Nov 2018 10:17:51 +0100

libmaus2 (2.0.548-1) unstable; urgency=medium

  * fix typo bug in OverlapDataInterface and Path

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 12 Nov 2018 12:47:45 +0100

libmaus2 (2.0.547-1) unstable; urgency=medium

  * add straight method in OverlapInfo
  * add subInterval method in OverlapDataInterface and Path
  * factor out AlignmentFileConstants from AlignmentFile
  * add SubIntervalResult class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 12 Nov 2018 09:34:44 +0100

libmaus2 (2.0.546-1) unstable; urgency=medium

  * fix kmer output in testsuffixtreenum
  * add internal memory parallelism in testsuffixtreenum
  * add RL method in ReadData

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 09 Nov 2018 17:48:08 +0100

libmaus2 (2.0.545-1) unstable; urgency=medium

  * fix broken doGenerate method in DirectoryStructure

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 08 Nov 2018 12:58:02 +0100

libmaus2 (2.0.544-1) unstable; urgency=medium

  * add doGenerate and doRemove in DirectoryStructure

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 08 Nov 2018 11:27:38 +0100

libmaus2 (2.0.543-1) unstable; urgency=medium

  * add verbosity in testsuffixtreenum
  * add blockLookupTableTrimmed method in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 08 Nov 2018 10:42:59 +0100

libmaus2 (2.0.542-1) unstable; urgency=medium

  * add callbacks in testsuffixtreenum
  * add loadSubQual method in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 07 Nov 2018 16:00:34 +0100

libmaus2 (2.0.541-1) unstable; urgency=medium

  * update code to enumerare k-mers instead of k+1-mers

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 06 Nov 2018 16:06:24 +0100

libmaus2 (2.0.540-1) unstable; urgency=medium

  * add getTransitiveStrict variant in GetTransitiveStrict
  * add swap method in OverlapData
  * add alternative constructor in ReadIntervals
  * add tspace in LasIntervals

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 04 Nov 2018 12:57:40 +0100

libmaus2 (2.0.539-1) unstable; urgency=medium

  * add indexing in LasIntervals object

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 02 Nov 2018 09:41:20 +0100

libmaus2 (2.0.538-1) unstable; urgency=medium

  * fix track loading in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 30 Oct 2018 20:20:32 +0100

libmaus2 (2.0.537-1) unstable; urgency=medium

  * add pointer interface in OverlapProperCheck

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 29 Oct 2018 18:06:06 +0100

libmaus2 (2.0.536-1) unstable; urgency=medium

  * add openSingle method in LasIntervals
  * add reset method in OverlapParser
  * add ReadIntervalsVector class
  * add flags in testsuffixtreenum

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 29 Oct 2018 17:06:44 +0100

libmaus2 (2.0.535-1) unstable; urgency=medium

  * add ReadIntervals class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 24 Oct 2018 18:42:19 +0200

libmaus2 (2.0.534-1) unstable; urgency=medium

  * add merge2 method in AlignmentWriterArray

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 23 Oct 2018 20:06:42 +0200

libmaus2 (2.0.533-1) unstable; urgency=medium

  * add k-mer decoding and ranges in testsuffixtreenum

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 22 Oct 2018 16:36:33 +0200

libmaus2 (2.0.532-1) unstable; urgency=medium

  * add pre code for bidirectional traversal in testsuffixtreenum
  * change sorting in testsuffixtreenum

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 22 Oct 2018 13:17:33 +0200

libmaus2 (2.0.531-1) unstable; urgency=medium

  * add OutputStreamInstanceArray

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 19 Oct 2018 13:28:58 +0200

libmaus2 (2.0.530-1) unstable; urgency=medium

  * no change version bump for syncing

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 21 Sep 2018 17:28:31 +0200

libmaus2 (2.0.529-1) unstable; urgency=medium

  * add resetFailed method in Command and CommandContainer

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 21 Sep 2018 14:30:54 +0200

libmaus2 (2.0.528-1) unstable; urgency=medium

  * add serialise method in BamHeaderLowMem

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 19 Sep 2018 15:12:14 +0200

libmaus2 (2.0.527-1) unstable; urgency=medium

  * add extra element reading for dazzler tracks

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 06 Sep 2018 15:40:45 +0200

libmaus2 (2.0.526-1) unstable; urgency=medium

  * add documentation for DirectoryStructure

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 09 Aug 2018 11:21:04 +0200

libmaus2 (2.0.525-1) unstable; urgency=medium

  * use rmdirbatch module in DirectoryStructure

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 07 Aug 2018 11:08:20 +0200

libmaus2 (2.0.524-1) unstable; urgency=medium

  * add CPPInputOutputStreamFactory class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Aug 2018 14:35:47 +0200

libmaus2 (2.0.523-1) unstable; urgency=medium

  * add getDirectoryFor in DirectoryStructure

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 20:53:10 +0200

libmaus2 (2.0.522-1) unstable; urgency=medium

  * add missing include directive in DirectoryStructure

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 15:12:22 +0200

libmaus2 (2.0.521-1) unstable; urgency=medium

  * use batch mkdir in DirectoryStructure

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Aug 2018 14:45:14 +0200

libmaus2 (2.0.520-1) unstable; urgency=medium

  * be more verbose in LasIntervals error message

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 31 Jul 2018 09:55:32 +0200

libmaus2 (2.0.519-1) unstable; urgency=medium

  * avoid empty alignments on reads in GetTransitiveStrict

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 27 Jul 2018 11:19:07 +0200

libmaus2 (2.0.518-1) unstable; urgency=medium

  * add reduceUniqueParallel variant in SortingBufferedOutputFile

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 27 Jul 2018 09:36:30 +0200

libmaus2 (2.0.517-1) unstable; urgency=medium

  * add tellg and reset methods in SerialisedPeeker

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 25 Jul 2018 12:01:54 +0200

libmaus2 (2.0.516-1) unstable; urgency=medium

  * add GetTransitiveStrict methods accepting read length as arguments

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 24 Jul 2018 13:08:03 +0200

libmaus2 (2.0.515-1) unstable; urgency=medium

  * fix warnings
  * fix use after free bug in SimpleOverlapParserConcatGet

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 20 Jul 2018 09:44:35 +0200

libmaus2 (2.0.514-1) unstable; urgency=medium

  * add more precise error messages in trace computation of Overlap class
  * add more precise padding arguments in GetTransitiveStrict

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 19 Jul 2018 15:43:10 +0200

libmaus2 (2.0.513-1) unstable; urgency=medium

  * add SimpleOverlapParserConcatGet class
  * add peekNext method in SimpleOverlapParserGet

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 18 Jul 2018 11:57:16 +0200

libmaus2 (2.0.512-1) unstable; urgency=medium

  * add parserid field in DataIndex
  * add DataIndex in OverlapData

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 17 Jul 2018 14:19:35 +0200

libmaus2 (2.0.511-1) unstable; urgency=medium

  * add uclone, getReadInterval and writeDatabase methods in DatabaseFile
  * add uclone method in ImpCacheLineRank

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 12 Jul 2018 11:24:10 +0200

libmaus2 (2.0.510-1) unstable; urgency=medium

  * add DirectoryStructure class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 09 Jul 2018 20:41:03 +0200

libmaus2 (2.0.509-1) unstable; urgency=medium

  * add wrapper for decodeReadFlagInterval
  * add decodeReadFlagInterval method in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 09 Jul 2018 14:25:06 +0200

libmaus2 (2.0.508-1) unstable; urgency=medium

  * add OverlapDataArray class
  * add clone method in OverlapData
  * add AutoArrayUInt8TBaseAllocator and AutoArrayUInt8TBaseTypeInfo

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 06 Jul 2018 17:03:24 +0200

libmaus2 (2.0.507-1) unstable; urgency=medium

  * add GetTransitiveStrict
  * perform range check in IQVDecoder

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 06 Jul 2018 15:31:06 +0200

libmaus2 (2.0.506-1) unstable; urgency=medium

  * add IQVDecoder class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 03 Jul 2018 10:38:10 +0200

libmaus2 (2.0.505-1) unstable; urgency=medium

  * try to avoid destructor exceptions in AlignmentWriter/AlignmentWriterArray

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 28 Jun 2018 11:37:41 +0200

libmaus2 (2.0.504-1) unstable; urgency=medium

  * add removeDatabase function DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 19 Jun 2018 11:50:58 +0200

libmaus2 (2.0.503-1) unstable; urgency=medium

  * script test bump run

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Jun 2018 15:52:21 +0200

libmaus2 (2.0.502-1) unstable; urgency=medium

  * bump

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Jun 2018 15:45:40 +0200

libmaus2 (2.0.501-1) unstable; urgency=medium

  * bump version

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Jun 2018 15:23:29 +0200

libmaus2 (2.0.500-1) unstable; urgency=medium

  * no change version bump to test scripts

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Jun 2018 15:11:46 +0200

libmaus2 (2.0.499-1) unstable; urgency=medium

  * update name

 -- German Tischler-Höhle <tischler@mpi-cbg.de>  Thu, 07 Jun 2018 14:55:24 +0200

libmaus2 (2.0.499-1) unstable; urgency=medium

  * add access for true/haplo flag in OverlapData/Interface

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 06 Jun 2018 12:11:14 +0200

libmaus2 (2.0.498-1) unstable; urgency=medium

  * add haplo flag for dazzler alignments

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 05 Jun 2018 17:02:44 +0200

libmaus2 (2.0.497-1) unstable; urgency=medium

  * fix warning

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 05 Jun 2018 15:23:54 +0200

libmaus2 (2.0.496-1) unstable; urgency=medium

  * fix warning

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 04 Jun 2018 16:52:01 +0200

libmaus2 (2.0.495-1) unstable; urgency=medium

  * fix min call by cast

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 25 May 2018 15:23:32 +0200

libmaus2 (2.0.494-1) unstable; urgency=medium

  * add missing include in ArgParser.cpp

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 25 May 2018 14:41:21 +0200

libmaus2 (2.0.493-1) unstable; urgency=medium

  * add getTracePoints function OverlapData

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 23 May 2018 18:28:25 +0200

libmaus2 (2.0.492-1) unstable; urgency=medium

  * add pointer types in FastaPeeker

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 23 May 2018 09:45:21 +0200

libmaus2 (2.0.491-1) unstable; urgency=medium

  * add putARead and putBRead in OverlapData

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 18 May 2018 10:13:34 +0200

libmaus2 (2.0.490-1) unstable; urgency=medium

  * update debian control files

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 17 May 2018 10:34:55 +0200

libmaus2 (2.0.489-1) unstable; urgency=medium

  * add typedef in SortingBufferedOutputFile

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 15 May 2018 20:17:36 +0200

libmaus2 (2.0.488-1) unstable; urgency=medium

  * add OverlapAdapter class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 15 May 2018 12:10:21 +0200

libmaus2 (2.0.487-1) unstable; urgency=medium

  * add missing pass through of comparator in MergingReadBack

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 14 May 2018 10:24:36 +0200

libmaus2 (2.0.486-1) unstable; urgency=medium

  * add sortthreads option in reduce/sort methods in SortingBufferedOutputFile

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 09 May 2018 13:58:39 +0200

libmaus2 (2.0.485-1) unstable; urgency=medium

  * add missing initialisation of slotfilled field in GenericPeeker

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 09 May 2018 11:11:52 +0200

libmaus2 (2.0.484-1) unstable; urgency=medium

  * avoid endless loop in thresLow of Poisson

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 08 May 2018 12:16:26 +0200

libmaus2 (2.0.483-1) unstable; urgency=medium

  * add getOffset and checkSize in ContainerDescriptionList

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 07 May 2018 17:31:30 +0200

libmaus2 (2.0.482-1) unstable; urgency=medium

  * add output of modcall flag in Command

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 07 May 2018 09:54:25 +0200

libmaus2 (2.0.481-1) unstable; urgency=medium

  * add getAbsProgName in ArgParser
  * add getCurDir in PathTools
  * update getAbsProgName in ArgInfo

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 06 May 2018 10:06:55 +0200

libmaus2 (2.0.480-1) unstable; urgency=medium

  * add modcall field in Command class

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 05 May 2018 22:23:06 +0200

libmaus2 (2.0.479-1) unstable; urgency=medium

  * add Base64 class

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 05 May 2018 20:25:36 +0200

libmaus2 (2.0.478-1) unstable; urgency=medium

  * avoid unnecessary clearing of buffer in BufferedOutput

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 05 May 2018 00:43:44 +0200

libmaus2 (2.0.477-1) unstable; urgency=medium

  * use absolute paths for symlink sources in DatabaseFile
  * add PathTools

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 04 May 2018 14:36:37 +0200

libmaus2 (2.0.476-1) unstable; urgency=medium

  * fix serialise in ContainerDescriptionList

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 02 May 2018 15:43:25 +0200

libmaus2 (2.0.475-1) unstable; urgency=medium

  * add LIBMAUS2_USE_ASSEMBLY in AlignmentOneAgainstManyFactory check

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 02 May 2018 12:39:40 +0200

libmaus2 (2.0.474-1) unstable; urgency=medium

  * add replace method in ContainerDescriptionList
  * add serialisedSize method in ContainerDescription
  * only try to use I386CacheLineSize if assembly is enabled

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 02 May 2018 10:42:14 +0200

libmaus2 (2.0.473-1) unstable; urgency=medium

  * rewrite Command dispatching

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 30 Apr 2018 10:20:37 +0200

libmaus2 (2.0.472-1) unstable; urgency=medium

  * fix splitting in splitDbRLTwo

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 27 Apr 2018 17:10:44 +0200

libmaus2 (2.0.471-1) unstable; urgency=medium

  * add writeSplitDatabase in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 26 Apr 2018 17:30:20 +0200

libmaus2 (2.0.470-1) unstable; urgency=medium

  * add splitDbRLTwo in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 26 Apr 2018 13:45:10 +0200

libmaus2 (2.0.469-1) unstable; urgency=medium

  * add libmaus2/util/FileEnumerator.hpp in Makefile.am
  * add enumerateTracks method in DatabaseFile class
  * add splitDbRLPrefixStrict in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 26 Apr 2018 11:32:38 +0200

libmaus2 (2.0.468-1) unstable; urgency=medium

  * fix NPLNoTrace for case one input string is empty
  * add serialise method in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 25 Apr 2018 13:50:50 +0200

libmaus2 (2.0.467-1) unstable; urgency=medium

  * add testnnplocalaligner

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 13 Apr 2018 16:53:21 +0200

libmaus2 (2.0.466-1) unstable; urgency=medium

  * add prepend method in AlignmentTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 12 Apr 2018 16:47:50 +0200

libmaus2 (2.0.465-1) unstable; urgency=medium

  * add prepend function in AlignmentTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 12 Apr 2018 16:32:01 +0200

libmaus2 (2.0.464-1) unstable; urgency=medium

  * add simpler file vector constructor for concat SimpleOverlapParser
  * add file constructors for LasFileRange

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 12 Apr 2018 09:27:04 +0200

libmaus2 (2.0.463-1) unstable; urgency=medium

  * add advanceMaxA function in AlignmentTraceContainer
  * add static serialise functions in Overlap and Path

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 12 Apr 2018 09:01:11 +0200

libmaus2 (2.0.462-1) unstable; urgency=medium

  * update testnpl for NNPCor
  * use linear memory NNPCor methods in NNPCorL
  * add alignLinMemForward in NNPCor
  * make sure window error functions in AlignmentTraceContainer return value inside [0,1]
  * add OverlapDataInterfaceBAComparator class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 11 Apr 2018 14:15:34 +0200

libmaus2 (2.0.461-1) unstable; urgency=medium

  * add linear space variant in NNPCor
  * add lastGoodWindowBack method/function in AlignmentTraceContainer
  * fix clang warning about parentheses in noise spiker
  * add reduceParallel in SortingBufferedOutputFile
  * add BgzfDeflateBaseAllocator class
  * add BgzfDeflateBaseTypeInfo class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 10 Apr 2018 16:28:21 +0200

libmaus2 (2.0.460-1) unstable; urgency=medium

  * use BamParallelThreadPoolDecoderWrapper in BamAlignmentDecoderFactory
  * use BamParallelThreadPoolDecoder in testthreadpoolbgzfdecode
  * add BamParallelThreadPoolDecoder class
  * add copystr in BgzfInflateThreadPoolReader
  * add getReferenceLength in AlignmentStatistics

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 06 Apr 2018 09:45:56 +0200

libmaus2 (2.0.459-1) unstable; urgency=medium

  * fix include guards in SimpleThreadPoolThread.hpp
  * use OverlapParser in GraphEncoder
  * add data block writing in AlignmentWriter
  * use LasIntervals for graph encoding
  * fix graph check
  * add constructIndexIf in OverlapIndexer
  * add SynchronousConditionQueue class
  * add full method in LockedGrowingFreeList/GrowingFreeList
  * add timedWait method in PosixConditionSemaphore
  * add pointer types in NPLLinMem, NPLinMem

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 04 Apr 2018 09:19:30 +0200

libmaus2 (2.0.458-1) unstable; urgency=medium

  * added NPLNoTrace,NPLLinMem
  * added thread pool based bgzf decoding study

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 28 Mar 2018 14:54:48 +0200

libmaus2 (2.0.457-1) unstable; urgency=medium

  * add test for NPLinMem
  * add NPNoTrace class
  * add NPLinMem class
  * add byteSize method in NP

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 27 Mar 2018 09:49:49 +0200

libmaus2 (2.0.456-1) unstable; urgency=medium

  * add splitDbRLPrefix method in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 21 Mar 2018 15:08:46 +0100

libmaus2 (2.0.455-1) unstable; urgency=medium

  * add SimpleOverlapParserConcat class
  * add LasFileRange
  * add computeMapping method in Overlap

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 19 Mar 2018 16:46:55 +0100

libmaus2 (2.0.454-1) unstable; urgency=medium

  * add getInterval method in LasIntervals
  * add possibility to seek before access in SimpleOverlapParser

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 19 Mar 2018 14:11:45 +0100

libmaus2 (2.0.453-1) unstable; urgency=medium

  * add pointer types in bit vector classes

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 09 Mar 2018 10:20:27 +0100

libmaus2 (2.0.452-1) unstable; urgency=medium

  * add operator==/operator!= in OverlapInfo class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 02 Mar 2018 11:09:14 +0100

libmaus2 (2.0.451-1) unstable; urgency=medium

  * check for presence of CSI index in BamRangeDecoder
  * add decoding capabilities for CSI indexes in BamIndex

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 01 Mar 2018 12:23:39 +0100

libmaus2 (2.0.450-1) unstable; urgency=medium

  * fix problems with vectors of length 1 in GraphEncoder

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 01 Mar 2018 10:30:19 +0100

libmaus2 (2.0.449-1) unstable; urgency=medium

  * force writing CSI index if indexing file name ends on .csi
  * use block code instead of UTF8 for coordinate encoding in ReadEndsBase
  * remove dead code from BamAlignment class
  * add CSI support in BamIndexGenerator
  * reformat bin computation in BamAlignmentEncoderBase and replace bin range check by truncation
  * extend computeBin/getBin in BamAlignment/BamAlignmentDecoderBase to support CSI
  * remove unused reg2bins variant in BamIndex class
  * rewrite signedEncode/signedDecode in ReadEndsBase
  * add getMaximumSequenceSize method in BamHeader class
  * add CSI indexing support in BamAlignmentReg2Bin
  * more changes for SAM spec updates

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 28 Feb 2018 15:17:53 +0100

libmaus2 (2.0.448-1) unstable; urgency=medium

  * adapt check of position value to updated SAM specs

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 23 Feb 2018 14:51:33 +0100

libmaus2 (2.0.447-1) unstable; urgency=medium

  * add sanity checks in NP class
  * add sanity check in AlignmentTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 19 Feb 2018 14:57:02 +0100

libmaus2 (2.0.446-1) unstable; urgency=medium

  * add nplCheck in NNPCorL class
  * add getCoveredReadIntervalPrime method in BamAlignment class
  * move ProduceBitsContext to public area in WaveletTree
  * add cast in GzipHeader

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 13 Feb 2018 19:33:05 +0100

libmaus2 (2.0.445-1) unstable; urgency=medium

  * add output of threads and mem in CommandContainer
  * add GenericPeeker class
  * add npCheck method in NNPCorL
  * add swappedInverse method in OverlapInfo

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 31 Jan 2018 10:40:25 +0100

libmaus2 (2.0.444-1) unstable; urgency=medium

  * refactor configure.ac and move setting of LIBMAUSCPPFLAGS/LIBMAUSLDFLAGS into LIBS and CPPFLAGS down

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 25 Jan 2018 16:13:43 +0100

libmaus2 (2.0.443-1) unstable; urgency=medium

  * add operator() in ArgParser

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 25 Jan 2018 13:45:02 +0100

libmaus2 (2.0.442-1) unstable; urgency=medium

  * add FilterUnique class
  * add getCoverOverlap method in GraphDecoder class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 15 Jan 2018 15:19:10 +0100

libmaus2 (2.0.441-1) unstable; urgency=medium

  * add cast in testlassort
  * add rename function in SortingOverlapOutputBuffer

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 15 Jan 2018 12:24:53 +0100

libmaus2 (2.0.440-1) unstable; urgency=medium

  * add U class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 09 Jan 2018 15:00:10 +0100

libmaus2 (2.0.439-1) unstable; urgency=medium

  * fix unused parameter warning
  * fix signed/unsigned comparison warnings
  * initialize fields in parameterless constructors

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 09 Jan 2018 12:01:42 +0100

libmaus2 (2.0.438-1) unstable; urgency=medium

  * add testlassort program
  * add SimpleOverlapParserGet class
  * add OverlapDataInterfaceFullComparator

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 08 Jan 2018 12:52:25 +0100

libmaus2 (2.0.437-1) unstable; urgency=medium

  * add intended fall through markers in DupMarkBase
  * add BamAlignmentNameHIComparator
  * add hasAux in BamAlignmentDecoderBase
  * add SortOrderCheck and GraphCheck
  * add static modifier for checkEncodedGraph
  * add getOverlaps variant in GraphDecoder
  * add SortOrderCheck

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 05 Jan 2018 11:42:30 +0100

libmaus2 (2.0.436-1) unstable; urgency=medium

  * add isComplete and isFinished in Command and CommandContainer
  * fix compilation with fftw
  * avoid memset in ReadEndsBase::reset

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 04 Jan 2018 10:10:38 +0100

libmaus2 (2.0.435-1) unstable; urgency=medium

  * add lastGoodWindow function in AlignmentTraceContainer
  * add pointer types in LasIntervals

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 22 Dec 2017 13:10:28 +0100

libmaus2 (2.0.434-1) unstable; urgency=medium

  * add reduceUnique and reduceUniqueParallel in SerialisingSortingBufferedOutputFileArray

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 21 Dec 2017 14:57:01 +0100

libmaus2 (2.0.433-1) unstable; urgency=medium

  * move some functions in PosixFdOutputStreamBuffer from private to public area

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 18 Dec 2017 12:53:09 +0100

libmaus2 (2.0.432-1) unstable; urgency=medium

  * print more information for Command class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 14 Dec 2017 14:36:26 +0100

libmaus2 (2.0.431-1) unstable; urgency=medium

  * add deepsleep flag in Command

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 14 Dec 2017 13:01:02 +0100

libmaus2 (2.0.430-1) unstable; urgency=medium

  * replace uint by uint64_t in testdecimalnumberparser
  * replace u_int64_t with uint64_t
  * add detection of number of cpus via /proc/cpuinfo for linux in case sysconf is unavailable
  * add detection for linux/sysctl.h
  * use setAffinity if pthread_attr_setaffinity_np is not available in PosixThread
  * add detection of pthread_attr_setaffinity_np in configure
  * create a single point where we include pthread.h

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 14 Dec 2017 11:24:27 +0100

libmaus2 (2.0.429-1) unstable; urgency=medium

  * replace FFTRef calls with FFT in Convolution power classes

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 12 Dec 2017 08:40:50 +0100

libmaus2 (2.0.428-1) unstable; urgency=medium

  * add PowerCacheRussian and PowerBlockCache in Convolution class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 11 Dec 2017 09:26:15 +0100

libmaus2 (2.0.427-1) unstable; urgency=medium

  * add PowerCache class in Convolution

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Dec 2017 14:46:37 +0100

libmaus2 (2.0.426-1) unstable; urgency=medium

  * add ignorefail flag in Command

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 06 Dec 2017 11:07:52 +0100

libmaus2 (2.0.425-1) unstable; urgency=medium

  * add functions for decoding reads for given arrat of ids in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 05 Dec 2017 00:11:23 +0100

libmaus2 (2.0.424-1) unstable; urgency=medium

  * replace assertion by exception when checking order in SortingOverlapOutputBuffer
  * add comparator type in AlignmentWriterArray

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 04 Dec 2017 13:43:59 +0100

libmaus2 (2.0.423-1) unstable; urgency=medium

  * add fields in Command class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 04 Dec 2017 11:50:44 +0100

libmaus2 (2.0.422-1) unstable; urgency=medium

  * add swap method in AlignmentTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 30 Nov 2017 15:02:16 +0100

libmaus2 (2.0.421-1) unstable; urgency=medium

  * add untrimmed block bounds in splitDb of DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 29 Nov 2017 10:34:56 +0100

libmaus2 (2.0.420-1) unstable; urgency=medium

  * add splitDbRL function in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 16 Nov 2017 17:17:07 +0100

libmaus2 (2.0.419-1) unstable; urgency=medium

  * add computeTracePart variant in OverlapData
  * add parallel sorting options in SortingBufferedOutputFile
  * add enumerate method in IntervalTree
  * add subset check function in IntegerInterval
  * add aint and bint in Path/Overlap
  * add parallel buffer sorting option in BufferedOutput

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 16 Nov 2017 10:06:46 +0100

libmaus2 (2.0.418-1) unstable; urgency=medium

  * add reduceParallel method in SortingBufferedOutputFile
  * use unit weights in suffixPositive calls of NNPCor
  * add const modifiers in IntervalTree
  * add NNPCorLocalAligner
  * pass NNP arguments on construction of NNPLocalAligner
  * loosen check on Path output

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 15 Nov 2017 11:48:54 +0100

libmaus2 (2.0.417-1) unstable; urgency=medium

  * add DB_ADAPTER_BEFORE and DB_ADAPTER_AFTER flags in Read class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 10 Nov 2017 13:36:56 +0100

libmaus2 (2.0.416-1) unstable; urgency=medium

  * turn failed assertion into exception in Overlap::computeTrace
  * add check for correct aid in LasRangeDecoder

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 09 Nov 2017 20:05:40 +0100

libmaus2 (2.0.415-1) unstable; urgency=medium

  * add checks in Overlap class and avoid code duplication
  * add getErrorSum in Path class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 09 Nov 2017 17:40:49 +0100

libmaus2 (2.0.414-1) unstable; urgency=medium

  * add canonical method in IndexBase class
  * add canonical method in Read class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 09 Nov 2017 14:35:27 +0100

libmaus2 (2.0.413-1) unstable; urgency=medium

  * add modifyEquidist function DNABaseNoiseSpiker

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 08 Nov 2017 11:12:04 +0100

libmaus2 (2.0.412-1) unstable; urgency=medium

  * add NNPCorL class
  * add alignForward/reset methods in NNPCor class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 07 Nov 2017 16:35:39 +0100

libmaus2 (2.0.411-1) unstable; urgency=medium

  * add missing aid/aread parameter in LasRangeDecoder

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 06 Nov 2017 11:23:24 +0100

libmaus2 (2.0.410-1) unstable; urgency=medium

  * improve error message in bounds checking of Path
  * fix order check in bin indexing of OverlapIndexer

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Nov 2017 15:29:58 +0100

libmaus2 (2.0.409-1) unstable; urgency=medium

  * add checkBSpan method in Overlap
  * check size of values in Path output

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Nov 2017 11:23:16 +0100

libmaus2 (2.0.408-1) unstable; urgency=medium

  * fix EOF issue with LasRangeDecoder and allow pass through of index decoder

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Nov 2017 22:19:07 +0100

libmaus2 (2.0.407-1) unstable; urgency=medium

  * add missing include directive in OverlapData
  * add computeTracePart function in OverlapData
  * add OverlapDataInterface class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Nov 2017 15:14:51 +0100

libmaus2 (2.0.406-1) unstable; urgency=medium

  * add LasRangeDecoder class
  * add BinIndexDecoder class
  * add bin indexing function in OverlapIndexer
  * add bin related functions in Path/Overlap

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Nov 2017 09:02:11 +0100

libmaus2 (2.0.405-1) unstable; urgency=medium

  * add getMaxDif function in Overlap class
  * add flags in filtering of GraphDecoder
  * add flag encoding in GraphEncoder/GraphDecoder

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 01 Nov 2017 13:52:41 +0100

libmaus2 (2.0.404-1) unstable; urgency=medium

  * use exception instead of assertion when checking vor NaN in DoubleCode
  * add cutTrace method in NP and NPL

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 25 Oct 2017 11:36:04 +0200

libmaus2 (2.0.403-1) unstable; urgency=medium

 * fix overflow check in binom class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 19 Oct 2017 15:29:49 +0200

libmaus2 (2.0.402-1) unstable; urgency=medium

  * add option maxalign in NNPLocalAligner

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 17 Oct 2017 14:44:14 +0200

libmaus2 (2.0.401-1) unstable; urgency=medium

  * add computeTrace function in OverlapData
  * change active band counting in NNPLocalAligner

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 17 Oct 2017 10:20:35 +0200

libmaus2 (2.0.400-1) unstable; urgency=medium

  * add test for large indices in NPL
  * avoid index overflow by changing type in NPL
  * add putNumberDecimal variant for AutoArray in BamAlignmentDecoderBase
  * fix formatting in AlignmentPrint

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 16 Oct 2017 15:28:00 +0200

libmaus2 (2.0.399-1) unstable; urgency=medium

  * report names of broken files in GraphEncoder
  * add checkSymmetryParallel in AlignmentFileSymmetryCheck
  * add getMerger method in SortingBufferedOutputFile header
  * add LasIntervals class
  * add AlignmentFileCat class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 11 Oct 2017 15:28:34 +0200

libmaus2 (2.0.398-1) unstable; urgency=medium

  * avoid endless recursion loop in DecoderBase

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 06 Oct 2017 11:01:54 +0200

libmaus2 (2.0.397-1) unstable; urgency=medium

  * disable padding in tar writing

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 05 Oct 2017 17:43:42 +0200

libmaus2 (2.0.396-1) unstable; urgency=medium

  * fix comparison and improve cleanup in AlignmentFileSymmetryCheck
  * improve cleanup in SortingBufferedOutputFile
  * delete temp files in GraphEncoder while merging them

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 05 Oct 2017 12:02:55 +0200

libmaus2 (2.0.395-1) unstable; urgency=medium

  * add support for mask tracks in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 04 Oct 2017 17:36:32 +0200

libmaus2 (2.0.394-1) unstable; urgency=medium

  * fix compilation without libarchive

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 04 Oct 2017 14:41:33 +0200

libmaus2 (2.0.393-1) unstable; urgency=medium

  * remove debug messages in TarWriter

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 04 Oct 2017 13:26:10 +0200

libmaus2 (2.0.392-1) unstable; urgency=medium

  * add TarWriter class based on libarchive

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 04 Oct 2017 12:38:43 +0200

libmaus2 (2.0.391-1) unstable; urgency=medium

  * make verbosity optional in AlignmentFileSymmetryCheck

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 29 Sep 2017 15:17:40 +0200

libmaus2 (2.0.390-1) unstable; urgency=medium

  * fix SerialisingSortingBufferedOutputFileArray
  * add swappedStraight method in OverlapInfo

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 29 Sep 2017 14:32:01 +0200

libmaus2 (2.0.389-1) unstable; urgency=medium

  * add AlignmentFileSymmetryCheck class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 29 Sep 2017 09:08:58 +0200

libmaus2 (2.0.388-1) unstable; urgency=medium

  * add SerialisingSortingBufferedOutputFileArray class
  * parallelise GraphEncoder class
  * implement method variants using preloaded index in OverlapIndexer
  * fix computation of number of index entries in DalignerIndexDecoder

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 28 Sep 2017 10:12:22 +0200

libmaus2 (2.0.387-1) unstable; urgency=medium

  * fix comparison in BamEntryContainer
  * add BamAlignmentTagComparator and update API accordingly

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 27 Sep 2017 10:10:27 +0200

libmaus2 (2.0.386-1) unstable; urgency=medium

  * do not fail on >16 bit cigar field length in BamAlignmentEncoderBase
  * filter out 32 bit cigar flag when formatting BamAlignment for SAM output
  * call computeBin in BamAlignment::getBin when 32 bit cigar field flag is set

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 26 Sep 2017 11:43:25 +0200

libmaus2 (2.0.385-1) unstable; urgency=medium

  * improve threshold comparison in Matrix::inverse

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 25 Sep 2017 15:06:01 +0200

libmaus2 (2.0.384-1) unstable; urgency=medium

  * add missing include directive in LogNormalRandom.hpp

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 25 Sep 2017 13:59:09 +0200

libmaus2 (2.0.383-1) unstable; urgency=medium

  * add computeParameters function in LogNormalRandom class
  * add Matrix class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 25 Sep 2017 13:15:15 +0200

libmaus2 (2.0.382-1) unstable; urgency=medium

  * fix parameter estimation in LogNormalRandom
  * fix comparator in OverlapInfo

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 22 Sep 2017 10:08:29 +0200

libmaus2 (2.0.381-1) unstable; urgency=medium

  * add init method in WaveletTree and several memory allocation optimisations
  * add init method in ERank222B to allow reinitialisation without reallocation

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 14 Sep 2017 11:24:56 +0200

libmaus2 (2.0.380-1) unstable; urgency=medium

  * allow reinitialisation in QuickDynamicRMQ
  * avoid memory reallocation in SimdX86GlobalAlignmentTemplate if possible
  * round size to next power of two in AlignmentTraceContainer::push
  * move Vlen array to class scope in AlignmentOneAgainstManyAVX2 to avoid reallocation
  * pre allocate memory in computeTrace variants of Overlap class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 14 Sep 2017 08:54:14 +0200

libmaus2 (2.0.379-1) unstable; urgency=medium

  * fix compilation on Darwin

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 03 Sep 2017 20:33:35 +0200

libmaus2 (2.0.378-1) unstable; urgency=medium

  * add failids argument in CommandContainer::check

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 23 Aug 2017 09:47:28 +0200

libmaus2 (2.0.377-1) unstable; urgency=medium

  * avoid outputting empty string in RealTimeClock::formatTime
  * store elapsed time as double in Command::dispatch

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 22 Aug 2017 21:20:00 +0200

libmaus2 (2.0.376-1) unstable; urgency=medium

  * append run-time in error file of Command object

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 22 Aug 2017 17:43:31 +0200

libmaus2 (2.0.375-1) unstable; urgency=medium

  * make directory removal in TempFileNameGenerator more efficient

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 22 Aug 2017 17:21:55 +0200

libmaus2 (2.0.374-1) unstable; urgency=medium

  * print failed commands in CommandContainer check

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 22 Aug 2017 16:43:59 +0200

libmaus2 (2.0.373-1) unstable; urgency=medium

  * add mem and threads fields in CommandContainer

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 20 Aug 2017 22:39:13 +0200

libmaus2 (2.0.372-1) unstable; urgency=medium

  * change ArgParser interface to faciliate init by string vector
  * implement indexing interface for serialised object sorting

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 17 Aug 2017 15:14:02 +0200

libmaus2 (2.0.371-1) unstable; urgency=medium

  * add maxattempt field in CommandContainer
  * make dirmod and filemod settable parameters in TempFileNameGenerator
  * add rdepid field in CommandContainer
  * add check method for CommandContainer and id/attempt fields in CommandContainer
  * add returncode field and output operator for Command class
  * add ContainerDescription/ContainerDescriptionList

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 16 Aug 2017 14:38:20 +0200

libmaus2 (2.0.370-1) unstable; urgency=medium

  * add fcntl based advisory locking in PosixFdInputOutputStreamBuffer
  * add detection for fcntl function

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 15 Aug 2017 12:12:50 +0200

libmaus2 (2.0.369-1) unstable; urgency=medium

  * add input operator for AlignmentStatistics
  * use last colon in CramRange to delimit sequence name from interval

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 14 Aug 2017 19:48:20 +0200

libmaus2 (2.0.368-1) unstable; urgency=medium

  * add test program produce constant sum vectors in lexicographically increasing order
  * add ConstantSumCombinatorics class
  * add GmpInteger specialisation for Faulhaber class
  * use BernoulliCache in Faulhaber class
  * add RationalPolynomialSupport class
  * reimplement operator- in GmpInteger
  * make fillBinomialVector slightly less slow
  * implement BernouilliNumber specialisation for GmpInteger and add BernoulliNumberCache class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 11 Aug 2017 16:06:13 +0200

libmaus2 (2.0.367-1) unstable; urgency=medium

  * pass through arguments in GraphEncoder

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 09 Aug 2017 14:49:02 +0200

libmaus2 (2.0.366-1) unstable; urgency=medium

  * parallelise gathering of statistics in GraphEncoder

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 09 Aug 2017 11:25:07 +0200

libmaus2 (2.0.365-1) unstable; urgency=medium

  * add rcsupport in FragmentAlignmentBufferRewriteWorkPackageDispatcher and FragmentAlignmentBufferRewriteReadEndsWorkPackageDispatcher
  * pass through rcsupport flag in BlockControl class
  * fix missing parameter pass-through in serialised sorting

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 08 Aug 2017 16:02:18 +0200

libmaus2 (2.0.364-1) unstable; urgency=medium

  * add OverlapInfoIndexer
  * add single file sort interface in SortingOverlapOutputBuffer

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 08 Aug 2017 13:05:27 +0200

libmaus2 (2.0.363-1) unstable; urgency=medium

  * add binomialCoefficientGmp function in Binom class
  * add pow_ui, mul_2exp, div_2exp, log and exp methods in GmpFloat class
  * add abs operator in GmpFloat and refactor unary operator-

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 07 Aug 2017 23:16:37 +0200

libmaus2 (2.0.362-1) unstable; urgency=medium

  * add fanin/number of thread arguments in AlignmentWriterArray::merge
  * add sortAndMergeThread function in SortingOverlapOutputBuffer featuring separate arguments for number of sort and merge threads
  * add serialisation in OverlapInfo class
  * bug fix in difference function of IntegerInterval class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 04 Aug 2017 10:48:09 +0200

libmaus2 (2.0.361-1) unstable; urgency=medium

  * add mc field in opt duplicate marking
  * add matecoordinate field in OptName class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 03 Aug 2017 11:40:07 +0200

libmaus2 (2.0.360-1) unstable; urgency=medium

  * add getFrontHardClipping and getBackHardClipping in BamAlignment/BamAlignmentDecoderBase

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 02 Aug 2017 08:51:35 +0200

libmaus2 (2.0.359-1) unstable; urgency=medium

  * complete removeFileAndIndex in SortingOverlapOutputBuffer

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 01 Aug 2017 17:38:23 +0200

libmaus2 (2.0.358-1) unstable; urgency=medium

  * fix binomRowUpperGmpFloat for p=1

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 20 Jul 2017 13:38:54 +0200

libmaus2 (2.0.357-1) unstable; urgency=medium

  * fix error checking in parallel merging of SortingOverlapOutputBuffer
  * fix for Darwin (lgamma not found in namespace std)
  * add locking in error printing of MemoryFileAdapter

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 14 Jul 2017 16:05:21 +0200

libmaus2 (2.0.356-1) unstable; urgency=medium

  * remove useless argument from getSwapped in Overlap class
  * add windowErrorLargeDetail function in AlignmentTraceContainer class
  * update getSwapped method in Overlap class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 13 Jul 2017 13:29:59 +0200

libmaus2 (2.0.355-1) unstable; urgency=medium

  * add a_sync_match function in AlignmentTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 12 Jul 2017 10:44:22 +0200

libmaus2 (2.0.354-1) unstable; urgency=medium

  * replace assertion by exception in GraphDecoderContext
  * replace --with-asan by --enable-asan in configure script
  * add OverlapInfo class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 12 Jul 2017 10:11:01 +0200

libmaus2 (2.0.353-1) unstable; urgency=medium

  * add fillSpanHistogram/fillErrorHistogram variants in Overlap class
  * add coordinates in AlignmentPrint class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 10 Jul 2017 16:54:58 +0200

libmaus2 (2.0.352-1) unstable; urgency=medium

  * add searchNoFailure method in LinearHashTrie

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 08 Jul 2017 15:43:47 +0200

libmaus2 (2.0.351-1) unstable; urgency=medium

  * add static printMultiLine function in Pattern class
  * add getBforAOffset function in Overlap class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 07 Jul 2017 17:05:43 +0200

libmaus2 (2.0.350-1) unstable; urgency=medium

  * add fillErrorHistogram with double errors in Overlap class
  * fix error message about unsupported flags in PosixFdInputOutputStreamBuffer
  * add sort/sortUnique in SortingBufferedOutputFile
  * add InputOutputStreamInstance class and support classes

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 05 Jul 2017 23:01:57 +0200

libmaus2 (2.0.349-1) unstable; urgency=medium

  * update testgamma to reflect new merging interfaces
  * improve error checking in BwtMergeSortTemplate
  * add checking in mergeToDense method of SparseGammaGapMultiFileSet
  * add checking in mergeToDense method of SparseGammaGapMultiFileLevelSet
  * add getAlignmentAt function in OverlapIndexer class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 04 Jul 2017 12:32:41 +0200

libmaus2 (2.0.348-1) unstable; urgency=medium

  * add bbpos and bepos fields in ContainmentInfo
  * add transitiveCross function in AlignmentTraceContainer
  * add getu method in DatabaseFile
  * add getAlignments functions in OverlapIndexer class
  * add tripleCross function in AlignmentTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 03 Jul 2017 15:38:25 +0200

libmaus2 (2.0.347-1) unstable; urgency=medium

  * add methods thresLow, thresLowInv, poissonViaLog, thresLowInvLog, getVectorViaLog, lowerSum and function gamma_q in Poisson class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 22 Jun 2017 22:58:58 +0200

libmaus2 (2.0.346-1) unstable; urgency=medium

  * remove libmaus2lsf from debian packaging files

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 20 Jun 2017 16:57:22 +0200

libmaus2 (2.0.345-1) unstable; urgency=medium

  * remove unused code 

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 20 Jun 2017 11:57:38 +0200

libmaus2 (2.0.344-1) unstable; urgency=medium

  * add toString method in DNAIndexMetaDataBigBandBiDir::Coordinates

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 02 Jun 2017 10:52:11 +0200

libmaus2 (2.0.343-1) unstable; urgency=medium

  * add fillMapping method in AlignmentTraceContainer
  * add inv method in OverlapNode
  * reorder fields in OverlapHeader class and add constructor by values
  * add searchFrom and searchTo methods in StringGraph class
  * add suffix parameter in get method of LocalTempContainer class
  * remove unneeded length field from OverlapNodeBase

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 01 Jun 2017 11:27:55 +0200

libmaus2 (2.0.342-1) unstable; urgency=medium

  * add LocalTempFileContainer

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 29 May 2017 16:03:53 +0200

libmaus2 (2.0.341-1) unstable; urgency=medium

  * add Poisson class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 24 May 2017 00:21:31 +0200

libmaus2 (2.0.340-1) unstable; urgency=medium

  * add operator== in OverlapHeader
  * return 0 edges for nodes outside graph saved in GraphDecoder
  * change gmp default from no to auto detect

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 23 May 2017 15:07:28 +0200

libmaus2 (2.0.339-1) unstable; urgency=medium

  * add Enumerator class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 22 May 2017 14:25:12 +0200

libmaus2 (2.0.338-1) unstable; urgency=medium

  * add LogNormalRandom class and test

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 12 May 2017 10:34:31 +0200

libmaus2 (2.0.337-1) unstable; urgency=medium

 * add getReadLengthSum/getReadLengthAverage in DatabaseFile class
 * add getHeader method in Overlap class
 * fix erroneous switch fall through

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 11 May 2017 15:57:32 +0200

libmaus2 (2.0.336-1) unstable; urgency=medium

  * comment out broken function calls in RlToHwtBase (fix compilation with gcc 7.1.0)

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 04 May 2017 11:41:50 +0200

libmaus2 (2.0.335-1) unstable; urgency=medium

  * add iseq and walk fields in Edge class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 28 Apr 2017 15:23:25 +0200

libmaus2 (2.0.334-1) unstable; urgency=medium

  * update getReferenceInterval function in BamAlignment to take fron deletions into account
  * only use statfs output if f_iosize field is present for determining optimal block transfer size

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 26 Apr 2017 11:30:40 +0200

libmaus2 (2.0.333-1) unstable; urgency=medium

  * fix compilation on FreeBSD/NetBSD
  * add shared_ptr_type typedef in SerialisedSortingBufferedOutputFile
  * add ClusteredBernoulli class
  * add GeneralisedClusterBernoulli class
  * add GeneralisedBernoulli class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 25 Apr 2017 13:28:26 +0200

libmaus2 (2.0.332-1) unstable; urgency=medium

  * use LIBMAUS2_HAVE_STATFS_F_BSIZE and LIBMAUS2_HAVE_STATFS_F_IOSIZE in PosixFdInput
  * detect f_bsize and f_iosize fields of statfs in configure.in
  * change default arg for snappy in configure.in from no to empty
  * add LIBMAUS2_HAVE_STATFS_F_BSIZE and LIBMAUS2_HAVE_STATFS_F_IOSIZE in LibMausConfig.hpp.in

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 21 Apr 2017 14:12:38 +0200

libmaus2 (2.0.331-1) unstable; urgency=medium

  * add dispatch method with filename parameter in CommandContainer

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 11 Apr 2017 11:36:46 +0200

libmaus2 (2.0.330-1) unstable; urgency=medium

  * allow random access in CommandContainer

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 10 Apr 2017 16:39:01 +0200

libmaus2 (2.0.329-1) unstable; urgency=medium

  * add Command/CommandContainer

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 10 Apr 2017 16:22:52 +0200

libmaus2 (2.0.328-1) unstable; urgency=medium

  * add verbosity in SMEMProcessor

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 06 Apr 2017 14:17:00 +0200

libmaus2 (2.0.327-1) unstable; urgency=medium

  * add serialisation for NNPAlignResult
  * add serialisation for DNAIndexMetaDataBigBandBiDir::Coordinates

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 05 Apr 2017 17:56:06 +0200

libmaus2 (2.0.326-1) unstable; urgency=medium

  * fix error occuring with empty files in GammaIntervalDecoder
  * add getAlignments method in ChainNodeInfoSet and SMEMProcessor
  * add TraversalElement class
  * add getAOffsets and getBOffsets functions in AlignmentTraceContainer
  * update template parameter for slide in NP class
  * add ContainmentInfo class
  * add push variant in AutoArray
  * fix data type in NPL
  * remove unneeded length field from terminal nodes of string graph edges
  * fix warning about misguiding indentation in huffman.hpp
  * fix NPL class for case of empty A or empty B string
  * add string graph data structures
  * add serialisation for block sorting merge tree

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 05 Apr 2017 17:20:02 +0200

libmaus2 (2.0.325-1) unstable; urgency=medium

  * add advanceMaxB function in AlignmentTraceContainer
  * add methods baseMatch, baseMatchPrime, getReadPrime, getRefPosForReadPos, getRefStart, getReferenceUsed, getReferenceUsedPrime and getRefPosForReadPosChecked in BamAlignment class
  * fix MD/NM calculation in case of delete operations ahead of the first match/mismatch
  * add getReferenceRegionViaMd and checkCigar in BamAlignment
  * make sure substituted base is not same as original base in DNABaseNoiseSpiker
  * add decodeReadS function in BamAlignmentDecoderBase

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 23 Mar 2017 17:46:23 +0100

libmaus2 (2.0.324-1) unstable; urgency=medium

  * improve cleanup in GraphEncoder

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 16 Mar 2017 09:53:26 +0100

libmaus2 (2.0.323-1) unstable; urgency=medium

  * add decode variant for (a,b) pair in GraphDecoder
  * add static trueOverlap variant in TrueOverlap class
  * add getReadLengthArrayParallel variants in DatabaseFile
  * add clear method setting new length in RangeSet

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 15 Mar 2017 13:59:35 +0100

libmaus2 (2.0.322-1) unstable; urgency=medium

  * add graph encoder/decoder
  * add EscapeCanonicalEncoder constructor variant for symbol,freq maps
  * add copyToArray function supporting tracks in DatabaseFile class
  * fix null pointer dereferencing bug in CanonicalEncoder when alphabet is empty
  * add binomVectorDouble function in Binom class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 14 Mar 2017 14:05:06 +0100

libmaus2 (2.0.321-1) unstable; urgency=medium

  * avoid using temporaries in BwtMergeTempFileNameSet, implement explicit assignment operator and copy constructor
  * get explicit copy of histfn in BwtMergeSortTemplate before loading histogram
  * avoid warning about shift larger than size of data type in FastWriteBitWriter

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 08 Mar 2017 12:01:26 +0100

libmaus2 (2.0.320-1) unstable; urgency=medium

  * add binomSingleGmp function in Binom class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 07 Mar 2017 16:05:26 +0100

libmaus2 (2.0.319-1) unstable; urgency=medium

  * Added AdapterInfo copy constructor to ensure pointer to C string is correctly maintained (patch by Andrew Whitwham)
  * remove unnecessary typename keyword in KmerCount

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 07 Mar 2017 16:00:58 +0100

libmaus2 (2.0.318-1) unstable; urgency=medium

  * change BamAlignment::getRefPosForReadPos so it only returns a result one it is on an actual read position (not because it reached the respective query position)
  * add debugging/verbosity code in NP class
  * add index_type parameter in ConstIterator class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 23 Feb 2017 15:49:40 +0100

libmaus2 (2.0.317-1) unstable; urgency=medium

  * add clean method in IntervalTree class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 20 Feb 2017 16:21:51 +0100

libmaus2 (2.0.316-1) unstable; urgency=medium

  * add registerMatches method in NNPTraceContainer
  * allow memory pool sharing in IntervalTree class
  * fix detection of pthread getname/setname functions in configure.ac

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 20 Feb 2017 15:52:48 +0100

libmaus2 (2.0.315-1) unstable; urgency=medium

  * add IntervalTree class

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 18 Feb 2017 13:21:36 +0100

libmaus2 (2.0.314-1) unstable; urgency=medium

  * add KmerCount class plus test
  * delete temporary file at end of SerialisingSortingBufferedOutputFile::reduce
  * add constructor variant accepting file name in LineBufferFastAReader
  * add stack protection/asan for debugging in configure.ac

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 16 Feb 2017 12:29:33 +0100

libmaus2 (2.0.313-1) unstable; urgency=medium

  * add NNPCor class (NNP plus clipping at furthest reaching points satisfying a correlation bound)
  * return number of clipped bases on A and B sequence in NNPTraceContainer::suffixPositive
  * add byteSize method in DatabaseFile::ReadDataRange
  * add clipEndWindowError method in NNPTraceContainer class
  * restore previous default for local error threshold in NNP
  * fix off by one error when checking maximum local error count in NNP

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 10 Feb 2017 16:03:36 +0100

libmaus2 (2.0.312-1) unstable; urgency=medium

  * add unique term val option for NNP class
  * add termval option for decodeReadIntervalParallel method in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 08 Feb 2017 00:17:07 +0100

libmaus2 (2.0.311-1) unstable; urgency=medium

  * add parallel decoding in DatabaseFile

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 07 Feb 2017 18:01:24 +0100

libmaus2 (2.0.310-1) unstable; urgency=medium

  * do not recode underscore symbol in argument list of ArgParser

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 02 Feb 2017 11:20:36 +0100

libmaus2 (2.0.309-1) unstable; urgency=medium

  * allow adding aux tags in convertUnmapped function of LASToBamConverterBase

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 01 Feb 2017 12:55:58 +0100

libmaus2 (2.0.308-1) unstable; urgency=medium

  * add AuxTagCopyAddRequest class in LASToBamConverterBase
  * add enumerateAuxTags variants in BamAlignmentDecoderBase
  * add commandlinecoded attribute in ArgParser class
  * add pointer types in LineBufferFastAReader

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 31 Jan 2017 16:27:58 +0100

libmaus2 (2.0.307-1) unstable; urgency=medium

  * implement SimpleThreadPool based parallelism in InterleavedRadixSort
  * add removeDispatcher method in SimpleThreadPool class
  * change threading in parallel decoding of FastaBPDecoder from OpenMP to thread pooling via SimpleThreadPool
  * add locking to dispatcher handling in SimpleThreadPool

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 31 Jan 2017 13:15:19 +0100

libmaus2 (2.0.306-1) unstable; urgency=medium

  * avoid failure in rename over device boundaries in PosixFdOutputStreamFactory

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 30 Jan 2017 13:56:21 +0100

libmaus2 (2.0.305-1) unstable; urgency=medium

  * add HD line field merging in BamCatHeader

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 27 Jan 2017 11:21:54 +0100

libmaus2 (2.0.304-1) unstable; urgency=medium

  * add BamAlignmentDecoder ref based constructor in BamPeeker class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 26 Jan 2017 17:32:47 +0100

libmaus2 (2.0.303-1) unstable; urgency=medium

  * add NPL class 
  * add option to avoid suffixPositive call in NPL

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 17 Jan 2017 15:21:06 +0100

libmaus2 (2.0.302-1) unstable; urgency=medium

  * add copying of dazzler Database to array memory

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 05 Jan 2017 10:57:13 +0100

libmaus2 (2.0.301-1) unstable; urgency=medium

  * add support for opening file via Daligner index (.idx) files

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 04 Jan 2017 18:03:06 +0100

libmaus2 (2.0.300-1) unstable; urgency=medium

  * allow passing of index file name in OverlapIndexer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 04 Jan 2017 15:41:49 +0100

libmaus2 (2.0.299-1) unstable; urgency=medium

  * add tracklist in DatabaseFile::copyToPrefix
  * add getErrorForBase/getMaxErrorForRange methods in OverlapProperCheck class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 21 Dec 2016 14:57:51 +0100

libmaus2 (2.0.298-1) unstable; urgency=medium

  * change return type of OverlapProperCheck to return more information

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 20 Dec 2016 20:37:28 +0100

libmaus2 (2.0.297-1) unstable; urgency=medium

  * add OverlapProperCheck class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 19 Dec 2016 23:27:40 +0100

libmaus2 (2.0.296-1) unstable; urgency=medium

  * rewrite fillErrorHistogram in Overlap class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 15 Dec 2016 14:50:19 +0100

libmaus2 (2.0.295-1) unstable; urgency=medium

  * update character escaping in ArgParser

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 14 Dec 2016 14:59:02 +0100

libmaus2 (2.0.294-1) unstable; urgency=medium

  * add printArgs method in ArgParser class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 14 Dec 2016 14:05:31 +0100

libmaus2 (2.0.293-1) unstable; urgency=medium

  * fix getDiagonalBand and add new variant of it in AlignmentTraceContainer
  * add KmerEnumerator class in DNARankSMEMComputation
  * add chain domination updates in SMEMProcessor
  * add domsamerefid flag in ChainNodeInfoSet
  * add refid field in ChainAlignment class
  * add refid field in Chain class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 12 Dec 2016 12:26:02 +0100

libmaus2 (2.0.292-1) unstable; urgency=medium

  * add getTraceBlocks method in Overlap class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 08 Dec 2016 16:27:09 +0100

libmaus2 (2.0.291-1) unstable; urgency=medium

  * fix typo in BamAlignment::getErrorRatePair

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 07 Dec 2016 11:04:42 +0100

libmaus2 (2.0.290-1) unstable; urgency=medium

  * add BamAccessor
  * add AlignmentWriterArray class
  * add argument free and istream constructor in ApproximateRun class
  * add SerialisedPeeker class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 06 Dec 2016 10:45:35 +0100

libmaus2 (2.0.289-1) unstable; urgency=medium

  * add operator==/operator!=/isLeaf and size methods in CompressedSuffixTree::Node
  * change semantics of CompressedSuffixTree::sdepth to return infinity/max for leafs
  * add AutoArray based CompressedSuffixTree::enumerateChildren method
  * add CompressedSuffixTree::printNodeContext
  * check for sorting thread failure in sortAndMerge function of SortingOverlapOutputBuffer
  * add getTracePoints and true overlap flag in Overlap class
  * add runtime reporting in BlockMergeControl
  * add priorisation of packages in BlockSortControl/BlockMergeControl
  * add lock for accessing blockid in GenericInputSingleData

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 05 Dec 2016 16:36:13 +0100

libmaus2 (2.0.288-1) unstable; urgency=medium

  * move output operator for DuplicationMetrics to libmaus2::bambam namespace
  * fix buffer overflows in coordinate parsing (tile,x,y) of ReadEndsBase

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 29 Nov 2016 12:20:08 +0100

libmaus2 (2.0.287-1) unstable; urgency=medium

  * use input factories in opt dup marking of DupMarkBase where possible and add mate cigar insertion option 

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 29 Nov 2016 10:33:43 +0100

libmaus2 (2.0.286-1) unstable; urgency=medium

  * add optminpixeldif argument in BlockSortControl/PairReadEndsMergeWorkPackageDispatcher  
  * add mergePairs method in ReadEndsBlockIndexSet to allow passing optminpixeldif argument
  * be more deterministic about which read pairs are marked as duplicates/optical duplicates
  * use align in/out factories in marking optical routines
  * add OptName/OptNameReader classes
  * fix tile,x,y parsing for larger number of read name fields in ReadEndsBase
  * add BamAlignmentInputCallbackBamRef and BamAlignmentInputCallbackSnappyRef classes

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 28 Nov 2016 17:53:29 +0100

libmaus2 (2.0.285-1) unstable; urgency=medium

  * add notes about releases to README.md

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 28 Nov 2016 10:31:25 +0100

libmaus2 (2.0.284-1) unstable; urgency=medium

  * add rank of reference read for optical duplicates in DupMarkBase opt interface
  * fix size of copied stream block in BgzfInflateParallelThread

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 28 Nov 2016 10:14:52 +0100

libmaus2 (2.0.283-1) unstable; urgency=medium

  * add interface for reporting optical duplicates' ranks in DupMarkBase
  * replace constants by symbolics and fix computation of bins for unmapped reads in BamAlignmentEncoderBase
  * fix bin computation for unmapped reads in BamAlignmentDecoderBase
  * fix computeBin() function in BamAlignment for unmapped reads

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 25 Nov 2016 13:12:06 +0100

libmaus2 (2.0.282-1) unstable; urgency=medium

  * add pointer types in Overlap class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 21 Nov 2016 11:19:24 +0100

libmaus2 (2.0.281-1) unstable; urgency=medium

  * add missing include directive

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 18 Nov 2016 22:05:20 +0100

libmaus2 (2.0.280-1) unstable; urgency=medium

  * add FastaPeeker
  * add cigar offset field in PileVectorElement
  * add BamPeeker

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 18 Nov 2016 11:23:15 +0100

libmaus2 (2.0.279-1) unstable; urgency=medium

  * allow passing of order object in serialised version MergingReadBack/SortingBufferedOutputFile
  * make temporary file name more specific in BamNumericalIndexGenerator
  * add TempFileArray class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 17 Nov 2016 13:38:23 +0100

libmaus2 (2.0.278-1) unstable; urgency=medium

  * use more specific tmp file names in OverlapIndexer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 16 Nov 2016 13:36:37 +0100

libmaus2 (2.0.277-1) unstable; urgency=medium

  * create indexes under different name and rename in the end in OverlapIndexer (avoid broken indexes at program cancellation)

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 15 Nov 2016 16:03:39 +0100

libmaus2 (2.0.276-1) unstable; urgency=medium

  * add test programs for bam numerical indexing and sorting of serialised data
  * remove code moved to different program in testbamcmp
  * add missing flush call at end of enumerateOffsets in FastAReader  
  * add external memory capable enumerateOffsets method in FastAReader
  * add SerialisingSortingBufferedOutputFile class in src/libmaus2/sorting/SortingBufferedOutputFile.hpp
  * add serialisation for FastInterval class
  * add SerialisingMergingReadBack in libmaus2/sorting/MergingReadBack.hpp 
  * add SerialisingSortingBufferedOutput in libmaus2/aio/BufferedOutput.hpp

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 15 Nov 2016 14:12:37 +0100

libmaus2 (2.0.275-1) unstable; urgency=medium

  * add BgzfInflateFile
  * add BamNumericalIndexer(Base|Generator|Decoder)
  * fix indexing in parallel decoding mode
  * replace some asserts with exceptions in BamAlignmentEncoderBase
  * make cigar string parsing subquadratic

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 14 Nov 2016 13:44:15 +0100

libmaus2 (2.0.274-1) unstable; urgency=medium

  * use fixed with float output for error rate in AlignmentStatistics
  * avoid division by zero in getErrorRate() of AlignmentStatistics

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 11 Nov 2016 11:01:57 +0100

libmaus2 (2.0.273-1) unstable; urgency=medium

  * add getPileVector variants in BamAlignmentDecoderBase/BamAlignment
  * add TrueOverlap/TrueOverlapStats class
  * add some checks in BamAlignment

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 09 Nov 2016 17:12:24 +0100

libmaus2 (2.0.272-1) unstable; urgency=medium

  * add CigarRunLengthDecoder/CigarDecoder classes
  * add getCigarRunLengthDecoder/getCigarDecoder functions in
  * BamAlignmentDecoderBase/BamAlignment
  * add getRefCommon function BamAlignment class
  * add getBBlockOffset methods in Overlap/Path

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 07 Nov 2016 17:16:51 +0100

libmaus2 (2.0.271-1) unstable; urgency=medium

  * add isNext method in Overlap class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 04 Nov 2016 15:16:53 +0100

libmaus2 (2.0.270-1) unstable; urgency=medium

  * fix crash due to missing initialisation in SimdX86GlobalAlignmentTemplate when one of the input sequences is empty
  * add getErrorRate method in Overlap/Path
  * add filter method in Overlap/Path classes
  * add alignToTracePoints method in Overlap and Path classes

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 04 Nov 2016 12:13:52 +0100

libmaus2 (2.0.269-1) unstable; urgency=medium

  * add some decodeRead variants in DatabaseFile
  * add getReadLengthArray method in DatabaseFile
  * add KmerRepeatDetector and ReadContainer classes

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 02 Nov 2016 12:10:30 +0100

libmaus2 (2.0.268-1) unstable; urgency=medium

  * fix check for whether mate is mapped when copying mate cigar string in FragmentAlignmentBufferRewriteReadEndsWorkPackageDispatcher

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 01 Nov 2016 10:19:59 +0100

libmaus2 (2.0.267-1) unstable; urgency=medium

  * do not store mate cigar string if it is empty/undefined
  * fix compilation in absence of posix_memalign

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 01 Nov 2016 09:25:56 +0100

libmaus2 (2.0.266-1) unstable; urgency=medium

  * add toupper method in Pattern class
  * fix memory allocation in AlignmentOneAgainstManyGeneric

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 12 Oct 2016 11:46:13 +0200

libmaus2 (2.0.265-1) unstable; urgency=medium

  * add factory for AlignmentOneAgainstMany concept
  * add prototype simd one against many alignment   
  * added binomRowUpperLimit function in Binom class
  * add byteSize method in QuickDynamicRMQ, FiniteSizeHeap and WaveletTree classes
  * add set and erase methods in BitVector class
  * add getRank method in BitVector class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 11 Oct 2016 11:12:33 +0200

libmaus2 (2.0.264-1) unstable; urgency=medium

  * add output operator for RealTimeClock
  * add psv/nsv functions variants not taking AutoArray object as argument

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 26 Sep 2016 09:44:40 +0200

libmaus2 (2.0.263-1) unstable; urgency=medium

  * add lcsmin function in SuffixArrayLCS
  * fix printTraceLines in NNPTraceContainer (cut size of last line)
  * add splitAlign function in NP class
  * add getMaxMatch/getMaxMatchOffset functions in AlignmentTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 21 Sep 2016 13:57:42 +0200

libmaus2 (2.0.262-1) unstable; urgency=medium

  * add simple FFT function not relying on fftw library

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 20 Sep 2016 08:34:19 +0200

libmaus2 (2.0.261-1) unstable; urgency=medium

  * do not include parallel/algorithm in PairFileSorting as recent versions of clang choke on
  * Added a seperate disconnect method to circumvent the iRODS 4.19 crash (patch by Andrew Whitwham)
  * add size change functionality in BitVector class

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 17 Sep 2016 20:16:09 +0200

libmaus2 (2.0.260-1) unstable; urgency=medium

  * add include directive required for free() in Demangle

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 26 Aug 2016 16:32:14 +0200

libmaus2 (2.0.259-1) unstable; urgency=medium

  * fix unitialised field bug in WaveletTree class

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 26 Aug 2016 15:53:45 +0200

libmaus2 (2.0.258-1) unstable; urgency=medium

  * make sure call decompressBlock in BgzfInflateBlock even if uncompressed data size is zero to trigger optional check for correct checksum
  * used signed output for tlen field in SAM output if BamAlignmentDecoderBase (when not using io_lib)
  * add LIBMAUS2_LZ_BGZFINFLATEBASE_CHECKCRC environment variable to enable checking of checksums while decoding BGZF
  * store crc when reading bgzf blocks

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 25 Aug 2016 15:33:18 +0200

libmaus2 (2.0.257-1) unstable; urgency=medium

  * fix crashes due to wrong usage of demangling

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 24 Aug 2016 23:57:56 +0200

libmaus2 (2.0.256-1) unstable; urgency=medium

  * fix compilation with gcc 4.1.2 

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 24 Aug 2016 23:56:47 +0200

libmaus2 (2.0.255-1) unstable; urgency=medium

  * add serialise/deserialise in CompactBareSimpleSampledSuffixArray
  * add stream based constructor for CompactDecoderBuffer/CompactDecoderWrapper
  * refactor CompactDecoderBuffer
  * add pointer types in CompactBareSimpleSampledSuffixArray

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 24 Aug 2016 12:48:38 +0200

libmaus2 (2.0.254-1) unstable; urgency=medium

  * do not return reference to temporary in ArgParser::operator[]

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 22 Aug 2016 21:43:09 +0200

libmaus2 (2.0.253-1) unstable; urgency=medium

  * return size of serialised object in FastAIndex/FastAIndexEntry::serialise
  * fix missing file cleanup in BwtComputeSSA
  * return file size in FastABPGenerator
  * add serialise/deserialise in FastAIndexEntry and FastAIndex
  * add single alignment cross function in AlignmentTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 22 Aug 2016 09:38:47 +0200

libmaus2 (2.0.252-1) unstable; urgency=medium

  * add clear method in Histogram class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 10 Aug 2016 10:10:22 +0200

libmaus2 (2.0.251-1) unstable; urgency=medium

  * add toString method in RefMapEntry and RefMapEntryVector
  * fix construction of RefMapEntryVector from dazzler db

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 07 Aug 2016 19:48:57 +0200

libmaus2 (2.0.250-1) unstable; urgency=medium

  * implement LIBMAUS2_PAIRFILESORTING_DELAYDELETE option for PairFileSorting
  * add progress report in PairFileSorting::reduce

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 06 Aug 2016 11:37:41 +0200

libmaus2 (2.0.249-1) unstable; urgency=medium

  * change check for file age in loadCompactBareSimpleSuffixArray of BwtMergeSortResult

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 04 Aug 2016 15:01:10 +0200

libmaus2 (2.0.248-1) unstable; urgency=medium

  * add DNARank test program to automatic tests

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 04 Aug 2016 11:06:40 +0200

libmaus2 (2.0.247-1) unstable; urgency=medium

  * implement caching mechanism for loadCompactBareSimpleSuffixArray in BwtMergeSortResult

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 03 Aug 2016 22:22:42 +0200

libmaus2 (2.0.246-1) unstable; urgency=medium

  * add initialisation of RefMapEntryVector by dazzler DatabaseFile object

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 03 Aug 2016 16:59:10 +0200

libmaus2 (2.0.245-1) unstable; urgency=medium

  * add computeRefSplitMapN function in RefMapEntryVector class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 02 Aug 2016 20:27:34 +0200

libmaus2 (2.0.244-1) unstable; urgency=medium

  * add passing of aux tags in LASToBamConverterBase

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 02 Aug 2016 17:30:01 +0200

libmaus2 (2.0.243-1) unstable; urgency=medium

  * add facilities to copy aux tags to FastQ in BamAlignmentDecoderBase

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 02 Aug 2016 16:13:49 +0200

libmaus2 (2.0.242-1) unstable; urgency=medium

  * add support for trimmed databases in RefMapEntryVector

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 02 Aug 2016 13:29:44 +0200

libmaus2 (2.0.241-1) unstable; urgency=medium

  * add RefMapEntry/RefMapEntryVector clases and add RefMapEntryVector argument in LASToBamConverterBase

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 01 Aug 2016 13:58:14 +0200

libmaus2 (2.0.240-1) unstable; urgency=medium

  * improve error detection in io_lib interface

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 01 Aug 2016 09:00:16 +0200

libmaus2 (2.0.239-1) unstable; urgency=medium

  * add SimpleOverlapVectorParser class
  * add getInverseFlag function in OverlapData
  * add getInverseFlag and isInverse in Overlap class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 28 Jul 2016 10:05:28 +0200

libmaus2 (2.0.238-1) unstable; urgency=medium

  * add maxsortfanin parameter in BwtSelectSSA class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 27 Jul 2016 15:13:20 +0200

libmaus2 (2.0.237-1) unstable; urgency=medium

  * split primary flag in LASToBamConverterBase into secondary and supplementary

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 27 Jul 2016 14:36:54 +0200

libmaus2 (2.0.236-1) unstable; urgency=medium

  * add new alignment flags in Overlap/OverlapData
  * add serialisation/deserialisation in AlignmentStatistics
  * add setup method in BorderArray class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 27 Jul 2016 13:47:07 +0200

libmaus2 (2.0.235-1) unstable; urgency=medium

  * add pointer types in RangeSet

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 25 Jul 2016 14:57:32 +0200

libmaus2 (2.0.234-1) unstable; urgency=medium

  * make block size a template parameter in DNARank class
  * remove requirement for != operator in MergingReadBack class
  * add mapCoordinatePairToList method in DNAIndexMetaBigBandBiDir class

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 23 Jul 2016 15:35:27 +0200

libmaus2 (2.0.233-1) unstable; urgency=medium

  * add fanin parameter in verbose output of PairFileSorting

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 22 Jul 2016 14:10:47 +0200

libmaus2 (2.0.232-1) unstable; urgency=medium

  * improve PO/PO alignment in POGraph class
  * add serialiseKV and deserialiseKV methods in SimpleHashMap class
  * rename memblock class in Convolution_fftw to avoid name collision with binom_fftw

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 21 Jul 2016 17:04:13 +0200

libmaus2 (2.0.231-1) unstable; urgency=medium

  * add assignment operator in SimpleHashMap
  * add PO/PO alignment in POGraph                                    
  * add test code for suffix tree node enumerator

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Jul 2016 15:05:17 +0200

libmaus2 (2.0.230-1) unstable; urgency=medium

  * check object is idle before and after processing in SMEMProcessor
  * add idle method in ChainNodeInfoSet and make sure object is idle after processing
  * add idle method in SplayTree and ContainerElementFreeList

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 19 Jul 2016 10:45:46 +0200

libmaus2 (2.0.229-1) unstable; urgency=medium

  * support limited fan in when merging in PairFileSorting

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 18 Jul 2016 11:53:31 +0200

libmaus2 (2.0.228-1) unstable; urgency=medium

  * add minlength and maxerr parameter in ChainNodeInfoSet/SMEMProcessor

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 17 Jul 2016 16:43:27 +0200

libmaus2 (2.0.227-1) unstable; urgency=medium

  * add DNARankSuffixTreeNodeEnumerator class

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 16 Jul 2016 18:46:58 +0200

libmaus2 (2.0.226-1) unstable; urgency=medium

  * add more debug messages in PairFileSorting 

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 15 Jul 2016 17:12:51 +0200

libmaus2 (2.0.225-1) unstable; urgency=medium

  * only copy mate cigar string if mate is mapped in BamAlignment::addMateCigarString

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 15 Jul 2016 10:20:11 +0200

libmaus2 (2.0.224-1) unstable; urgency=medium

  * add more messages in PairFileSorting

 -- German Tischler <tischler@mpi-cbg.de>  Sat, 09 Jul 2016 19:09:43 +0200

libmaus2 (2.0.223-1) unstable; urgency=medium

  * add logstr parameter in PairFileSorting class
  * add overlapparser_do_not_split_a mode in OverlapParser class
  * add getData (non const), putFlags and addPrimaryFlag methods in OverlapData

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Jul 2016 17:11:01 +0200

libmaus2 (2.0.222-1) unstable; urgency=medium

  * add more checks in FastAToCompact4BigBand
  * fix seeking in PosixFdOutputStreamBuffer
  * fix division by zero bug occuring when sorting empty arrays in InterleavedRadixSort

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 06 Jul 2016 15:54:36 +0200

libmaus2 (2.0.221-1) unstable; urgency=medium

  * add match counting in POGraph
  * follow reverse path in trace back on graph instead of decrementing node index

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 05 Jul 2016 15:45:21 +0200

libmaus2 (2.0.220-1) unstable; urgency=medium

  * do not copy CIGAR string/data of unmapped mates

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 05 Jul 2016 14:53:37 +0200

libmaus2 (2.0.219-1) unstable; urgency=medium

  * add getPrimaryFlag in OverlapData class
  * add getPrimaryFlag, isPrimary and setPrimary in Overlap class
  * add more specific error message in Overlap::computePath
  * add messages in BwtSelectSSA

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 05 Jul 2016 11:15:24 +0200

libmaus2 (2.0.218-1) unstable; urgency=medium

  * add setPrimary/isPrimary in Overlap class
  * implement trace insertion for PO graph and DOT file output for POGraph

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 04 Jul 2016 18:42:00 +0200

libmaus2 (2.0.217-1) unstable; urgency=medium

  * sort OVL stably
  * add OverlapComparatorAIdBId and OverlapComparatorBIdAId classes 
  * add setup method in AutoArray2d
  * add PO graph and generalise SimpleHashMap
  * add DebugLineOutputStream class
  * add operation symbol output for SuffixPrefixAlignmentPrint

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 04 Jul 2016 11:09:18 +0200

libmaus2 (2.0.216-1) unstable; urgency=medium

  * add verbose mode in parallel duplicate marking
  * add decrement method in LockedCounter
  * add getRefPosForReadPos method in BamAlignment class
  * add output operator for BamFlagBase::bam_cigar_ops

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 29 Jun 2016 10:25:15 +0200

libmaus2 (2.0.215-1) unstable; urgency=medium

  * add verbosity parameter for block sort stage of parallel BAM sorting in BlockSortControl
  * add operator<< for ReadEndsBlockDecoderBaseCollectionInfo and ReadEndsBlockDecoderBaseCollectionInfoBase
  * refactor and add eraseSequence method in BamAlignment
  * fix compilation (missing parameter for getAux in BamAlignmentDecoderBase)
  * add eraseAux in BamAlignment and BamAlignmentDecoderBase
  * add binomRowGmp function in Binom class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 28 Jun 2016 10:01:12 +0200

libmaus2 (2.0.214-1) unstable; urgency=medium

  * fix interface in SimpleLocalAligner class 

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 24 Jun 2016 18:15:05 +0200

libmaus2 (2.0.213-1) unstable; urgency=medium

  * fix compilation without fftw 

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 24 Jun 2016 17:31:02 +0200

libmaus2 (2.0.212-1) unstable; urgency=medium

  * implement plan caching in Convolution_fftw

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 24 Jun 2016 14:12:31 +0200

libmaus2 (2.0.211-1) unstable; urgency=medium

  * refactor AdapterFilter so most of its fields are marked as const.
  * add operator+= in AlignmentStatistics
  * add Convolution class
  * add KmerFreqInWindowStats class
  * add fft and non fft versions for sum of binomial random variables
  * added gpow function (template in fashion of ipow)
  * add binomVector and multiDimBinomial functions in Binom class
  * add getFrontDel method in BamAlignment class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 23 Jun 2016 22:26:34 +0200

libmaus2 (2.0.210-1) unstable; urgency=medium

  * pass generic libmaus2 cxxflags when compiling simd parts

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 17 Jun 2016 10:25:27 +0200

libmaus2 (2.0.209-1) unstable; urgency=medium

  * extend name sorting to secondary and supplementary flags

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 16 Jun 2016 16:41:16 +0200

libmaus2 (2.0.208-1) unstable; urgency=medium

  * do not allocate more span than necessary in PairFileSorting

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 16 Jun 2016 12:07:44 +0200

libmaus2 (2.0.207-1) unstable; urgency=medium

  * do not use poll on non Linux systems in PosixFdOutputStreamBuffer
  * pass through NNP maxwerr and maxback parameters in ChainNodeInfoSet and SMEMProcessor
  * export parameters to caller interface in NNP class
  * use all memory for sorting SA/ISA, not just the one for a single block
  * do not erase CompactBareSimpleSampledSuffixArray before filling it

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 16 Jun 2016 10:02:42 +0200

libmaus2 (2.0.206-1) unstable; urgency=medium

  * add CompactBareSimpleSampledSuffixArray in BwtMergeSortResult
  * make DNARankGetPosition and SMEMProcessor template parameterised with suffix array type
  * add shared_ptr_type in CompactArray

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 13 Jun 2016 12:26:57 +0200

libmaus2 (2.0.205-1) unstable; urgency=medium

  * update release to include test directory Makefile.in 

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 12 Jun 2016 14:17:58 +0200

libmaus2 (2.0.204-1) unstable; urgency=medium

  * add hash based comparator for bam alignments

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 12 Jun 2016 12:52:20 +0200

libmaus2 (2.0.203-1) unstable; urgency=medium

  * export chain domination parameters in SMEMProcessor
  * add filter parameters in chaining
  * add free method in FiniteSizeHeap
  * add serialise and deserialise methods in CharBuffer class
  * add swap method in CharBuffer class

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 09 Jun 2016 11:03:29 +0200

libmaus2 (2.0.202-1) unstable; urgency=medium

  * fix another seed skipping bug in ChainNodeInfoSet

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 08 Jun 2016 11:05:09 +0200

libmaus2 (2.0.201-1) unstable; urgency=medium

  * move FastAIndexGenerator to libmaus2::fastx namespace

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 08 Jun 2016 09:20:00 +0200

libmaus2 (2.0.200-1) unstable; urgency=medium

  * make sure not to link seeds on different ref sequences
  * fix alignment/chaining bug skipping over unprocessed seeds
  * add const on mapCoordinatePair on DNAIndexMetaDataBigBandBiDir
  * add CoordinateCacheBiDir class
  * add FastAIndexGenerator class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 08 Jun 2016 09:00:52 +0200

libmaus2 (2.0.199-1) unstable; urgency=medium

  * improve chaining

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Jun 2016 19:24:30 +0200

libmaus2 (2.0.198-1) unstable; urgency=medium

  * add classes for chaining based alignment
  * add testRank as automatic test

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 03 Jun 2016 10:32:11 +0200

libmaus2 (2.0.197-1) unstable; urgency=medium

  * add missing include directive in DNARankSMEMComputation
  * add clear method in FiniteSizeHeap
  * add search method variants in RangeSet
  * add swap, get, size, operator[], reverse and clear methods in SimpleQueue class
  * fix clear method in SplayTree class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 31 May 2016 17:58:29 +0200

libmaus2 (2.0.196-1) unstable; urgency=medium

  * add SimpleQueue class
  * simpify DNARankSMEMComputation
  * rewrite/simplify operator== in DNARankMEM
  * avoid division by zero when sorting empty arrays in InPlaceParallelSort
  * add testBitIO test
  * add activeParallel function and SMEMEnumerator class in DNARankSMEMComputation
  * add tests and adapt tests for make check

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 31 May 2016 10:49:55 +0200

libmaus2 (2.0.195-1) unstable; urgency=medium

  * fix RangeSet search when n > 2^32
  * refactor DNARank classes
  * add argparser test
  * fix testAIO.sh for out of source directory builds
  * add first automatic test for make check (testAIO)

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 27 May 2016 16:45:16 +0200

libmaus2 (2.0.194-1) unstable; urgency=medium

  * add ComputeSuccinctLCPResult and PLCPBitDecoder classes

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 25 May 2016 11:11:30 +0200

libmaus2 (2.0.193-1) unstable; urgency=medium

  * add const qualifier for simpleLFUntilMask method in DNARank class
  * remove preisa tmp files in BwtMergeSortTemplate when bwtonly=0

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 24 May 2016 16:29:07 +0200

libmaus2 (2.0.192-1) unstable; urgency=medium

  * add chain method in SplayTree class
  * add --enable-native switch for configure
  * add pushBump method in FiniteSizeHeap
  * add loadBareSimpleSuffixArray method in BwtMergeSortResult class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 24 May 2016 13:25:55 +0200

libmaus2 (2.0.191-1) unstable; urgency=medium

  * add smem method variants in DNARank
  * add inplacesort2 function with order parameter in InPlaceParallelSorting class 

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 20 May 2016 16:29:18 +0200

libmaus2 (2.0.190-1) unstable; urgency=medium

  * add mem/smem computation in DNARank class
  * add operator< in DNARankBiDirRange class
  * add minlength parameter in NNPLocalAligner
  * add bidirectional extension methods in DNARank class
  * add operator== in DNARankBiDirRange
  * add serialise/deserialise methods in BwtMergeSortOptions and BwtMergeSortResult

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 19 May 2016 18:03:45 +0200

libmaus2 (2.0.189-1) unstable; urgency=medium

  * change index format in LFRankPosEncoder/Decoder to allow for more efficient rank lookups

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 17 May 2016 14:50:48 +0200

libmaus2 (2.0.188-1) unstable; urgency=medium

  * replace OMPLock by PosixSpinLock in TempFileRemovalContainer 

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 17 May 2016 10:00:29 +0200

libmaus2 (2.0.187-1) unstable; urgency=medium

  * save memory handling tmp files 

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 15 May 2016 16:25:00 +0200

libmaus2 (2.0.186-1) unstable; urgency=medium

  * reduce file bits for unsorting if alphabet is smaller than allowed for a single round
  * consider key sequences when computing number of files available

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 11 May 2016 22:05:20 +0200

libmaus2 (2.0.185-1) unstable; urgency=medium

  * improve open file count handling 

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 11 May 2016 18:09:55 +0200

libmaus2 (2.0.184-1) unstable; urgency=medium

  * replace non standard GNU parallel sort with InPlaceParallelSort in PairFileSorting

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 11 May 2016 16:03:01 +0200

libmaus2 (2.0.183-1) unstable; urgency=medium

  * add I/O counting in PosixFdInput/PosixFdOutputStreamBuffer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 11 May 2016 15:05:53 +0200

libmaus2 (2.0.182-1) unstable; urgency=medium

  * add SizeMonitorThread class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 11 May 2016 14:23:34 +0200

libmaus2 (2.0.181-1) unstable; urgency=medium

  * fix init/setup in LFRankPosDecoder
  * add setup method in LFRankPosDecoder
  * add size method in GammaPDIndexDecoder
  * add LFSymRankPosEncoder/LFSymRankPosDecoder
  * added LFRankPosDecoder/Encoder and BwtSelectSSA

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 11 May 2016 12:17:16 +0200

libmaus2 (2.0.180-1) unstable; urgency=medium

  * add suffix on tmp file names create in ParallelRunLengthRadixUnsort
  * add peekBit method in BitVectorInput
  * add active flag in FlaggedInterval
  * add decoding setup via interval id in GammaFlaggedIntervalDecoder/GammaFlaggedIntervalEncoder
  * improve information output in out of memory situations
  * add autoarraytrace option in configure.ac
  * added GammaFlaggedIntervalEncoder/GammaFlaggedIntervalDecoder  
  * add SymBitEncoder/SymBitDecoder
  * add GammaFlaggedPartitionEncoder/GammaFlaggedPartitionDecoder
  * typedef interval type in GammaPartitionEncoder
  * add LFRankLCPEncoder/LFRankLCPDecoder
  * add cleanup routines in ParallelRunLengthRadixUnsort
  * change temp file names in ParallelExternalRadixSort
  * add LFPhiPairLCPEncoder/LFPhiPairLCPDecoder
  * add LFPhiPairDecoder/Encoder, LFSetBitDecoder/Encoder, LFValueDecoder/Encoder
  * allow multiple input files in PairFileDecoder
  * fix ParallelExternalRadixSort
  * add PairFileDecoder class
  * fix race condition in LFSupportDecoder::getLength
  * fix flush operation in LFSupportBitDecoder (need to return words if we read at least a word ahead)
  * add putBack method in SynchronousGenericInput

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 10 May 2016 08:52:47 +0200

libmaus2 (2.0.179-1) unstable; urgency=medium

  * fix EOF detection on pipes after poll calls 

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 02 May 2016 10:48:32 +0200

libmaus2 (2.0.178-1) unstable; urgency=medium

  * improve efficiency in gap split function by not reinstantiating the gap file decoder for each sample
  * add LFSupportEncoder/LFSupportDecoder classes
  * add ParallelExternalRadixSort class
  * add safe (bit shift) encoding of uint64_t in FastWriteBitWriter
  * simplify offset tracking in GammaPDEncoder

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 02 May 2016 10:01:12 +0200

libmaus2 (2.0.177-1) unstable; urgency=medium

  * do not call addr2line if libary is not built in debug mode in StackTrace
  * add explicit CXXFLAGS for libmaus2 in Makefile.am
  * define LIBMAUS2_DEBUG_COMPILED when configure is called with --enable-debug
  * fix case of producing invalid unsorting intervals when input is very short (compared to number of threads to be used for unsorting)
  * add GammaPDEncoder and GammaPDDecoder
  * add ParallelRunLengthRadixSort and ParallelRunLengthRadixUnsort
  * add test program for GammaPDEncoder/GammaPDDecoder 
  * try to detect full path of executable in StackTrace

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 29 Apr 2016 10:17:33 +0200

libmaus2 (2.0.176-1) unstable; urgency=medium

  * implement parallel pre isa merging for internal and internal small blocks in bwtb3m
  * rewrite PairFileSorting routine and fix bug where size of last block was wrongly calculated

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 27 Apr 2016 15:36:27 +0200

libmaus2 (2.0.175-1) unstable; urgency=medium

  * refactor and port new gap array splitting code to internal small block in bwtb3m
  * add getOffsetSequence method in GapArrayByte
  * add getOffsetSequence method in AutoArray class
  * parallelise internal two block merging work package construction in bwtb3m
  * add parallel prefix sums function in PrefixSums class
  * add putBack(run_type const & P) method in RLDecoder

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 26 Apr 2016 22:53:47 +0200

libmaus2 (2.0.174-1) unstable; urgency=medium

  * use ArrayFile instead of mem: prefix in BwtMergeSortTemplate if input file is not utf-8

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 26 Apr 2016 10:52:25 +0200

libmaus2 (2.0.173-1) unstable; urgency=medium

  * add more verbose statements in BwtMergeSortTemplate
  * print large lcp value after computing it
  * add run_type typedef in RLEncoder
  * add per run length encoding and decoding in RLDecoder/RLEncoder
  * erase array in suffix sorting method of OctetString

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 26 Apr 2016 08:36:32 +0200

libmaus2 (2.0.172-1) unstable; urgency=medium

  * add more verbose messages in OctetString 

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 25 Apr 2016 11:57:15 +0200

libmaus2 (2.0.171-1) unstable; urgency=medium

  * add verbose steps for suffix sorting in OctetString

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 25 Apr 2016 11:46:28 +0200

libmaus2 (2.0.170-1) unstable; urgency=medium

  * add verbose construction in OctetString class
  * add dummy verbose parameter in Utf8String class to match OctetString
  * switch DNARank and ImpCacheLineRank and suffix sorting back to non huge page based allocator (not sure huge page allocation is stable yet)

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 25 Apr 2016 11:00:18 +0200

libmaus2 (2.0.169-1) unstable; urgency=medium

  * do not reopen file lots of times in CircularSuffixComparator
  * implement seeking in CircularBuffer and CircularWrapper

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 25 Apr 2016 09:06:53 +0200

libmaus2 (2.0.168-1) unstable; urgency=medium

  * add more checks in bwtb3m
  * fix warning in SemiExternalKeyTupleSort
  * fix warning in RMMTree
  * add getLength method variant for vector of vectors in RLDecoder class
  * implement output checking facility in PosixFdOutputStreamBuffer

 -- German Tischler <tischler@mpi-cbg.de>  Sun, 24 Apr 2016 17:14:36 +0200

libmaus2 (2.0.167-1) unstable; urgency=medium

  * add verbose setting for block sorting in bwtb3m

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 22 Apr 2016 20:44:43 +0200

libmaus2 (2.0.166-1) unstable; urgency=medium

  * add hasTracePoint method in NNPTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 22 Apr 2016 13:45:10 +0200

libmaus2 (2.0.165-1) unstable; urgency=medium

  * introduce reference counting in NNPLocalAligner to check for memory leaks
  * set poll timeout to infinite in case no warn threshold is given in PosixFdInput and PosixFdOutputStreamBuffer
  * change SymCountEncoder/Decoder towards making runs instead of single symbols decodable

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 22 Apr 2016 09:20:10 +0200

libmaus2 (2.0.164-1) unstable; urgency=medium

  * use largelcpthres option in BwtMergeSortTemplate 

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Apr 2016 22:07:29 +0200

libmaus2 (2.0.163-1) unstable; urgency=medium

  * add poll call in PosixFdInput for read to detect delays
  * add conditional compilation in testregex 
  * add region restriction in NNPLocalAligner
  * remove SynchronousGenericOutputPosix based HuffmanEncoderFile, RLEncoder and SymCountEncoder
  * remove non OutputStreamInstance based constructor in SynchronousGenericOutput
  * add timeout warnings in PosixFdOutputStreamBuffer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Apr 2016 21:38:25 +0200

libmaus2 (2.0.162-1) unstable; urgency=medium

  * use TempFileNameGenerator in bwtb3m were possible
  * use TempFileNameGenerator in SparseGammaGapMultiFileLevelSet::mergeToDense
  * do not fail in mkdir if directory already exists
  * use TempFileNameGenerator to generate tmp file names during block sorting phase of bwtb3m
  * add mkdir method in OutputStreamFactory interface and use it in TempFileNameGeneratorState/TempFileNameGenerator
  * replace non thread safe std::vector<bool> by AutoArray
  * add getDiagonalHistogramAverage method in NNPTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Apr 2016 15:08:15 +0200

libmaus2 (2.0.161-1) unstable; urgency=medium

  * remove band score threshold checking for subsequent hits in a band in NNPLocalAligner
  * add StreamLock class containing global locks for cin,cout,cerr
  * add timeout warning option for PosixFdInput
  * refactor alignment fusing in NNPLocalAligner
  * add getAntiDiagonalBand in NNPTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Apr 2016 10:03:26 +0200

libmaus2 (2.0.160-1) unstable; urgency=medium

  * check for exact match in StrCmpNum if strings look equal by number based comparison

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 19 Apr 2016 11:14:23 +0200

libmaus2 (2.0.159-1) unstable; urgency=medium

  * parallelise construction of IndexDecoderDataArray class

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 18 Apr 2016 17:02:34 +0200

libmaus2 (2.0.158-1) unstable; urgency=medium

  * adapt number of threads in SemiExternalKeyTupleSort if number of available files is too low
  * add pointer types in FastAReader
  * add getFrontDel function in BamAlignmentDecoderBase

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 18 Apr 2016 11:42:59 +0200

libmaus2 (2.0.157-1) unstable; urgency=medium

  * changes in BamAlignmentDecoderBase: add getCigarAsString and getReferenceAdvance methods, fix length checking in cigar string recalculation 
  * changes in NNPTraceContainer: fix bug with uninitialised variable in NNPTraceContainerDecoderReverse, add listCommonTracePoints method 
  * add NNP class based local aligner

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 14 Apr 2016 18:06:55 +0200

libmaus2 (2.0.156-1) unstable; urgency=medium

  * add faster (less seeking) rewriting of reverse complement in FastAToCompact4BigBandBiDir

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 14 Apr 2016 10:31:23 +0200

libmaus2 (2.0.155-1) unstable; urgency=medium

  * implement detection of physical memory on Darwin
  * remove tmp files in BwtComputeSSA
  * add byteradixsortKeyBytes function in InterleavedRadixSort
  * add unique_ptr_type typedef in CoordinateCache and DNARankKmerCache
  * add take method in AutoArray class
  * make numsyms parameter optional in IndexWriter
  * add SymCount encoder and decoder classes
  * move IndexWriter class to its own header file
  * add methods copyFrom, sclone, uclone, traceToSparse, getTracePoints and getCommonTracePoints in NNPTraceContainer class
  * add AlignmentTraceContainerAllocator and AlignmentTraceContainerTypeInfo classes

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 13 Apr 2016 09:11:58 +0200

libmaus2 (2.0.154-1) unstable; urgency=medium

  * remove debug message in ZlibInterface 

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Apr 2016 13:24:17 +0200

libmaus2 (2.0.153-1) unstable; urgency=medium

  * fix for systems without dlopen
  * add crc32 in ZlibInterface and use for compression/decompression checksums

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 07 Apr 2016 13:13:57 +0200

libmaus2 (2.0.152-1) unstable; urgency=medium

  * apply new zlib interface throughout libmaus2
  * add hasFeature function in I386CacheLineSize class
  * allow additional flags for dlload
  * add getDiagonalBand method in NNPTraceContainer class
  * add shift* methods in NNPAlignResult class  
  * improve check for self matching in NNP class
  * add dlopen based zlib interface
  * add NNPTraceContainerDecoderReverse in NNPTraceContainer and rewrite cross function
  * add NNPTraceContainerDecoder class and cross function in NNPTraceContainer
  * add periods method in AlignmentTraceContainer class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 06 Apr 2016 18:40:53 +0200

libmaus2 (2.0.151-1) unstable; urgency=medium

  * check whether mmap supports the huge page flag during configure 

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 05 Apr 2016 11:11:45 +0200

libmaus2 (2.0.150-1) unstable; urgency=medium

  * add PCLMULDQ detection in I386CacheLineSize
  * add getDiagonalHistogram method in NNPTraceContainer
  * add getErrorRate method in NNPAlignResult

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 05 Apr 2016 07:57:13 +0200

libmaus2 (2.0.149-1) unstable; urgency=medium

  * add swap and printTraceLines functions in NNPTraceContainer class
  * add NNPTraceContainerTypeInfo and Allocator classes 
  * use hugepages mem if available in DNARank
  * fix parallel decoding for single thread usage in FM class
  * add hugepages based storage classes in AutoArray framework
  * add simple huge page allocator
  * fix RangeSet function by removing extraneous return statement
  * fix compilation on gcc 4.3
  * add push method for data blocks in OutputQueue of BamStreamingMarkDuplicatesSupport

 -- German Tischler <tischler@mpi-cbg.de>  Mon, 04 Apr 2016 15:14:33 +0200

libmaus2 (2.0.148-1) unstable; urgency=medium

  * add ensureSize method in FiniteSizeHeap
  * add checkTrace method in NNPTraceContainer

 -- German Tischler <tischler@mpi-cbg.de>  Thu, 31 Mar 2016 10:07:40 +0200

libmaus2 (2.0.147-1) unstable; urgency=medium

  * add ArrayFile class 

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 30 Mar 2016 12:05:35 +0200

libmaus2 (2.0.146-1) unstable; urgency=medium

  * adding comments in BwtMergeSortOptions and BwtMergeSortResult
  * adding FastAToCompact4BigBand class               
  * using suffixPositive on end of alignment prodecure to clip alignment in NNP class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 30 Mar 2016 10:58:08 +0200

libmaus2 (2.0.145-1) unstable; urgency=medium

  * add getIndexFileName and getMD5FileName functions in BamBlockWriterBaseFactory
  * add testbwtconstructionfasta program
  * remove dead code and adapt to DNARank class in WaveletLCP
  * add loadDNARank method in BwtMergeSortResult
  * add isGzip function for filenames in IsGzip class
  * add LCP computation support functions in DNARank clas
  * add getD method in ImpCompactHuffmanWaveletLF class
  * add computeSampledSuffixArray method in BwtMergeSortResult
  * import semi external memory SA/ISA computation routine from bwtb3m
  * add construction of succinct lcp array, rmm tree and suffix tree in BwtMergeSortResult
  * implement parallel construction for RMMTree
  * implement support for queue switching before hitting byte bound in WaveletLCP class 
  * change verbose parameter of writeSuccinct function in SuccinctLCP to ostream pointer
  * add LCP array construction in BwtMergeSortResult class
  * implement quiet mode in WaveletLCP class

 -- German Tischler <tischler@mpi-cbg.de>  Tue, 29 Mar 2016 10:05:45 +0200

libmaus2 (2.0.144-1) unstable; urgency=medium

  * add ArrayFileContainer and ArrayInputStreamFactory classes
  * add ArrayInputStream
  * add removeHandler function in InputStreamFactoryContainer
  * move bwtb3m data structures from bwtb3m to libmaus2
  * remove all implicit uses of thread numbers via omp and replace them with explicit thread numbers

 -- German Tischler <tischler@mpi-cbg.de>  Fri, 18 Mar 2016 14:42:56 +0100

libmaus2 (2.0.143-1) unstable; urgency=medium

  * fix compilation on non x86 platforms and for older compilers 

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 16 Mar 2016 20:59:39 +0100

libmaus2 (2.0.142-1) unstable; urgency=medium

  * add gamma code based interval decoder and tests
  * add getVSum function in IndexDecoderDataArray
  * add test code for self match avoidance in NNP
  * add self match avoidance in NNP
  * add seeded local alignment variant in NNP class
  * add checkAlignment function in AlignmentTraceContainer
  * add rmdup option in streaming duplicate marking
  * add flag filter (filter out alignments with any matching flag) in libmaus2::bambam::BamStreamingMarkDuplicatesSupport::OutputQueue
  * use memory instead of disk files for testing in testgamma
  * add GammaPartitionDecoder class
  * add tests for partition encoder/decoder
  * add test for NNP
  * add NNP class
  * add score banded alignment based on simd
  * refactor SimdX86BandedGlobalAlignmentTemplate
  * add comments in SimdX86BandedGlobalAlignmentTemplate.cpp
  * add getMatchOffsets function in AlignmentTraceContainer
  * add decodeWord function for SingleWordDNABitBuffer in HashCreationBase
  * add missing include statement in RLEncoder.hpp
  * add gamma code based interval and partition encoders
  * add ostream based constructor for HuffmanEncoderFile
  * factor out IndexWriter class from RLEncoder class
  * switch to HuffmanEncoderFileStd in GapEncoder
  * refactor GammaDifferenceEncoder
  * add getLengthCode function in GammaEncoderBase and refactor getCodeLen
  * allow for wider argument ranges in GammaDifferenceEncoder by using encodeSlow from GammaEncoder instead of encode
  * add encodeSlow method in GammaEncoder (slower, but accepts a wider range of arguments)
  * add getBackFragment and getFrontFragmentFromBack methods in EnvelopeFragment class
  * add EnvelopeFragmentDiagonalComparator class
  * remove unused parameter
  * refactor SplayTree and extract common ContainerElementFreeList
  * add Queue class based on ContainerElementFreeList
  * refactor DNARank based classes

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 16 Mar 2016 17:36:12 +0100

libmaus2 (2.0.141-1) unstable; urgency=medium

  * add bi directional DNA rank index
  * use InputStreamInstance instead of factory call in ImpCompactHuffmanWaveletTree::load
  * in BAM header rewriting add a  sort order field if none is present
  * add getD, singleStep and multiRank methods in DNARank class

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 07 Mar 2016 14:41:18 +0100

libmaus2 (2.0.140-1) unstable; urgency=medium

  * add load function in CompactArray class
  * add DNAIndexMetaDataBigBandBiDir
  * fix include guard in DNAIndexMetaDataBigBand.hpp
  * fix compilation on 32 bit platforms
  * add warning comment in EnvelopeFragment about limits of fragment merging
  * add reset/clear method in RangeSet class
  * add pushTracePoints, computeDiagBand and computeDiagBandTracePoints functions in Overlap class
  * add pushfront method in AutoArray class
  * add basic splay tree implementation and test
  * extend fragment envelope testing code

 -- German Tischler <gt1@sanger.ac.uk>  Sun, 06 Mar 2016 15:42:59 +0100

libmaus2 (2.0.139-1) unstable; urgency=medium

  * add numthreads parameter in file load function of DNARank 
  * add isOlder function in GetFileSize
  * add isRegularFileURL function in InputStreamFactoryContainer

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 01 Mar 2016 10:19:26 +0100

libmaus2 (2.0.138-1) unstable; urgency=medium

  * add pathValidSmall method in Path class
  * add consistency check in Overlap class
  * add getMinimumNonSmallTspace function in AlignmentFile

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 29 Feb 2016 16:33:51 +0100

libmaus2 (2.0.137-1) unstable; urgency=medium

  * add convertUnmapped method in LASToBamConverterBase

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 29 Feb 2016 12:30:41 +0100

libmaus2 (2.0.136-1) unstable; urgency=medium

  * add getSwappedPreMappedInv method in Overlap class

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 29 Feb 2016 10:40:45 +0100

libmaus2 (2.0.135-1) unstable; urgency=medium

  * implement online adding of RC sequence in parallel decoding of FastaBPDecoder 

 -- German Tischler <gt1@sanger.ac.uk>  Sun, 28 Feb 2016 11:44:25 +0100

libmaus2 (2.0.134-1) unstable; urgency=medium

  * speed up rank/backward step functions in DNARank by specialising them

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 27 Feb 2016 20:28:35 +0100

libmaus2 (2.0.133-1) unstable; urgency=medium

  * allow lower case letters when encoding bases for BAM

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 27 Feb 2016 14:31:05 +0100

libmaus2 (2.0.132-1) unstable; urgency=medium

  * add pushReverseComplement method in LineBufferFastAReader

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 26 Feb 2016 10:34:15 +0100

libmaus2 (2.0.131-1) unstable; urgency=medium

  * implement homopolymer insertions in DNABaseNoiseSpiker
  * improve memory use estimation in DalignerLocalAlignment interface

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 25 Feb 2016 14:51:09 +0100

libmaus2 (2.0.130-1) unstable; urgency=medium

  * parameterise decodeSequencesParallel in FastaBPDecoder by memory allocation model
  * add encodeSeqPreMappedRc in BamAlignmentEncoderBase
  * fix parallel decoding (meta information vector too long) in FastaBPDecoder
  * add LASToBamConverterBase class
  * add SplitWriter class
  * add DNARankKmerCache class
  * add LineBufferFastAReader class
  * add CoordinateCache class

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 24 Feb 2016 17:43:34 +0100

libmaus2 (2.0.129-1) unstable; urgency=medium

  * prepare noise spiker class for homopolymer error scenarios
  * add DNAIndexMetaDataBigBand class
  * parameterise FastaBPDecoder with mapping function 
  * add parallel decoding method in FastaBPDecoder 
  * add bump, ensureSize and push methods in AutoArray class
  * update compilation instructions in README.md following hints by Erik Garrison
  * add difference function in IntegerInterval class

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 23 Feb 2016 19:02:15 +0100

libmaus2 (2.0.128-1) unstable; urgency=medium

  * add getReadLengthByCigar function in BamAlignmentDecoderBase and fix getCoveredReadInterval for reads with undefined query sequence
  * add getCoveredReadInterval method in BamAlignment class
  * add mergeTouchingOrOverlapping method in IntegerInterval class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 19 Feb 2016 10:47:02 +0100

libmaus2 (2.0.127-1) unstable; urgency=medium

  * fix computePath method in Overlap class
  * replace vfork based approach in PosixExecute by fork again.
  * add lower case letters in reverseComplementUnmapped function of acgtnMap.hpp
  * add pointer types in CompactArrayWriterFile class

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 18 Feb 2016 13:30:23 +0100

libmaus2 (2.0.126-1) unstable; urgency=medium

  * print warning when linear and bin index are inconsistent instead of failing in BamIndexGenerator 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 17 Feb 2016 09:49:25 +0100

libmaus2 (2.0.125-1) unstable; urgency=medium

  * add pointer types in PosixConditionSemaphore
  * add encoding of absolute values in GammaDifference(Encoder|Decoder)
  * fix compilation on gcc 4.1.2

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 16 Feb 2016 09:56:54 +0100

libmaus2 (2.0.124-1) unstable; urgency=medium

  * add SHA3 hash for seq checksums
  * add CigarStringReader class for reading block encoded cigar operations operation by operation
  * add getMappingPositionPairs and cross methods in BamAlignment class
  * add cigarBlocksToString function in CigarStringParser

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 15 Feb 2016 10:00:36 +0100

libmaus2 (2.0.123-1) unstable; urgency=medium

  * add getReferenceInterval method in BamAlignment class
  * add getErrorRatePair and getErrorRate in BamAlignment

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 11 Feb 2016 15:40:06 +0100

libmaus2 (2.0.122-1) unstable; urgency=medium

  * implement truncation for get_b_seq, get_name_b_seq, get_b_seq_qual, and get_b_seq_tags in PrimeSums of ChecksumsFactory

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 11 Feb 2016 14:33:59 +0100

libmaus2 (2.0.121-1) unstable; urgency=medium

  * add murmur3primesums128 hash in ChecksumsFactory
  * add getNextPrime128 in SeqChksumPrimeNumbers
  * add murmur3 hash for BAM seq checksum
  * add methods for getting numerical hash values in ChecksumsInterface
  * add MurmurHash3_x64_128 in list of digests in Digests.hpp
  * add getHexVector method in UnsignedInteger class
  * add fillCigarHistogram method/function in BamAlignment/BamAlignmentDecoderBase
  * add test program for checking that block based murmur3 yields same results as non block based one

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 11 Feb 2016 14:02:04 +0100

libmaus2 (2.0.120-1) unstable; urgency=medium

  * add MurmurHash3_x64_128 based digest
  * add getSwappedPreMapped method in Overlap class
  * add temp file registration support in TempFileNameGenerator class
  * import MurmurHash3 code
  * use comparator_type parameter in sortFile function of SortingOverlapOutputBuffer
  * add OverlapFullComparator class
  * add handling of legacy tags for duplicate marking by Andrew Whitwham

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 10 Feb 2016 14:04:51 +0100

libmaus2 (2.0.119-1) unstable; urgency=medium

  * add readSamplingRate function in SampledISABase class 

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 23 Jan 2016 22:27:19 +0100

libmaus2 (2.0.118-1) unstable; urgency=medium

  * add readid parameter in getPileVector function of BamAlignment

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 23 Jan 2016 14:29:41 +0100

libmaus2 (2.0.117-1) unstable; urgency=medium

  * fix endless recursion loops in SampledISA
  * refactor SampledISA
  * add getPileVector method in BamAlignment
  * add more data to pile elements in BamAlignmentDecoderBase
  * add I/O for PileVectorElement class

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 23 Jan 2016 13:36:38 +0100

libmaus2 (2.0.116-1) unstable; urgency=medium

  * add getCigarStats in BamAlignment class
  * add getCigarStats, getIdentityFraction, getIdentityFractionFromCigarStats, recalculateCigar (turn CIGAR M options to X and =) and getPileVector in BamAlignmentDecoderBase
  * add getStream, getStreamAsString and getStreamAsString in FastAStreamSet
  * add LIBMAUS2_BAMBAM_CTHRES constant for cigar operations in BamFlagBase
  * add PileVectorElement class
  * add IntegerInterval constructor parsing output of operator<< for IntegerInterval

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 22 Jan 2016 16:57:04 +0100

libmaus2 (2.0.115-1) unstable; urgency=medium

  *  fix instantiation of BidirectionalDnaIndexTemplate in SimpleLocalAligner
  *  add todo note in FastAStreamSet
  *  allowing passing flags and mode parameters to PosixFdOutputStreamBuffer
  *  add rewriteRankPos and rewritePosRank functions in SampledISA class
  *  add deserializeChecked function in BuiltinLocalSerializer class

 -- German Tischler <tischler@mpi-cbg.de>  Wed, 20 Jan 2016 10:40:12 +0100

libmaus2 (2.0.114-1) unstable; urgency=medium

  * add getShortStringId method in Pattern class
  * add XzInputStream and XzInputStreamBuffer to list of installed files
  * add pointer types in BitVectorOutput
  * add pointer types in BitVectorInput
  * add list variant with file sizes in MemoryFileContainer
  * add list function in MemoryFileContainer
  * add bool cast in uint class
  * add clz method in UnsignedInteger class
  * add rankm method in WaveletTree class
  * add generic LowBits class (lowbits function is for uint64_t only)
  * add data_type typedef in SynchronousGenericInput and SynchronousGenericOutput
  * add getNext method and data_type typedef in GetObject class
  * add step function for pair of ranks in LFBase (map interval for backward search)
  * add option to select parallel/serial building of wavelet tree in LFBase/LF
  * pass through option for non verbose wavelet tree construction in LFBase
  * add parameter to make toWaveletTreeBitsParallel non verbose
  * add more checking in ArgParser class
  * add generic NumberToString class and specialised version for uint128_t
  * improve check for unsigned __int128
  * add getDiagonalBand function in AlignmentTraceContainer (compute interval of diagonals used by an alignment)
  * explicitely check for little and big endian in InterleavedRadixSort, stop compilation on anything else
  * simplify code in InterleavedRadixSort
  * fix sorting on big endian in case number of sort rounds is smaller than the key length in byte access based sorting of InterleavedRadixSort
  * add clear, setup, insertExtend and index methods in SimpleHashSet
  * enable use of UnsignedInteger class for sparse gamma code based gap file encoding
  * enable usage of UnsignedInteger class for gamma coding
  * allow construction of all null files in SparseGammaGapFileLevelSet::mergeToDense
  * add pointer types in SparseGammaGapFileLevelSet
  * add SimpleGammaEncoderArray class
  * add SimpleGammaDecoder class
  * add SimpleGammaEncoder class
  * extend GammaEncoder and GammaDecoder to streams not based on uint64_t words (specifically uint128_t if available)
  * add GammaDifferenceOutputBuffer and GammaDifferenceMerge classes
  * add gamma base difference coding (classes GammaDifferenceEncoder and GammaDifferenceDecoder) plus tests
  * add MemBlock class in DNAIndexMetaData class
  * add getBasesPerWord, getWordsForSequence, getWordsForPaddedSequence, getBytesForSequence and getBlocks in DNAIndexMetaData
  * update getBytesForSequence in DNAIndexMetaData to only compute a single strand (instead forw + rc)

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 12 Jan 2016 19:27:57 +0100

libmaus2 (2.0.113-1) unstable; urgency=medium

  * add InterleavedRadixSort class (radix sorting with bucket sorting and histogram computation in same run)

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 07 Dec 2015 15:09:36 +0100

libmaus2 (2.0.112-1) unstable; urgency=medium

  * add SemiExternalKeyTupleSort class

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 03 Dec 2015 18:54:05 +0100

libmaus2 (2.0.111-1) unstable; urgency=medium

  * fix seeking to end of file in ConcatInputStreamBuffer 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 03 Dec 2015 17:23:38 +0100

libmaus2 (2.0.110-1) unstable; urgency=medium

  * add findScore method in FragmentEnvelope (return score of best result along with id)
  * add serialise method in FA4CompactSampledSuffixArray class
  * add kmerCallbackPosForwardOnlyPreMapped method in KmerBase class
  * add traceToCigar function in CigarStringParser class
  * add extract method in DNARank class
  * add getKMatchOffsets variant in AlignmentTraceContainer
  * add simpleLF method in DNARank class
  * add processPreMapped method in DalignerLocalAlignment (align to pre mapped and pre padded sequences)
  * add construction of suffix array from BWT in FA4CompactSampledSuffixArray (possibly faster than loading it from disk)
  * add padding option in Pattern::computeMapped (add padding symbol in front and behind mapped sequence)
  * add decode method in DNAIndexMetaData (decode combined word into sequence id and offset on sequence)
  * add option to not erase CompactArray data at construction time (for cases where all values will be set before reading any)
  * add FA4CompactSampledSuffixArray class
  * add DNAIndexMetaData class

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 03 Dec 2015 08:57:36 +0100

libmaus2 (2.0.109-1) unstable; urgency=medium

  * add DNARank class 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 25 Nov 2015 13:14:22 +0100

libmaus2 (2.0.108-1) unstable; urgency=medium

  * silence warning in SynchronousGenericInput when length of input is unknown
  * add getFragmentSymHistograms function in RLDecoder
  * add FragmentEnvelope class and test program

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 19 Nov 2015 12:12:03 +0100

libmaus2 (2.0.107-1) unstable; urgency=medium

  * fix seeking in ConcatInputStreamBuffer 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 17 Nov 2015 09:31:58 +0100

libmaus2 (2.0.106-1) unstable; urgency=medium

  * fix uniqueArgPresent in ArgParser class 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 13 Nov 2015 16:43:46 +0100

libmaus2 (2.0.105-1) unstable; urgency=medium

  * add command line reconstruction in ArgParser class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 13 Nov 2015 14:40:49 +0100

libmaus2 (2.0.104-1) unstable; urgency=medium

  * add ArgParser class as alternative to ArgInfo
  * allow sorting las files by orders which are not Overlap::operator< (for serial sorting only so far)
  * add toString function in OverlapData class
  * add explicit OverlapComparator class and alternative sorting by b-read first for Overlap objects
  * add calculateMdMapped method in BamAlignmentDecoderBase
  * add decodeReadsMappedTerm and decodeReadsAndReverseComplementMappedTerm methods in DatabaseFile class
  * add computeDenseTracePreMapped method in DalignerLocalAlignment
  * add alignPreMapped method in Aligner interface (defaults to same as align)
  * add computeTracePreMapped function in Overlap class (calling alignPreMapped instead of align in base aligner)
  * add methods for pre encoded sequence data (\000,\001, etc instead of 'A', 'C', etc) in BamAlignmentEncoderBase
  * add alignPreMapped method in DalignerNP interface
  * add subid field in SimpleThreadWorkPackage class to improve priorisation
  * change getNextDispatcherId in SimpleThreadPool so that it does not return an id which is already used
  * add getEOFBlock function in BgzfDeflate
  * fix read name range extraction in DatabaseFile class
  * add pointer based computeTrace function variant in Overlap class
  * add decodeReadsAndReverseComplement method in DatabaseFile class
  * add splitDb function in DatabaseFile
  * add simplified interface SimpleOverlapParser for overlap reading
  * add openAlignmentFileWithoutIndex function in OverlapIndexer class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 13 Nov 2015 11:52:45 +0100

libmaus2 (2.0.103-1) unstable; urgency=medium

  * add DALIGNER sparse to dense trace interface
  * add light weight dazzler Overlap parser
  * fix memory allocation in DatabaseFile::decodeReads

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 06 Nov 2015 13:34:25 +0100

libmaus2 (2.0.102-1) unstable; urgency=medium

  * fix daligner indexing
  * update kmer extraction functions 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 05 Nov 2015 15:15:42 +0100

libmaus2 (2.0.101-1) unstable; urgency=medium

  * change suffix for our index to avoid collision with daligner
  * add generation of daligner indexing type indexing in OverlapIndxer::constructIndex
  * update to new daligner API

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 04 Nov 2015 11:31:18 +0100

libmaus2 (2.0.100-1) unstable; urgency=medium

  * add getKMatchOffsets variants in AlignmentTraceContainer class
  * add cigarToTrace function CigarStringParser class
  * fix ftp url download via FtpSocket constructor
  * add toStringDNA method in SingleWordDNABitBuffer class

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 03 Nov 2015 10:06:04 +0100

libmaus2 (2.0.99-1) unstable; urgency=medium

  * improve irods 3 detection 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 02 Nov 2015 14:11:54 +0100

libmaus2 (2.0.98-1) unstable; urgency=medium

  * improve irods 3/4 detection
  * add kmerCallbackPosForwardOnlyCircular method in KmerBase class

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 02 Nov 2015 10:34:09 +0100

libmaus2 (2.0.97-1) unstable; urgency=medium

  * add an experimental iRODS uri handler (code update by Andrew Whitwham) 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 29 Oct 2015 09:45:40 +0100

libmaus2 (2.0.96-1) unstable; urgency=medium

  * add concatenation option in BamMultiAlignmentDecoderFactory
  * add getString method in Track class
  * add StringTrackWriter class
  * add serialiseSingleFileRawDatabase function in libmaus2::dazzler::db::DatabaseFile
  * add encode function in libmaus2::dazzler::db::Read
  * add cigar string generation in DNABaseNoiseSpiker
  * add serialise method in Read class
  * add serialise method in libmaus2::dazzler::db::IndexBase class

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 28 Oct 2015 12:10:02 +0100

libmaus2 (2.0.95-1) unstable; urgency=medium

  * add interface to SeqAN multiple sequence alignment 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 27 Oct 2015 16:17:03 +0100

libmaus2 (2.0.94-1) unstable; urgency=medium

  * rewrite streaming duplicate marking to correctly handle FF and RR pairs
  * add methods getNextCoordinate, getNextCigarVector, getNextUnclippedStart and getNextUnclippedEnd in BamAlignment class
  * add isLeft function in ReadEndsBase class
  * add getNextCigarVector function in BamAlignmentDecoderBase
  * add getNextCoordinate method in BamAlignment and support methods in BamAlignmentDecoderBase class
  * replace numeric by symbolic constants in BamAlignmentDecoderBase
  * add cigar string parsing for c string input
  * add addMateCigarString function in BamAlignment class
  * add MC tag (mate cigar string) if dupmarksupport is set in FragmentAlignmentBufferRewriteReadEndsWorkPackageDispatcher
  * add cigar string related methods/functions in BamAlignmentDecoderBase and BamAlignment

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 26 Oct 2015 15:42:07 +0100

libmaus2 (2.0.93-1) unstable; urgency=medium

  * fix marking of FF and RR type alignments pairs on different strands in conventional BAM duplicate marking 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 23 Oct 2015 14:42:02 +0200

libmaus2 (2.0.92-1) unstable; urgency=medium

  * add getErrorRateA and getErrorRateB methods in Path class
  * fix computation of fileoffset array in DatabaseFile constructor (entries in .db file are already prefix sums)
  * add concatenating input stream

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 19 Oct 2015 16:03:17 +0200

libmaus2 (2.0.91-1) unstable; urgency=medium

  * use pkg-config to detect lzma library
  * add static single noise level modify function in DNABaseNoiseSpiker class

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 17 Oct 2015 15:16:14 +0200

libmaus2 (2.0.90-1) unstable; urgency=medium

  * add xz/lzma based input stream class
  * add xz/lzma decoding support class
  * fix case of empty file in openAlignmentFileAtRead function of OverlapIndexer class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 16 Oct 2015 13:31:18 +0200

libmaus2 (2.0.89-1) unstable; urgency=medium

  * return last loaded index from iterator based fill method in ReadContainer class 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 23 Sep 2015 14:09:25 +0200

libmaus2 (2.0.88-1) unstable; urgency=medium

  * fix swapping of a and b read roles in Overlap class 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 23 Sep 2015 11:48:00 +0200

libmaus2 (2.0.87-1) unstable; urgency=medium

  * implement swapping of aread and bread roles in Overlap class 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 22 Sep 2015 16:32:38 +0200

libmaus2 (2.0.86-1) unstable; urgency=medium

  * adding TracePoint class
  * adding getTracePoints method in Overlap class
  * adding smallestRotationAsString function in SmallestRotation class

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 22 Sep 2015 14:04:27 +0200

libmaus2 (2.0.85-1) unstable; urgency=medium

  * fix compilation of RepetetiveKmerFreqEstimate without gmp 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 22 Sep 2015 09:02:29 +0200

libmaus2 (2.0.84-1) unstable; urgency=medium

  * fix compilation without gmp and with older versions of gcc 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 21 Sep 2015 20:55:31 +0200

libmaus2 (2.0.83-1) unstable; urgency=medium

  * add alternative code in RepetetiveKmerFreqEstimate class based on GMP fixed point numbers
  * use binary search in RepetetiveKmerFreqEstimate instead of linear scan to find highest value still holding the threshold
  * add functions variants binomialCoefficientAsRational, slowPow, binomSingleAsRational, binomRowAsRational, binomRowUpperGmpFloat, binomRowUpperAsRational in Binom class
  * add GMP based integer and float interface classes
  * add numbits64 function
  * prepare Rational class for use with non builtin integer types
  * fix to prevent large temp files in bamsormadup.
  * support daligner library inclusion on system which do not support the -rpath linker flag

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 21 Sep 2015 18:28:04 +0200

libmaus2 (2.0.82-1) unstable; urgency=medium

  * add off_a and off_b parameters for getKMatchOffsets function of AlignmentTraceContainer class
  * add blockid argument in InqualContainer constructor

 -- German Tischler <gt1@sanger.ac.uk>  Sun, 20 Sep 2015 21:15:05 +0200

libmaus2 (2.0.81-1) unstable; urgency=medium

  * fix getSmallestIntegerRootAsString function name in SuccinctBorderArray 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 18 Sep 2015 15:07:51 +0200

libmaus2 (2.0.80-1) unstable; urgency=medium

  * add getSmmalestIntegerRootAsString function in SuccinctBorderArray class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 18 Sep 2015 14:54:46 +0200

libmaus2 (2.0.79-1) unstable; urgency=medium

  * add getPeriods, getIntegerRoots and getSmallestIntegerRoot functions in SuccinctBorderArray class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 18 Sep 2015 14:40:37 +0200

libmaus2 (2.0.78-1) unstable; urgency=medium

  * add RepetetiveKmerFreqEstimate class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 18 Sep 2015 12:44:19 +0200

libmaus2 (2.0.77-1) unstable; urgency=medium

  * fixing daligner Local_Alignment interface for non zero seed positions
  * support DALIGNER's Local_Alignment's feature of avoiding the main diagonal when aligning a sequence against itself

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 17 Sep 2015 21:50:41 +0200

libmaus2 (2.0.76-1) unstable; urgency=medium

  * add seed position parameters in DalignerLocalAlignment class 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 17 Sep 2015 15:25:27 +0200

libmaus2 (2.0.75-1) unstable; urgency=medium

  * fix merge block computation in OverlapMetaIteratorGet for case when one or more of the input files are empty 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 17 Sep 2015 10:41:20 +0200

libmaus2 (2.0.74-1) unstable; urgency=medium

  * fix race condition in sortAndMerge function of SortingOverlapOutputBuffer class

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 16 Sep 2015 21:05:05 +0200

libmaus2 (2.0.73-1) unstable; urgency=medium

  * fix merge block construction in OverlapMetaIteratorGet 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 16 Sep 2015 17:50:51 +0200

libmaus2 (2.0.72-1) unstable; urgency=medium

  * add parallelism in sortAndMerge method of SortingOverlapOutputBuffer class 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 16 Sep 2015 13:52:19 +0200

libmaus2 (2.0.71-1) unstable; urgency=medium

  * add mergeFilesParrallel method of SortingOverlapOutputBuffer 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 16 Sep 2015 13:26:40 +0200

libmaus2 (2.0.70-1) unstable; urgency=medium

  * use optimal i/o block size instead of 64k default when constructing PosixFd based output streams 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 15 Sep 2015 12:48:56 +0200

libmaus2 (2.0.69-1) unstable; urgency=medium

  * add block size override option in PosixFdInput class
  * add CompactRunPartContainer class

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 15 Sep 2015 12:12:38 +0200

libmaus2 (2.0.68-1) unstable; urgency=medium

  * fix relative seeking (PosixFd|Memory)InputOutputStreamBuffer 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 14 Sep 2015 13:38:29 +0200

libmaus2 (2.0.67-1) unstable; urgency=medium

  * update flushing strategy in AlignmentWriter class 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 14 Sep 2015 11:29:01 +0200

libmaus2 (2.0.66-1) unstable; urgency=medium

  * add ReadContainer class  
  * add removeFileAndIndex method in OverlapIndexer class
  * add option to load only a single block in ApproximateRunPartContainer class  
  * fix bug where we threw an exception if there was no data for a read in ApproximateRunPartContainer class  
  * add option to load only data for a single block in PartTrackContainer class  
  * add catFiles method in SortingOverlapOutputBuffer class  
  * add haveTrackAnno method in DatabaseFile class  
  * add parallel merging function in SortingOverlapOutputBuffer  
  * add openAlignmentFile method in OverlapIndexer  
  * add getReadStartPosition method in OverlapIndexer class  
  * add AlignmentFileRegion class and method in OverlapIndexer to produce such objects  
  * add OverlapMetaIteratorGet for computing block bound for parallel merging  

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 11 Sep 2015 14:07:30 +0200

libmaus2 (2.0.65-1) unstable; urgency=medium

  * add getReadDataVectorMemInterval method in DatabaseFile

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 10 Sep 2015 08:47:16 +0200

libmaus2 (2.0.64-1) unstable; urgency=medium

  * add (more) data batch reading methods in DatabaseFile class

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 09 Sep 2015 16:49:12 +0200

libmaus2 (2.0.63-1) unstable; urgency=medium

  * adding getNovl method in AlignmentFile
  * restrict comparisons of Overlap/OverlapMeta objects to the fields used by DALIGNER's LAsort/LAmerge

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 09 Sep 2015 10:12:45 +0200

libmaus2 (2.0.62-1) unstable; urgency=medium

  * fix compilation with gcc 4.1.2 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 08 Sep 2015 13:50:44 +0200

libmaus2 (2.0.61-1) unstable; urgency=medium

  * fixed some bugs in interface to DALIGNER's Local_Alignment function 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 08 Sep 2015 11:05:13 +0200

libmaus2 (2.0.60-1) unstable; urgency=medium

  * add interface to DALIGNER's Local_Alignment function 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 08 Sep 2015 08:37:41 +0200

libmaus2 (2.0.59-1) unstable; urgency=medium

  * added AutoArrayMultiMap class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 04 Sep 2015 11:12:22 +0200

libmaus2 (2.0.58-1) unstable; urgency=medium

  * make sure we include unistd.h before using ssize_t 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 03 Sep 2015 16:30:55 +0200

libmaus2 (2.0.57-1) unstable; urgency=medium

  * fix aligned allocation in case posix_memalign is not available

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 03 Sep 2015 15:42:10 +0200

libmaus2 (2.0.56-1) unstable; urgency=medium

  * add page aligned AutoArray variant
  * switch BamAlignment, FastqParsePackageDispatcher, BgzfInflateBase, BgzfInflateBlock, BgzfInflateHeaderBase classes to page aligned AutoArray

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 02 Sep 2015 22:31:12 +0200

libmaus2 (2.0.55-1) unstable; urgency=medium

  * adding matchDiagonalHistogram method in AlignmentTraceContainer class              
  * adding advanceA and advanceB methods in AlignmentTraceContainer class
  * fixing configure.ac (HAVESEMTIMEDWAIT and HAVESEMPOST)
  * fixing compilation on NetBSD

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 02 Sep 2015 17:40:45 +0200

libmaus2 (2.0.54-1) unstable; urgency=medium

  * add self alignment avoidance in NP class
  * add getReadLengthInterval and getAllReadLengths methods in DatabaseFile
  * add output operator for OverlapMeta class
  * add getTSpace method in AlignmentFile class

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 02 Sep 2015 09:26:09 +0200

libmaus2 (2.0.53-1) unstable; urgency=medium

  * adding getMinimumARead method in OverlapIndexer class
  * adding method for computing the smallest rotation of a string

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 31 Aug 2015 14:21:06 +0200

libmaus2 (2.0.52-1) unstable; urgency=medium

  * add AlignmentWriter class
  * enable .las file indexing while sorting/merging .las files 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 31 Aug 2015 10:06:35 +0200

libmaus2 (2.0.51-1) unstable; urgency=medium

  * add methods for accessing rest args in ArgInfo class
  * add equality comparisons in OverlapMeta class
  * add functions for decoding ranges of alignments in OverlapIndexer (read alignment files from given read id to given read id)
  * add indexing classes for dazzler alignment files
  * add AlignmentSplitWriter class for dazzler alignment files
  * add sortAndMerge method in dazzler alignment sorting class

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 28 Aug 2015 16:54:10 +0200

libmaus2 (2.0.50-1) unstable; urgency=medium

  * fix compilation on systems defining B0 as a macro 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 28 Aug 2015 09:44:15 +0200

libmaus2 (2.0.49-1) unstable; urgency=medium

  * add erase method in RangeSet class

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 27 Aug 2015 14:40:48 +0200

libmaus2 (2.0.48-1) unstable; urgency=medium

  * add dazzler alignment sorting code 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 27 Aug 2015 12:04:29 +0200

libmaus2 (2.0.47-1) unstable; urgency=medium

  * only add sse4 flag in .pc file if --enable-sse4 is used during configure
  * add static serialiseHeader method in AlignmentFile class
  * avoid quadratic runtime due to memory reallocation/copying in NP aligner class
  * add step_type typedefs in PenalyBase class
  * add a_sync, b_sync and b_sync_reverse methods in AlignmentTraceContainer class
  * fix suffixPositive method to actually set the computed trace points in AlignmentTraceContainer class
  * add RangeSet class
  * add SatsContainer class in Makefile
  * add some helper methods in DatabaseFile

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 27 Aug 2015 09:38:49 +0200

libmaus2 (2.0.46-1) unstable; urgency=medium

  * add sse4 compiler flag in .pc file (if --enable-sse4 is given while running configure) 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 24 Aug 2015 09:14:54 +0200

libmaus2 (2.0.45-1) unstable; urgency=medium

  * fix compilation on gcc 4.1.2 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 20 Aug 2015 17:51:13 +0200

libmaus2 (2.0.44-1) unstable; urgency=medium

  * use i/o factory classes in SparseGamma related classes 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 20 Aug 2015 16:22:55 +0200

libmaus2 (2.0.43-1) unstable; urgency=medium

  * replace ::rename calls by libmaus2::aio::OutputStreamFactoryContainer::rename
  * improve handling of first and last blocks in Overlap class histogram methods
  * replace rename system call with more general verison in OutputStreamFactoryContainer
  * improve computation of spanning read histogram in Overlap class
  * import BwtMergeBlockSortRequest class from BWTB3m
  * add getAlBits check function in GammaRLDecoder and RLDecoder
  * imported RlToHwtTermRequest and BwtMergeBlockSortRequestBase classes from BWTB3M
  * add parallel wavelet tree  from run length coded sequences (import from BWTB3M)
  * add construct in RLDecoder for API compatibility with GammaRLDecoder
  * replace read id set with single read id of b read in ApproximateRun
  * add reset method in InputStreamPointerWrapper
  * replace assert by exception in KMeans class
  * add ReadLRUContainer class
  * add ApproximateRunPartContainer class
  * generalise k  *means clustering
  * add bLengthFront/Back in AlignmentTraceContainer
  * add number of errors in TraceBlock
  * add TraceBlock vector to Path and vice versa in Overlap class
  * add InqualContainer class
  * add ApproximateRun class
  * add block based track file name construction methods in DatabaseFile
  * add TraceBlock class
  * add computation of TraceBlock vector in Overlap class
  * add method for computing whether two TraceBlock vectors have intersecting blocks
  * add TraceBlockVectorCache class

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 20 Aug 2015 11:32:46 +0200

libmaus2 (2.0.42-1) unstable; urgency=medium

  * implement renaming scheme in OutputStreamFactoryContainer 

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 08 Aug 2015 23:45:00 +0200

libmaus2 (2.0.41-1) unstable; urgency=medium

  * implement seek operations on MemoryOutput streams
  * replace remove calls by FileRemoval class calls

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 08 Aug 2015 12:40:07 +0200

libmaus2 (2.0.40-1) unstable; urgency=medium

  * update debian packaging info 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 07 Aug 2015 08:12:43 +0200

libmaus2 (2.0.39-1) unstable; urgency=medium

  * remove unused code and configure options 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 06 Aug 2015 18:10:48 +0200

libmaus2 (2.0.38-1) unstable; urgency=medium

  * fixing error messages and track path construction in dazzler::DatabaseFile
  * moving Track class to dazzler::db namespace
  * adding size method in TrackAnnoInterface and TrackAnno
  * adding operator< and diameter method in IntegerInterval
  * fixing NP aligner class for empty strings

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 06 Aug 2015 15:50:23 +0200

libmaus2 (2.0.37-1) unstable; urgency=medium

  * remove extraneous close call 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 05 Aug 2015 21:59:10 +0200

libmaus2 (2.0.36-1) unstable; urgency=medium

  * add code to avoid exceptions when checking for existence of local files 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 05 Aug 2015 21:13:48 +0200

libmaus2 (2.0.35-1) unstable; urgency=medium

  * merge Andrew Whitwham's duplicate marking stats fix
  * replace instances of ifstream and ofstream by InputStreamInstance and OutputStreamInstance

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 05 Aug 2015 17:34:54 +0200

libmaus2 (2.0.34-1) unstable; urgency=medium

  * add InputStreamInstance class

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 03 Aug 2015 10:30:17 +0200

libmaus2 (2.0.33-1) unstable; urgency=medium

  * add trace computation method in libmaus2::dazzler::align::Overlap
  * add more seeking capabilities in PosixFdOutputStreamBuffer (seek to absolute position)
  * add overlap output in dazzler namespace
  * add sparse to dense trace and vice versa in dazzler namespace
  * add method for checking whether two alignments cross in AlignmentTraceContainer 
  * add method for computing span histogram
  * add serialisation for bitbtree and DynamicWaveletTree
  * implemented track input for dazzler databases (untested)

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 24 Jul 2015 10:35:20 +0200

libmaus2 (2.0.32-1) unstable; urgency=medium

  * fix linker issue 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 15 Jul 2015 11:40:44 +0200

libmaus2 (2.0.31-1) unstable; urgency=medium

  * adding multi dimensional k-means clustering
  * adding faster NP aligner

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 15 Jul 2015 10:17:11 +0200

libmaus2 (2.0.30-1) unstable; urgency=medium

  * update debian packaging files 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 08 Jul 2015 15:40:03 +0200

libmaus2 (2.0.29-1) unstable; urgency=medium

  * fix compilation on Darwin 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 08 Jul 2015 09:47:08 +0200

libmaus2 (2.0.28-1) unstable; urgency=medium

  * fix compilation on gcc 4.1.2 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 07 Jul 2015 15:58:40 +0200

libmaus2 (2.0.27-1) unstable; urgency=medium

  * add SIMD based global alignment code 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 07 Jul 2015 15:53:14 +0200

libmaus2 (2.0.26-1) unstable; urgency=medium

  * imported lower case tag handling for duplicate marking by Andrew Whitwham

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 22 Jun 2015 11:14:42 +0200

libmaus2 (2.0.25-1) unstable; urgency=medium

  * add getOpBlocks method using storage provided by caller in AlignmentTraceContainer
  * add multi character put operation in EntityBuffer
  * add peek operation in dazzler AlignmentFile
  * use multi character put for query name in EntityBuffer for BAM encoding
  * add calculateMd version not using sequence encoded in alignment block but external one
  * fix sam output for empty query sequences
  * add option not to reset buffer when encoding alignments

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 19 Jun 2015 13:11:52 +0200

libmaus2 (2.0.24-1) unstable; urgency=medium

  * add bit parallel alignment algorithm 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 18 Jun 2015 11:45:48 +0200

libmaus2 (2.0.23-1) unstable; urgency=medium

  * add getReadName method using preloaded meta data in dazzler::DatabaseFile
  * implement faster erasing of SimpleHashMap 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 17 Jun 2015 15:50:27 +0200

libmaus2 (2.0.22-1) unstable; urgency=medium

  * add extraction of alignment operations in blocks of equal elements
  * add access to single entries by id in FastAIndex 
  * add reconstruction of read names from dazzler dbs
  * change behaviour of MD/NM computation for allowing cigar strings to start with deletions

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 17 Jun 2015 14:26:51 +0200

libmaus2 (2.0.21-1) unstable; urgency=medium

  * move silhouette code from Quantiser to KMeans 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 16 Jun 2015 21:08:51 +0200

libmaus2 (2.0.20-1) unstable; urgency=medium

  * add 1-d kmeans clustering code 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 16 Jun 2015 14:55:30 +0200

libmaus2 (2.0.19-1) unstable; urgency=medium

  * add extended variant for longest increasing sub sequence
  * add extraction of partial sequences from dazzler dbs 

 -- German Tischler <gt1@sanger.ac.uk>  Sun, 14 Jun 2015 13:12:45 +0200

libmaus2 (2.0.18-1) unstable; urgency=medium

  * fix Hausdorff distance for intervals 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 08 Jun 2015 12:13:53 +0200

libmaus2 (2.0.17-1) unstable; urgency=medium

  * add Hausdorff distance in IntegerInterval class 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 05 Jun 2015 17:27:41 +0200

libmaus2 (2.0.16-1) unstable; urgency=medium

  * fix loading of unsplit dazzler databases 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 05 Jun 2015 14:32:38 +0200

libmaus2 (2.0.15-1) unstable; urgency=medium

  * add invalid symbol support in NDextend 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 05 Jun 2015 08:59:44 +0200

libmaus2 (2.0.14-1) unstable; urgency=medium

  * various improvements of n*d alignments and alignment printing
  * extending SimpleHashMap class API
  * adding local alignment quality filters in NDextend
  * adding suffix and prefix positive alignment reduction functions
  * fix n*d alignment algorithms (make inserting error and sliding separate phases)

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 02 Jun 2015 09:33:50 +0200

libmaus2 (2.0.13-1) unstable; urgency=medium

  * add nd time global alignment algorithm 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 18 May 2015 15:36:26 +0200

libmaus2 (2.0.12-1) unstable; urgency=medium

  * fix installation (missing file) 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 13 May 2015 16:24:23 +0200

libmaus2 (2.0.11-1) unstable; urgency=medium

  * fixes for older versions of gcc 

 -- German Tischler <gt1@sanger.ac.uk>  Wed, 13 May 2015 15:00:23 +0200

libmaus2 (2.0.10-1) unstable; urgency=medium

  * add dazzler DB and alignment decoding classes 

 -- German Tischler <gt1@sanger.ac.uk>  Tue, 12 May 2015 14:43:01 +0200

libmaus2 (2.0.7-1) unstable; urgency=low

  * fix for random failures in ExternalMemoryIndexGenerator due to undefined get pointer

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 27 Apr 2015 23:36:08 +0100

libmaus2 (2.0.6-1) unstable; urgency=low

  * fix bam indexing 

 -- German Tischler <gt1@sanger.ac.uk>  Mon, 27 Apr 2015 10:35:56 +0100

libmaus2 (2.0.5-1) unstable; urgency=low

  * increase memory file block size 

 -- German Tischler <gt1@sanger.ac.uk>  Fri, 24 Apr 2015 09:13:29 +0100

libmaus2 (2.0.4-1) unstable; urgency=low

  * add memory based i/o stream classes 

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 23 Apr 2015 13:31:45 +0100

libmaus2 (2.0.3-1) unstable; urgency=medium

  * update shlibs file for debian packaging 

 -- German Tischler <gt1@sanger.ac.uk>  Sun, 19 Apr 2015 11:46:15 +0100

libmaus2 (2.0.2-1) unstable; urgency=medium

  * add missing seqchksum factory library in debian packaging files

 -- German Tischler <gt1@sanger.ac.uk>  Sun, 19 Apr 2015 10:00:51 +0100

libmaus2 (2.0.1-1) unstable; urgency=medium

  * no change version bump to test version bumping script 

 -- German Tischler <gt1@sanger.ac.uk>  Sat, 18 Apr 2015 21:57:33 +0100

libmaus2 (2.0.0-1) unstable; urgency=low

  * import libmaus code

 -- German Tischler <gt1@sanger.ac.uk>  Thu, 16 Apr 2015 14:00:00 +0000
